%--------------------------------------------------------------------------
% File     : BOO011=InvAId-2 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Boolean Algebra
% Problem  : Inverse of additive identity = Multiplicative identity
% Version  : [ANL] (equality) axioms.
% English  : The inverse of the additive identity is the multiplicative 
%            identity.

% Refs     : 
% Source   : [ANL]
% Names    : prob7.ver2.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   23 (   0 non-Horn)(  16 unit)
%            Number of literals          :   31 (  31 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    6 (   3 constant)
%            Number of variables         :   44 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_inverse_of_1_is_0,theorem,
    [--equal(inverse(additive_identity),mulitplicative_identity)]).
%--------------------------------------------------------------------------
