%--------------------------------------------------------------------------
% File     : SYN002=Even-1.002 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Even Problem 
% Version  : Theorem formulation : Number 2.
% English  : Given by the clauses C1: p(X) v p(f(X)) and C2: ~p(X) 
%            v ~p(f^N(X)), where N is some fixed even number.

% Refs     : Socher-Ambrosius R. (1992), How to Avoid the Derivation 
%            of Redundant Clauses in Reasoning Systems`, In Journal 
%            of Automated Reasoning 9(1), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 77-97.
% Source   : [Socher-Ambrosius, 1992]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    2 (   1 non-Horn)(   0 unit)
%            Number of literals          :    4 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    1 (   0 constant)
%            Number of variables         :    2 (   0 singleton)
%            Maximal clause size         :    2
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
input_clause(positive,theorem,
    [++p(A),
     ++p(f(A))]).

input_clause(negative,theorem,
    [--p(A),
     --p(f(f(A)))]).
%--------------------------------------------------------------------------
