%--------------------------------------------------------------------------
% File     : SYN010=Letz-2.010 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Letz problem 
% Version  : Theorem formulation : Size 5-10.
% English  : 

% Refs     : Letz R., Mayr K., Goller C. (1993), Controlled Integrations of 
%            the Cut Rule into Connection Tableau Calculi, Unpublished.
% Source   : [Letz, et al., 1993]
% Names    : Example 5.1 [Letz, et al., 1993]

% Status   : 
% Syntax   : Number of clauses           :   52 (   0 non-Horn)(  11 unit)
%            Number of literals          :  462 (   0 equality)
%            Number of predicate symbols :   51 (  51 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :   11
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p_0]).

input_clause(clause_2,theorem,
    [++p_0,
     --p_1_1,
     --p_1_2,
     --p_1_3,
     --p_1_4,
     --p_1_5,
     --p_1_6,
     --p_1_7,
     --p_1_8,
     --p_1_9,
     --p_1_10]).

input_clause(clause_3,theorem,
    [++p_1_1,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_4,theorem,
    [++p_1_2,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_5,theorem,
    [++p_1_3,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_6,theorem,
    [++p_1_4,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_7,theorem,
    [++p_1_5,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_8,theorem,
    [++p_1_6,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_9,theorem,
    [++p_1_7,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_10,theorem,
    [++p_1_8,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_11,theorem,
    [++p_1_9,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_12,theorem,
    [++p_1_10,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_13,theorem,
    [++p_2_1,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_14,theorem,
    [++p_2_2,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_15,theorem,
    [++p_2_3,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_16,theorem,
    [++p_2_4,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_17,theorem,
    [++p_2_5,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_18,theorem,
    [++p_2_6,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_19,theorem,
    [++p_2_7,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_20,theorem,
    [++p_2_8,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_21,theorem,
    [++p_2_9,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_22,theorem,
    [++p_2_10,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_23,theorem,
    [++p_3_1,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_24,theorem,
    [++p_3_2,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_25,theorem,
    [++p_3_3,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_26,theorem,
    [++p_3_4,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_27,theorem,
    [++p_3_5,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_28,theorem,
    [++p_3_6,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_29,theorem,
    [++p_3_7,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_30,theorem,
    [++p_3_8,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_31,theorem,
    [++p_3_9,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_32,theorem,
    [++p_3_10,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_33,theorem,
    [++p_4_1,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_34,theorem,
    [++p_4_2,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_35,theorem,
    [++p_4_3,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_36,theorem,
    [++p_4_4,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_37,theorem,
    [++p_4_5,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_38,theorem,
    [++p_4_6,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_39,theorem,
    [++p_4_7,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_40,theorem,
    [++p_4_8,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_41,theorem,
    [++p_4_9,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_42,theorem,
    [++p_4_10,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_43,theorem,
    [++p_5_1]).

input_clause(clause_44,theorem,
    [++p_5_2]).

input_clause(clause_45,theorem,
    [++p_5_3]).

input_clause(clause_46,theorem,
    [++p_5_4]).

input_clause(clause_47,theorem,
    [++p_5_5]).

input_clause(clause_48,theorem,
    [++p_5_6]).

input_clause(clause_49,theorem,
    [++p_5_7]).

input_clause(clause_50,theorem,
    [++p_5_8]).

input_clause(clause_51,theorem,
    [++p_5_9]).

input_clause(clause_52,theorem,
    [++p_5_10]).
%--------------------------------------------------------------------------
