%--------------------------------------------------------------------------
% File     : SYN010=Letz-3.010 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Letz problem 
% Version  : Theorem formulation : Size 10-10.
% English  : 

% Refs     : Letz R., Mayr K., Goller C. (1993), Controlled Integrations of 
%            the Cut Rule into Connection Tableau Calculi, Unpublished.
% Source   : [Letz, et al., 1993]
% Names    : Example 5.1 [Letz, et al., 1993]

% Status   : 
% Syntax   : Number of clauses           :  102 (   0 non-Horn)(  11 unit)
%            Number of literals          : 1012 (   0 equality)
%            Number of predicate symbols :  101 ( 101 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :   11
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p_0]).

input_clause(clause_2,theorem,
    [++p_0,
     --p_1_1,
     --p_1_2,
     --p_1_3,
     --p_1_4,
     --p_1_5,
     --p_1_6,
     --p_1_7,
     --p_1_8,
     --p_1_9,
     --p_1_10]).

input_clause(clause_3,theorem,
    [++p_1_1,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_4,theorem,
    [++p_1_2,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_5,theorem,
    [++p_1_3,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_6,theorem,
    [++p_1_4,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_7,theorem,
    [++p_1_5,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_8,theorem,
    [++p_1_6,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_9,theorem,
    [++p_1_7,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_10,theorem,
    [++p_1_8,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_11,theorem,
    [++p_1_9,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_12,theorem,
    [++p_1_10,
     --p_2_1,
     --p_2_2,
     --p_2_3,
     --p_2_4,
     --p_2_5,
     --p_2_6,
     --p_2_7,
     --p_2_8,
     --p_2_9,
     --p_2_10]).

input_clause(clause_13,theorem,
    [++p_2_1,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_14,theorem,
    [++p_2_2,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_15,theorem,
    [++p_2_3,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_16,theorem,
    [++p_2_4,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_17,theorem,
    [++p_2_5,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_18,theorem,
    [++p_2_6,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_19,theorem,
    [++p_2_7,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_20,theorem,
    [++p_2_8,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_21,theorem,
    [++p_2_9,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_22,theorem,
    [++p_2_10,
     --p_3_1,
     --p_3_2,
     --p_3_3,
     --p_3_4,
     --p_3_5,
     --p_3_6,
     --p_3_7,
     --p_3_8,
     --p_3_9,
     --p_3_10]).

input_clause(clause_23,theorem,
    [++p_3_1,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_24,theorem,
    [++p_3_2,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_25,theorem,
    [++p_3_3,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_26,theorem,
    [++p_3_4,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_27,theorem,
    [++p_3_5,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_28,theorem,
    [++p_3_6,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_29,theorem,
    [++p_3_7,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_30,theorem,
    [++p_3_8,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_31,theorem,
    [++p_3_9,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_32,theorem,
    [++p_3_10,
     --p_4_1,
     --p_4_2,
     --p_4_3,
     --p_4_4,
     --p_4_5,
     --p_4_6,
     --p_4_7,
     --p_4_8,
     --p_4_9,
     --p_4_10]).

input_clause(clause_33,theorem,
    [++p_4_1,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_34,theorem,
    [++p_4_2,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_35,theorem,
    [++p_4_3,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_36,theorem,
    [++p_4_4,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_37,theorem,
    [++p_4_5,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_38,theorem,
    [++p_4_6,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_39,theorem,
    [++p_4_7,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_40,theorem,
    [++p_4_8,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_41,theorem,
    [++p_4_9,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_42,theorem,
    [++p_4_10,
     --p_5_1,
     --p_5_2,
     --p_5_3,
     --p_5_4,
     --p_5_5,
     --p_5_6,
     --p_5_7,
     --p_5_8,
     --p_5_9,
     --p_5_10]).

input_clause(clause_43,theorem,
    [++p_5_1,
     --p_6_1,
     --p_6_2,
     --p_6_3,
     --p_6_4,
     --p_6_5,
     --p_6_6,
     --p_6_7,
     --p_6_8,
     --p_6_9,
     --p_6_10]).

input_clause(clause_44,theorem,
    [++p_5_2,
     --p_6_1,
     --p_6_2,
     --p_6_3,
     --p_6_4,
     --p_6_5,
     --p_6_6,
     --p_6_7,
     --p_6_8,
     --p_6_9,
     --p_6_10]).

input_clause(clause_45,theorem,
    [++p_5_3,
     --p_6_1,
     --p_6_2,
     --p_6_3,
     --p_6_4,
     --p_6_5,
     --p_6_6,
     --p_6_7,
     --p_6_8,
     --p_6_9,
     --p_6_10]).

input_clause(clause_46,theorem,
    [++p_5_4,
     --p_6_1,
     --p_6_2,
     --p_6_3,
     --p_6_4,
     --p_6_5,
     --p_6_6,
     --p_6_7,
     --p_6_8,
     --p_6_9,
     --p_6_10]).

input_clause(clause_47,theorem,
    [++p_5_5,
     --p_6_1,
     --p_6_2,
     --p_6_3,
     --p_6_4,
     --p_6_5,
     --p_6_6,
     --p_6_7,
     --p_6_8,
     --p_6_9,
     --p_6_10]).

input_clause(clause_48,theorem,
    [++p_5_6,
     --p_6_1,
     --p_6_2,
     --p_6_3,
     --p_6_4,
     --p_6_5,
     --p_6_6,
     --p_6_7,
     --p_6_8,
     --p_6_9,
     --p_6_10]).

input_clause(clause_49,theorem,
    [++p_5_7,
     --p_6_1,
     --p_6_2,
     --p_6_3,
     --p_6_4,
     --p_6_5,
     --p_6_6,
     --p_6_7,
     --p_6_8,
     --p_6_9,
     --p_6_10]).

input_clause(clause_50,theorem,
    [++p_5_8,
     --p_6_1,
     --p_6_2,
     --p_6_3,
     --p_6_4,
     --p_6_5,
     --p_6_6,
     --p_6_7,
     --p_6_8,
     --p_6_9,
     --p_6_10]).

input_clause(clause_51,theorem,
    [++p_5_9,
     --p_6_1,
     --p_6_2,
     --p_6_3,
     --p_6_4,
     --p_6_5,
     --p_6_6,
     --p_6_7,
     --p_6_8,
     --p_6_9,
     --p_6_10]).

input_clause(clause_52,theorem,
    [++p_5_10,
     --p_6_1,
     --p_6_2,
     --p_6_3,
     --p_6_4,
     --p_6_5,
     --p_6_6,
     --p_6_7,
     --p_6_8,
     --p_6_9,
     --p_6_10]).

input_clause(clause_53,theorem,
    [++p_6_1,
     --p_7_1,
     --p_7_2,
     --p_7_3,
     --p_7_4,
     --p_7_5,
     --p_7_6,
     --p_7_7,
     --p_7_8,
     --p_7_9,
     --p_7_10]).

input_clause(clause_54,theorem,
    [++p_6_2,
     --p_7_1,
     --p_7_2,
     --p_7_3,
     --p_7_4,
     --p_7_5,
     --p_7_6,
     --p_7_7,
     --p_7_8,
     --p_7_9,
     --p_7_10]).

input_clause(clause_55,theorem,
    [++p_6_3,
     --p_7_1,
     --p_7_2,
     --p_7_3,
     --p_7_4,
     --p_7_5,
     --p_7_6,
     --p_7_7,
     --p_7_8,
     --p_7_9,
     --p_7_10]).

input_clause(clause_56,theorem,
    [++p_6_4,
     --p_7_1,
     --p_7_2,
     --p_7_3,
     --p_7_4,
     --p_7_5,
     --p_7_6,
     --p_7_7,
     --p_7_8,
     --p_7_9,
     --p_7_10]).

input_clause(clause_57,theorem,
    [++p_6_5,
     --p_7_1,
     --p_7_2,
     --p_7_3,
     --p_7_4,
     --p_7_5,
     --p_7_6,
     --p_7_7,
     --p_7_8,
     --p_7_9,
     --p_7_10]).

input_clause(clause_58,theorem,
    [++p_6_6,
     --p_7_1,
     --p_7_2,
     --p_7_3,
     --p_7_4,
     --p_7_5,
     --p_7_6,
     --p_7_7,
     --p_7_8,
     --p_7_9,
     --p_7_10]).

input_clause(clause_59,theorem,
    [++p_6_7,
     --p_7_1,
     --p_7_2,
     --p_7_3,
     --p_7_4,
     --p_7_5,
     --p_7_6,
     --p_7_7,
     --p_7_8,
     --p_7_9,
     --p_7_10]).

input_clause(clause_60,theorem,
    [++p_6_8,
     --p_7_1,
     --p_7_2,
     --p_7_3,
     --p_7_4,
     --p_7_5,
     --p_7_6,
     --p_7_7,
     --p_7_8,
     --p_7_9,
     --p_7_10]).

input_clause(clause_61,theorem,
    [++p_6_9,
     --p_7_1,
     --p_7_2,
     --p_7_3,
     --p_7_4,
     --p_7_5,
     --p_7_6,
     --p_7_7,
     --p_7_8,
     --p_7_9,
     --p_7_10]).

input_clause(clause_62,theorem,
    [++p_6_10,
     --p_7_1,
     --p_7_2,
     --p_7_3,
     --p_7_4,
     --p_7_5,
     --p_7_6,
     --p_7_7,
     --p_7_8,
     --p_7_9,
     --p_7_10]).

input_clause(clause_63,theorem,
    [++p_7_1,
     --p_8_1,
     --p_8_2,
     --p_8_3,
     --p_8_4,
     --p_8_5,
     --p_8_6,
     --p_8_7,
     --p_8_8,
     --p_8_9,
     --p_8_10]).

input_clause(clause_64,theorem,
    [++p_7_2,
     --p_8_1,
     --p_8_2,
     --p_8_3,
     --p_8_4,
     --p_8_5,
     --p_8_6,
     --p_8_7,
     --p_8_8,
     --p_8_9,
     --p_8_10]).

input_clause(clause_65,theorem,
    [++p_7_3,
     --p_8_1,
     --p_8_2,
     --p_8_3,
     --p_8_4,
     --p_8_5,
     --p_8_6,
     --p_8_7,
     --p_8_8,
     --p_8_9,
     --p_8_10]).

input_clause(clause_66,theorem,
    [++p_7_4,
     --p_8_1,
     --p_8_2,
     --p_8_3,
     --p_8_4,
     --p_8_5,
     --p_8_6,
     --p_8_7,
     --p_8_8,
     --p_8_9,
     --p_8_10]).

input_clause(clause_67,theorem,
    [++p_7_5,
     --p_8_1,
     --p_8_2,
     --p_8_3,
     --p_8_4,
     --p_8_5,
     --p_8_6,
     --p_8_7,
     --p_8_8,
     --p_8_9,
     --p_8_10]).

input_clause(clause_68,theorem,
    [++p_7_6,
     --p_8_1,
     --p_8_2,
     --p_8_3,
     --p_8_4,
     --p_8_5,
     --p_8_6,
     --p_8_7,
     --p_8_8,
     --p_8_9,
     --p_8_10]).

input_clause(clause_69,theorem,
    [++p_7_7,
     --p_8_1,
     --p_8_2,
     --p_8_3,
     --p_8_4,
     --p_8_5,
     --p_8_6,
     --p_8_7,
     --p_8_8,
     --p_8_9,
     --p_8_10]).

input_clause(clause_70,theorem,
    [++p_7_8,
     --p_8_1,
     --p_8_2,
     --p_8_3,
     --p_8_4,
     --p_8_5,
     --p_8_6,
     --p_8_7,
     --p_8_8,
     --p_8_9,
     --p_8_10]).

input_clause(clause_71,theorem,
    [++p_7_9,
     --p_8_1,
     --p_8_2,
     --p_8_3,
     --p_8_4,
     --p_8_5,
     --p_8_6,
     --p_8_7,
     --p_8_8,
     --p_8_9,
     --p_8_10]).

input_clause(clause_72,theorem,
    [++p_7_10,
     --p_8_1,
     --p_8_2,
     --p_8_3,
     --p_8_4,
     --p_8_5,
     --p_8_6,
     --p_8_7,
     --p_8_8,
     --p_8_9,
     --p_8_10]).

input_clause(clause_73,theorem,
    [++p_8_1,
     --p_9_1,
     --p_9_2,
     --p_9_3,
     --p_9_4,
     --p_9_5,
     --p_9_6,
     --p_9_7,
     --p_9_8,
     --p_9_9,
     --p_9_10]).

input_clause(clause_74,theorem,
    [++p_8_2,
     --p_9_1,
     --p_9_2,
     --p_9_3,
     --p_9_4,
     --p_9_5,
     --p_9_6,
     --p_9_7,
     --p_9_8,
     --p_9_9,
     --p_9_10]).

input_clause(clause_75,theorem,
    [++p_8_3,
     --p_9_1,
     --p_9_2,
     --p_9_3,
     --p_9_4,
     --p_9_5,
     --p_9_6,
     --p_9_7,
     --p_9_8,
     --p_9_9,
     --p_9_10]).

input_clause(clause_76,theorem,
    [++p_8_4,
     --p_9_1,
     --p_9_2,
     --p_9_3,
     --p_9_4,
     --p_9_5,
     --p_9_6,
     --p_9_7,
     --p_9_8,
     --p_9_9,
     --p_9_10]).

input_clause(clause_77,theorem,
    [++p_8_5,
     --p_9_1,
     --p_9_2,
     --p_9_3,
     --p_9_4,
     --p_9_5,
     --p_9_6,
     --p_9_7,
     --p_9_8,
     --p_9_9,
     --p_9_10]).

input_clause(clause_78,theorem,
    [++p_8_6,
     --p_9_1,
     --p_9_2,
     --p_9_3,
     --p_9_4,
     --p_9_5,
     --p_9_6,
     --p_9_7,
     --p_9_8,
     --p_9_9,
     --p_9_10]).

input_clause(clause_79,theorem,
    [++p_8_7,
     --p_9_1,
     --p_9_2,
     --p_9_3,
     --p_9_4,
     --p_9_5,
     --p_9_6,
     --p_9_7,
     --p_9_8,
     --p_9_9,
     --p_9_10]).

input_clause(clause_80,theorem,
    [++p_8_8,
     --p_9_1,
     --p_9_2,
     --p_9_3,
     --p_9_4,
     --p_9_5,
     --p_9_6,
     --p_9_7,
     --p_9_8,
     --p_9_9,
     --p_9_10]).

input_clause(clause_81,theorem,
    [++p_8_9,
     --p_9_1,
     --p_9_2,
     --p_9_3,
     --p_9_4,
     --p_9_5,
     --p_9_6,
     --p_9_7,
     --p_9_8,
     --p_9_9,
     --p_9_10]).

input_clause(clause_82,theorem,
    [++p_8_10,
     --p_9_1,
     --p_9_2,
     --p_9_3,
     --p_9_4,
     --p_9_5,
     --p_9_6,
     --p_9_7,
     --p_9_8,
     --p_9_9,
     --p_9_10]).

input_clause(clause_83,theorem,
    [++p_9_1,
     --p_10_1,
     --p_10_2,
     --p_10_3,
     --p_10_4,
     --p_10_5,
     --p_10_6,
     --p_10_7,
     --p_10_8,
     --p_10_9,
     --p_10_10]).

input_clause(clause_84,theorem,
    [++p_9_2,
     --p_10_1,
     --p_10_2,
     --p_10_3,
     --p_10_4,
     --p_10_5,
     --p_10_6,
     --p_10_7,
     --p_10_8,
     --p_10_9,
     --p_10_10]).

input_clause(clause_85,theorem,
    [++p_9_3,
     --p_10_1,
     --p_10_2,
     --p_10_3,
     --p_10_4,
     --p_10_5,
     --p_10_6,
     --p_10_7,
     --p_10_8,
     --p_10_9,
     --p_10_10]).

input_clause(clause_86,theorem,
    [++p_9_4,
     --p_10_1,
     --p_10_2,
     --p_10_3,
     --p_10_4,
     --p_10_5,
     --p_10_6,
     --p_10_7,
     --p_10_8,
     --p_10_9,
     --p_10_10]).

input_clause(clause_87,theorem,
    [++p_9_5,
     --p_10_1,
     --p_10_2,
     --p_10_3,
     --p_10_4,
     --p_10_5,
     --p_10_6,
     --p_10_7,
     --p_10_8,
     --p_10_9,
     --p_10_10]).

input_clause(clause_88,theorem,
    [++p_9_6,
     --p_10_1,
     --p_10_2,
     --p_10_3,
     --p_10_4,
     --p_10_5,
     --p_10_6,
     --p_10_7,
     --p_10_8,
     --p_10_9,
     --p_10_10]).

input_clause(clause_89,theorem,
    [++p_9_7,
     --p_10_1,
     --p_10_2,
     --p_10_3,
     --p_10_4,
     --p_10_5,
     --p_10_6,
     --p_10_7,
     --p_10_8,
     --p_10_9,
     --p_10_10]).

input_clause(clause_90,theorem,
    [++p_9_8,
     --p_10_1,
     --p_10_2,
     --p_10_3,
     --p_10_4,
     --p_10_5,
     --p_10_6,
     --p_10_7,
     --p_10_8,
     --p_10_9,
     --p_10_10]).

input_clause(clause_91,theorem,
    [++p_9_9,
     --p_10_1,
     --p_10_2,
     --p_10_3,
     --p_10_4,
     --p_10_5,
     --p_10_6,
     --p_10_7,
     --p_10_8,
     --p_10_9,
     --p_10_10]).

input_clause(clause_92,theorem,
    [++p_9_10,
     --p_10_1,
     --p_10_2,
     --p_10_3,
     --p_10_4,
     --p_10_5,
     --p_10_6,
     --p_10_7,
     --p_10_8,
     --p_10_9,
     --p_10_10]).

input_clause(clause_93,theorem,
    [++p_10_1]).

input_clause(clause_94,theorem,
    [++p_10_2]).

input_clause(clause_95,theorem,
    [++p_10_3]).

input_clause(clause_96,theorem,
    [++p_10_4]).

input_clause(clause_97,theorem,
    [++p_10_5]).

input_clause(clause_98,theorem,
    [++p_10_6]).

input_clause(clause_99,theorem,
    [++p_10_7]).

input_clause(clause_100,theorem,
    [++p_10_8]).

input_clause(clause_101,theorem,
    [++p_10_9]).

input_clause(clause_102,theorem,
    [++p_10_10]).
%--------------------------------------------------------------------------
