%--------------------------------------------------------------------------
% File     : SYN029=EW2-1 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : EW2
% Version  : 
% English  : 

% Refs     : Michie D., Ross R. and Shannan G.J. (1972), G-deduction, 
%            Machine Intelligence 7, Edinburgh University Press, 141-165.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : EW2 [Michie, et al., 1972]
%          : EW2 [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :    5 (   1 non-Horn)(   1 unit)
%            Number of literals          :   10 (   0 equality)
%            Number of predicate symbols :    3 (   3 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [++q,++p]).

input_clause(clause2,axiom,
    [--p,++q]).

input_clause(clause3,axiom,
    [--r,--q,++p]).

input_clause(clause4,axiom,
    [++r]).

input_clause(prove_something,theorem,
    [--p,--q]).
%--------------------------------------------------------------------------
