%--------------------------------------------------------------------------
% File     : SYN035=ROB1-1 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : ROB1
% Version  : 
% English  : 

% Refs     : Michie D., Ross R. and Shannan G.J. (1972), G-deduction, 
%            Machine Intelligence 7, Edinburgh University Press, 141-165.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : ROB1 [Michie, et al., 1972]
%          : ROB1 [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   1 unit)
%            Number of literals          :    8 (   0 equality)
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    1 (   0 constant)
%            Number of variables         :    6 (   2 singleton)
%            Maximal clause size         :    4
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [++p(A,B)]).

input_clause(clause2,axiom,
    [--p(f(A,B),f(A,B)),
     --p(B,f(A,B)),
     ++q(A,B)]).

input_clause(theorem,theorem,
    [--q(f(A,B),f(A,B)),
     --q(A,f(A,B)),
     --p(f(A,B),f(A,B)),
     --p(B,f(A,B))]).
%--------------------------------------------------------------------------
