%--------------------------------------------------------------------------
% File     : SYN046=FPell15-1 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 15
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Pelletier F.J. (1988), Errata, Journal of Automated
%            Reasoning 4(2), 235-236.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 15 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 unit)
%            Number of literals          :    4 (   0 equality)
%            Number of predicate symbols :    2 (   2 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    2
%            Maximal term depth          :    0

% Comments : This problem is incorrect in [Pelletier, 1986] and is
%            corrected in [Pelletier, 1988].
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p,++q]).

input_clause(clause_2,theorem,
    [++p]).

input_clause(clause_3,theorem,
    [--q]).
%--------------------------------------------------------------------------
