%--------------------------------------------------------------------------
% File     : SYN049=FPell19-1 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 19
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 19 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 unit)
%            Number of literals          :    4 (   0 equality)
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    2 (   0 constant)
%            Number of variables         :    3 (   2 singleton)
%            Maximal clause size         :    2
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--big_p(f(X)),
     ++big_q(g(X))]).

input_clause(clause_2,theorem,
    [++big_p(X)]).

input_clause(clause_3,theorem,
    [--big_q(X)]).
%--------------------------------------------------------------------------
