%--------------------------------------------------------------------------
% File     : SYN092=DAPsyms3-1.005 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem sym(s(3,5))
% Version  : Theorem formulation : Size 5.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  138 (  65 non-Horn)(   0 unit)
%            Number of literals          :  404 (   0 equality)
%            Number of predicate symbols :   44 (  44 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(s3_goal_1,theorem,
    [--p_0,--q_0]).

input_clause(s3_type1_1,axiom,
    [++p_0,--p_1,--p_2]).

input_clause(s3_type1_2,axiom,
    [++p_0,--p_1,--q_2]).

input_clause(s3_type1_3,axiom,
    [++p_0,--q_1,--p_2]).

input_clause(s3_type1_4,axiom,
    [++p_0,--q_1,--q_2]).

input_clause(s3_type1_5,axiom,
    [++q_0,--p_1,--p_2]).

input_clause(s3_type1_6,axiom,
    [++q_0,--p_1,--q_2]).

input_clause(s3_type1_7,axiom,
    [++q_0,--q_1,--p_2]).

input_clause(s3_type1_8,axiom,
    [++q_0,--q_1,--q_2]).

input_clause(s3_type1_9,axiom,
    [++p_1,--p_2,--p_3]).

input_clause(s3_type1_10,axiom,
    [++p_1,--p_2,--q_3]).

input_clause(s3_type1_11,axiom,
    [++p_1,--q_2,--p_3]).

input_clause(s3_type1_12,axiom,
    [++p_1,--q_2,--q_3]).

input_clause(s3_type1_13,axiom,
    [++q_1,--p_2,--p_3]).

input_clause(s3_type1_14,axiom,
    [++q_1,--p_2,--q_3]).

input_clause(s3_type1_15,axiom,
    [++q_1,--q_2,--p_3]).

input_clause(s3_type1_16,axiom,
    [++q_1,--q_2,--q_3]).

input_clause(s3_type1_17,axiom,
    [++p_2,--p_3,--p_4]).

input_clause(s3_type1_18,axiom,
    [++p_2,--p_3,--q_4]).

input_clause(s3_type1_19,axiom,
    [++p_2,--q_3,--p_4]).

input_clause(s3_type1_20,axiom,
    [++p_2,--q_3,--q_4]).

input_clause(s3_type1_21,axiom,
    [++q_2,--p_3,--p_4]).

input_clause(s3_type1_22,axiom,
    [++q_2,--p_3,--q_4]).

input_clause(s3_type1_23,axiom,
    [++q_2,--q_3,--p_4]).

input_clause(s3_type1_24,axiom,
    [++q_2,--q_3,--q_4]).

input_clause(s3_type1_25,axiom,
    [++p_3,--p_4,--p_5]).

input_clause(s3_type1_26,axiom,
    [++p_3,--p_4,--q_5]).

input_clause(s3_type1_27,axiom,
    [++p_3,--q_4,--p_5]).

input_clause(s3_type1_28,axiom,
    [++p_3,--q_4,--q_5]).

input_clause(s3_type1_29,axiom,
    [++q_3,--p_4,--p_5]).

input_clause(s3_type1_30,axiom,
    [++q_3,--p_4,--q_5]).

input_clause(s3_type1_31,axiom,
    [++q_3,--q_4,--p_5]).

input_clause(s3_type1_32,axiom,
    [++q_3,--q_4,--q_5]).

input_clause(s3_type1_33,axiom,
    [++p_4,--p_5,--p_6]).

input_clause(s3_type1_34,axiom,
    [++p_4,--p_5,--q_6]).

input_clause(s3_type1_35,axiom,
    [++p_4,--q_5,--p_6]).

input_clause(s3_type1_36,axiom,
    [++p_4,--q_5,--q_6]).

input_clause(s3_type1_37,axiom,
    [++q_4,--p_5,--p_6]).

input_clause(s3_type1_38,axiom,
    [++q_4,--p_5,--q_6]).

input_clause(s3_type1_39,axiom,
    [++q_4,--q_5,--p_6]).

input_clause(s3_type1_40,axiom,
    [++q_4,--q_5,--q_6]).

input_clause(s3_type1_41,axiom,
    [++p_5,--p_6,--p_7]).

input_clause(s3_type1_42,axiom,
    [++p_5,--p_6,--q_7]).

input_clause(s3_type1_43,axiom,
    [++p_5,--q_6,--p_7]).

input_clause(s3_type1_44,axiom,
    [++p_5,--q_6,--q_7]).

input_clause(s3_type1_45,axiom,
    [++q_5,--p_6,--p_7]).

input_clause(s3_type1_46,axiom,
    [++q_5,--p_6,--q_7]).

input_clause(s3_type1_47,axiom,
    [++q_5,--q_6,--p_7]).

input_clause(s3_type1_48,axiom,
    [++q_5,--q_6,--q_7]).

input_clause(s3_type1_49,axiom,
    [++p_6,--p_7,--p_8]).

input_clause(s3_type1_50,axiom,
    [++p_6,--p_7,--q_8]).

input_clause(s3_type1_51,axiom,
    [++p_6,--q_7,--p_8]).

input_clause(s3_type1_52,axiom,
    [++p_6,--q_7,--q_8]).

input_clause(s3_type1_53,axiom,
    [++q_6,--p_7,--p_8]).

input_clause(s3_type1_54,axiom,
    [++q_6,--p_7,--q_8]).

input_clause(s3_type1_55,axiom,
    [++q_6,--q_7,--p_8]).

input_clause(s3_type1_56,axiom,
    [++q_6,--q_7,--q_8]).

input_clause(s3_type1_57,axiom,
    [++p_7,--p_8,--p_9]).

input_clause(s3_type1_58,axiom,
    [++p_7,--p_8,--q_9]).

input_clause(s3_type1_59,axiom,
    [++p_7,--q_8,--p_9]).

input_clause(s3_type1_60,axiom,
    [++p_7,--q_8,--q_9]).

input_clause(s3_type1_61,axiom,
    [++q_7,--p_8,--p_9]).

input_clause(s3_type1_62,axiom,
    [++q_7,--p_8,--q_9]).

input_clause(s3_type1_63,axiom,
    [++q_7,--q_8,--p_9]).

input_clause(s3_type1_64,axiom,
    [++q_7,--q_8,--q_9]).

input_clause(s3_type2_1,axiom,
    [++p_9,--p_4]).

input_clause(s3_type2_2,axiom,
    [++p_10,--p_5]).

input_clause(s3_type2_3,axiom,
    [++q_9,--q_4]).

input_clause(s3_type2_4,axiom,
    [++q_10,--q_5]).

input_clause(sym_s3_goal_1,axiom,
    [++sym_p_0,++sym_q_0]).

input_clause(sym_s3_type1_1,axiom,
    [--sym_p_0,++sym_p_1,++sym_p_2]).

input_clause(sym_s3_type1_2,axiom,
    [--sym_p_0,++sym_p_1,++sym_q_2]).

input_clause(sym_s3_type1_3,axiom,
    [--sym_p_0,++sym_q_1,++sym_p_2]).

input_clause(sym_s3_type1_4,axiom,
    [--sym_p_0,++sym_q_1,++sym_q_2]).

input_clause(sym_s3_type1_5,axiom,
    [--sym_q_0,++sym_p_1,++sym_p_2]).

input_clause(sym_s3_type1_6,axiom,
    [--sym_q_0,++sym_p_1,++sym_q_2]).

input_clause(sym_s3_type1_7,axiom,
    [--sym_q_0,++sym_q_1,++sym_p_2]).

input_clause(sym_s3_type1_8,axiom,
    [--sym_q_0,++sym_q_1,++sym_q_2]).

input_clause(sym_s3_type1_9,axiom,
    [--sym_p_1,++sym_p_2,++sym_p_3]).

input_clause(sym_s3_type1_10,axiom,
    [--sym_p_1,++sym_p_2,++sym_q_3]).

input_clause(sym_s3_type1_11,axiom,
    [--sym_p_1,++sym_q_2,++sym_p_3]).

input_clause(sym_s3_type1_12,axiom,
    [--sym_p_1,++sym_q_2,++sym_q_3]).

input_clause(sym_s3_type1_13,axiom,
    [--sym_q_1,++sym_p_2,++sym_p_3]).

input_clause(sym_s3_type1_14,axiom,
    [--sym_q_1,++sym_p_2,++sym_q_3]).

input_clause(sym_s3_type1_15,axiom,
    [--sym_q_1,++sym_q_2,++sym_p_3]).

input_clause(sym_s3_type1_16,axiom,
    [--sym_q_1,++sym_q_2,++sym_q_3]).

input_clause(sym_s3_type1_17,axiom,
    [--sym_p_2,++sym_p_3,++sym_p_4]).

input_clause(sym_s3_type1_18,axiom,
    [--sym_p_2,++sym_p_3,++sym_q_4]).

input_clause(sym_s3_type1_19,axiom,
    [--sym_p_2,++sym_q_3,++sym_p_4]).

input_clause(sym_s3_type1_20,axiom,
    [--sym_p_2,++sym_q_3,++sym_q_4]).

input_clause(sym_s3_type1_21,axiom,
    [--sym_q_2,++sym_p_3,++sym_p_4]).

input_clause(sym_s3_type1_22,axiom,
    [--sym_q_2,++sym_p_3,++sym_q_4]).

input_clause(sym_s3_type1_23,axiom,
    [--sym_q_2,++sym_q_3,++sym_p_4]).

input_clause(sym_s3_type1_24,axiom,
    [--sym_q_2,++sym_q_3,++sym_q_4]).

input_clause(sym_s3_type1_25,axiom,
    [--sym_p_3,++sym_p_4,++sym_p_5]).

input_clause(sym_s3_type1_26,axiom,
    [--sym_p_3,++sym_p_4,++sym_q_5]).

input_clause(sym_s3_type1_27,axiom,
    [--sym_p_3,++sym_q_4,++sym_p_5]).

input_clause(sym_s3_type1_28,axiom,
    [--sym_p_3,++sym_q_4,++sym_q_5]).

input_clause(sym_s3_type1_29,axiom,
    [--sym_q_3,++sym_p_4,++sym_p_5]).

input_clause(sym_s3_type1_30,axiom,
    [--sym_q_3,++sym_p_4,++sym_q_5]).

input_clause(sym_s3_type1_31,axiom,
    [--sym_q_3,++sym_q_4,++sym_p_5]).

input_clause(sym_s3_type1_32,axiom,
    [--sym_q_3,++sym_q_4,++sym_q_5]).

input_clause(sym_s3_type1_33,axiom,
    [--sym_p_4,++sym_p_5,++sym_p_6]).

input_clause(sym_s3_type1_34,axiom,
    [--sym_p_4,++sym_p_5,++sym_q_6]).

input_clause(sym_s3_type1_35,axiom,
    [--sym_p_4,++sym_q_5,++sym_p_6]).

input_clause(sym_s3_type1_36,axiom,
    [--sym_p_4,++sym_q_5,++sym_q_6]).

input_clause(sym_s3_type1_37,axiom,
    [--sym_q_4,++sym_p_5,++sym_p_6]).

input_clause(sym_s3_type1_38,axiom,
    [--sym_q_4,++sym_p_5,++sym_q_6]).

input_clause(sym_s3_type1_39,axiom,
    [--sym_q_4,++sym_q_5,++sym_p_6]).

input_clause(sym_s3_type1_40,axiom,
    [--sym_q_4,++sym_q_5,++sym_q_6]).

input_clause(sym_s3_type1_41,axiom,
    [--sym_p_5,++sym_p_6,++sym_p_7]).

input_clause(sym_s3_type1_42,axiom,
    [--sym_p_5,++sym_p_6,++sym_q_7]).

input_clause(sym_s3_type1_43,axiom,
    [--sym_p_5,++sym_q_6,++sym_p_7]).

input_clause(sym_s3_type1_44,axiom,
    [--sym_p_5,++sym_q_6,++sym_q_7]).

input_clause(sym_s3_type1_45,axiom,
    [--sym_q_5,++sym_p_6,++sym_p_7]).

input_clause(sym_s3_type1_46,axiom,
    [--sym_q_5,++sym_p_6,++sym_q_7]).

input_clause(sym_s3_type1_47,axiom,
    [--sym_q_5,++sym_q_6,++sym_p_7]).

input_clause(sym_s3_type1_48,axiom,
    [--sym_q_5,++sym_q_6,++sym_q_7]).

input_clause(sym_s3_type1_49,axiom,
    [--sym_p_6,++sym_p_7,++sym_p_8]).

input_clause(sym_s3_type1_50,axiom,
    [--sym_p_6,++sym_p_7,++sym_q_8]).

input_clause(sym_s3_type1_51,axiom,
    [--sym_p_6,++sym_q_7,++sym_p_8]).

input_clause(sym_s3_type1_52,axiom,
    [--sym_p_6,++sym_q_7,++sym_q_8]).

input_clause(sym_s3_type1_53,axiom,
    [--sym_q_6,++sym_p_7,++sym_p_8]).

input_clause(sym_s3_type1_54,axiom,
    [--sym_q_6,++sym_p_7,++sym_q_8]).

input_clause(sym_s3_type1_55,axiom,
    [--sym_q_6,++sym_q_7,++sym_p_8]).

input_clause(sym_s3_type1_56,axiom,
    [--sym_q_6,++sym_q_7,++sym_q_8]).

input_clause(sym_s3_type1_57,axiom,
    [--sym_p_7,++sym_p_8,++sym_p_9]).

input_clause(sym_s3_type1_58,axiom,
    [--sym_p_7,++sym_p_8,++sym_q_9]).

input_clause(sym_s3_type1_59,axiom,
    [--sym_p_7,++sym_q_8,++sym_p_9]).

input_clause(sym_s3_type1_60,axiom,
    [--sym_p_7,++sym_q_8,++sym_q_9]).

input_clause(sym_s3_type1_61,axiom,
    [--sym_q_7,++sym_p_8,++sym_p_9]).

input_clause(sym_s3_type1_62,axiom,
    [--sym_q_7,++sym_p_8,++sym_q_9]).

input_clause(sym_s3_type1_63,axiom,
    [--sym_q_7,++sym_q_8,++sym_p_9]).

input_clause(sym_s3_type1_64,axiom,
    [--sym_q_7,++sym_q_8,++sym_q_9]).

input_clause(sym_s3_type2_1,axiom,
    [--sym_p_9,++sym_p_4]).

input_clause(sym_s3_type2_2,axiom,
    [--sym_p_10,++sym_p_5]).

input_clause(sym_s3_type2_3,axiom,
    [--sym_q_9,++sym_q_4]).

input_clause(sym_s3_type2_4,axiom,
    [--sym_q_10,++sym_q_5]).
%--------------------------------------------------------------------------
