%--------------------------------------------------------------------------
% File     : SYN092=DAPsyms3-1.020 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem sym(s(3,20))
% Version  : Theorem formulation : Size 20.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  618 ( 305 non-Horn)(   0 unit)
%            Number of literals          : 1844 (   0 equality)
%            Number of predicate symbols :  164 ( 164 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(s3_goal_1,theorem,
    [--p_0,--q_0]).

input_clause(s3_type1_1,axiom,
    [++p_0,--p_1,--p_2]).

input_clause(s3_type1_2,axiom,
    [++p_0,--p_1,--q_2]).

input_clause(s3_type1_3,axiom,
    [++p_0,--q_1,--p_2]).

input_clause(s3_type1_4,axiom,
    [++p_0,--q_1,--q_2]).

input_clause(s3_type1_5,axiom,
    [++q_0,--p_1,--p_2]).

input_clause(s3_type1_6,axiom,
    [++q_0,--p_1,--q_2]).

input_clause(s3_type1_7,axiom,
    [++q_0,--q_1,--p_2]).

input_clause(s3_type1_8,axiom,
    [++q_0,--q_1,--q_2]).

input_clause(s3_type1_9,axiom,
    [++p_1,--p_2,--p_3]).

input_clause(s3_type1_10,axiom,
    [++p_1,--p_2,--q_3]).

input_clause(s3_type1_11,axiom,
    [++p_1,--q_2,--p_3]).

input_clause(s3_type1_12,axiom,
    [++p_1,--q_2,--q_3]).

input_clause(s3_type1_13,axiom,
    [++q_1,--p_2,--p_3]).

input_clause(s3_type1_14,axiom,
    [++q_1,--p_2,--q_3]).

input_clause(s3_type1_15,axiom,
    [++q_1,--q_2,--p_3]).

input_clause(s3_type1_16,axiom,
    [++q_1,--q_2,--q_3]).

input_clause(s3_type1_17,axiom,
    [++p_2,--p_3,--p_4]).

input_clause(s3_type1_18,axiom,
    [++p_2,--p_3,--q_4]).

input_clause(s3_type1_19,axiom,
    [++p_2,--q_3,--p_4]).

input_clause(s3_type1_20,axiom,
    [++p_2,--q_3,--q_4]).

input_clause(s3_type1_21,axiom,
    [++q_2,--p_3,--p_4]).

input_clause(s3_type1_22,axiom,
    [++q_2,--p_3,--q_4]).

input_clause(s3_type1_23,axiom,
    [++q_2,--q_3,--p_4]).

input_clause(s3_type1_24,axiom,
    [++q_2,--q_3,--q_4]).

input_clause(s3_type1_25,axiom,
    [++p_3,--p_4,--p_5]).

input_clause(s3_type1_26,axiom,
    [++p_3,--p_4,--q_5]).

input_clause(s3_type1_27,axiom,
    [++p_3,--q_4,--p_5]).

input_clause(s3_type1_28,axiom,
    [++p_3,--q_4,--q_5]).

input_clause(s3_type1_29,axiom,
    [++q_3,--p_4,--p_5]).

input_clause(s3_type1_30,axiom,
    [++q_3,--p_4,--q_5]).

input_clause(s3_type1_31,axiom,
    [++q_3,--q_4,--p_5]).

input_clause(s3_type1_32,axiom,
    [++q_3,--q_4,--q_5]).

input_clause(s3_type1_33,axiom,
    [++p_4,--p_5,--p_6]).

input_clause(s3_type1_34,axiom,
    [++p_4,--p_5,--q_6]).

input_clause(s3_type1_35,axiom,
    [++p_4,--q_5,--p_6]).

input_clause(s3_type1_36,axiom,
    [++p_4,--q_5,--q_6]).

input_clause(s3_type1_37,axiom,
    [++q_4,--p_5,--p_6]).

input_clause(s3_type1_38,axiom,
    [++q_4,--p_5,--q_6]).

input_clause(s3_type1_39,axiom,
    [++q_4,--q_5,--p_6]).

input_clause(s3_type1_40,axiom,
    [++q_4,--q_5,--q_6]).

input_clause(s3_type1_41,axiom,
    [++p_5,--p_6,--p_7]).

input_clause(s3_type1_42,axiom,
    [++p_5,--p_6,--q_7]).

input_clause(s3_type1_43,axiom,
    [++p_5,--q_6,--p_7]).

input_clause(s3_type1_44,axiom,
    [++p_5,--q_6,--q_7]).

input_clause(s3_type1_45,axiom,
    [++q_5,--p_6,--p_7]).

input_clause(s3_type1_46,axiom,
    [++q_5,--p_6,--q_7]).

input_clause(s3_type1_47,axiom,
    [++q_5,--q_6,--p_7]).

input_clause(s3_type1_48,axiom,
    [++q_5,--q_6,--q_7]).

input_clause(s3_type1_49,axiom,
    [++p_6,--p_7,--p_8]).

input_clause(s3_type1_50,axiom,
    [++p_6,--p_7,--q_8]).

input_clause(s3_type1_51,axiom,
    [++p_6,--q_7,--p_8]).

input_clause(s3_type1_52,axiom,
    [++p_6,--q_7,--q_8]).

input_clause(s3_type1_53,axiom,
    [++q_6,--p_7,--p_8]).

input_clause(s3_type1_54,axiom,
    [++q_6,--p_7,--q_8]).

input_clause(s3_type1_55,axiom,
    [++q_6,--q_7,--p_8]).

input_clause(s3_type1_56,axiom,
    [++q_6,--q_7,--q_8]).

input_clause(s3_type1_57,axiom,
    [++p_7,--p_8,--p_9]).

input_clause(s3_type1_58,axiom,
    [++p_7,--p_8,--q_9]).

input_clause(s3_type1_59,axiom,
    [++p_7,--q_8,--p_9]).

input_clause(s3_type1_60,axiom,
    [++p_7,--q_8,--q_9]).

input_clause(s3_type1_61,axiom,
    [++q_7,--p_8,--p_9]).

input_clause(s3_type1_62,axiom,
    [++q_7,--p_8,--q_9]).

input_clause(s3_type1_63,axiom,
    [++q_7,--q_8,--p_9]).

input_clause(s3_type1_64,axiom,
    [++q_7,--q_8,--q_9]).

input_clause(s3_type1_65,axiom,
    [++p_8,--p_9,--p_10]).

input_clause(s3_type1_66,axiom,
    [++p_8,--p_9,--q_10]).

input_clause(s3_type1_67,axiom,
    [++p_8,--q_9,--p_10]).

input_clause(s3_type1_68,axiom,
    [++p_8,--q_9,--q_10]).

input_clause(s3_type1_69,axiom,
    [++q_8,--p_9,--p_10]).

input_clause(s3_type1_70,axiom,
    [++q_8,--p_9,--q_10]).

input_clause(s3_type1_71,axiom,
    [++q_8,--q_9,--p_10]).

input_clause(s3_type1_72,axiom,
    [++q_8,--q_9,--q_10]).

input_clause(s3_type1_73,axiom,
    [++p_9,--p_10,--p_11]).

input_clause(s3_type1_74,axiom,
    [++p_9,--p_10,--q_11]).

input_clause(s3_type1_75,axiom,
    [++p_9,--q_10,--p_11]).

input_clause(s3_type1_76,axiom,
    [++p_9,--q_10,--q_11]).

input_clause(s3_type1_77,axiom,
    [++q_9,--p_10,--p_11]).

input_clause(s3_type1_78,axiom,
    [++q_9,--p_10,--q_11]).

input_clause(s3_type1_79,axiom,
    [++q_9,--q_10,--p_11]).

input_clause(s3_type1_80,axiom,
    [++q_9,--q_10,--q_11]).

input_clause(s3_type1_81,axiom,
    [++p_10,--p_11,--p_12]).

input_clause(s3_type1_82,axiom,
    [++p_10,--p_11,--q_12]).

input_clause(s3_type1_83,axiom,
    [++p_10,--q_11,--p_12]).

input_clause(s3_type1_84,axiom,
    [++p_10,--q_11,--q_12]).

input_clause(s3_type1_85,axiom,
    [++q_10,--p_11,--p_12]).

input_clause(s3_type1_86,axiom,
    [++q_10,--p_11,--q_12]).

input_clause(s3_type1_87,axiom,
    [++q_10,--q_11,--p_12]).

input_clause(s3_type1_88,axiom,
    [++q_10,--q_11,--q_12]).

input_clause(s3_type1_89,axiom,
    [++p_11,--p_12,--p_13]).

input_clause(s3_type1_90,axiom,
    [++p_11,--p_12,--q_13]).

input_clause(s3_type1_91,axiom,
    [++p_11,--q_12,--p_13]).

input_clause(s3_type1_92,axiom,
    [++p_11,--q_12,--q_13]).

input_clause(s3_type1_93,axiom,
    [++q_11,--p_12,--p_13]).

input_clause(s3_type1_94,axiom,
    [++q_11,--p_12,--q_13]).

input_clause(s3_type1_95,axiom,
    [++q_11,--q_12,--p_13]).

input_clause(s3_type1_96,axiom,
    [++q_11,--q_12,--q_13]).

input_clause(s3_type1_97,axiom,
    [++p_12,--p_13,--p_14]).

input_clause(s3_type1_98,axiom,
    [++p_12,--p_13,--q_14]).

input_clause(s3_type1_99,axiom,
    [++p_12,--q_13,--p_14]).

input_clause(s3_type1_100,axiom,
    [++p_12,--q_13,--q_14]).

input_clause(s3_type1_101,axiom,
    [++q_12,--p_13,--p_14]).

input_clause(s3_type1_102,axiom,
    [++q_12,--p_13,--q_14]).

input_clause(s3_type1_103,axiom,
    [++q_12,--q_13,--p_14]).

input_clause(s3_type1_104,axiom,
    [++q_12,--q_13,--q_14]).

input_clause(s3_type1_105,axiom,
    [++p_13,--p_14,--p_15]).

input_clause(s3_type1_106,axiom,
    [++p_13,--p_14,--q_15]).

input_clause(s3_type1_107,axiom,
    [++p_13,--q_14,--p_15]).

input_clause(s3_type1_108,axiom,
    [++p_13,--q_14,--q_15]).

input_clause(s3_type1_109,axiom,
    [++q_13,--p_14,--p_15]).

input_clause(s3_type1_110,axiom,
    [++q_13,--p_14,--q_15]).

input_clause(s3_type1_111,axiom,
    [++q_13,--q_14,--p_15]).

input_clause(s3_type1_112,axiom,
    [++q_13,--q_14,--q_15]).

input_clause(s3_type1_113,axiom,
    [++p_14,--p_15,--p_16]).

input_clause(s3_type1_114,axiom,
    [++p_14,--p_15,--q_16]).

input_clause(s3_type1_115,axiom,
    [++p_14,--q_15,--p_16]).

input_clause(s3_type1_116,axiom,
    [++p_14,--q_15,--q_16]).

input_clause(s3_type1_117,axiom,
    [++q_14,--p_15,--p_16]).

input_clause(s3_type1_118,axiom,
    [++q_14,--p_15,--q_16]).

input_clause(s3_type1_119,axiom,
    [++q_14,--q_15,--p_16]).

input_clause(s3_type1_120,axiom,
    [++q_14,--q_15,--q_16]).

input_clause(s3_type1_121,axiom,
    [++p_15,--p_16,--p_17]).

input_clause(s3_type1_122,axiom,
    [++p_15,--p_16,--q_17]).

input_clause(s3_type1_123,axiom,
    [++p_15,--q_16,--p_17]).

input_clause(s3_type1_124,axiom,
    [++p_15,--q_16,--q_17]).

input_clause(s3_type1_125,axiom,
    [++q_15,--p_16,--p_17]).

input_clause(s3_type1_126,axiom,
    [++q_15,--p_16,--q_17]).

input_clause(s3_type1_127,axiom,
    [++q_15,--q_16,--p_17]).

input_clause(s3_type1_128,axiom,
    [++q_15,--q_16,--q_17]).

input_clause(s3_type1_129,axiom,
    [++p_16,--p_17,--p_18]).

input_clause(s3_type1_130,axiom,
    [++p_16,--p_17,--q_18]).

input_clause(s3_type1_131,axiom,
    [++p_16,--q_17,--p_18]).

input_clause(s3_type1_132,axiom,
    [++p_16,--q_17,--q_18]).

input_clause(s3_type1_133,axiom,
    [++q_16,--p_17,--p_18]).

input_clause(s3_type1_134,axiom,
    [++q_16,--p_17,--q_18]).

input_clause(s3_type1_135,axiom,
    [++q_16,--q_17,--p_18]).

input_clause(s3_type1_136,axiom,
    [++q_16,--q_17,--q_18]).

input_clause(s3_type1_137,axiom,
    [++p_17,--p_18,--p_19]).

input_clause(s3_type1_138,axiom,
    [++p_17,--p_18,--q_19]).

input_clause(s3_type1_139,axiom,
    [++p_17,--q_18,--p_19]).

input_clause(s3_type1_140,axiom,
    [++p_17,--q_18,--q_19]).

input_clause(s3_type1_141,axiom,
    [++q_17,--p_18,--p_19]).

input_clause(s3_type1_142,axiom,
    [++q_17,--p_18,--q_19]).

input_clause(s3_type1_143,axiom,
    [++q_17,--q_18,--p_19]).

input_clause(s3_type1_144,axiom,
    [++q_17,--q_18,--q_19]).

input_clause(s3_type1_145,axiom,
    [++p_18,--p_19,--p_20]).

input_clause(s3_type1_146,axiom,
    [++p_18,--p_19,--q_20]).

input_clause(s3_type1_147,axiom,
    [++p_18,--q_19,--p_20]).

input_clause(s3_type1_148,axiom,
    [++p_18,--q_19,--q_20]).

input_clause(s3_type1_149,axiom,
    [++q_18,--p_19,--p_20]).

input_clause(s3_type1_150,axiom,
    [++q_18,--p_19,--q_20]).

input_clause(s3_type1_151,axiom,
    [++q_18,--q_19,--p_20]).

input_clause(s3_type1_152,axiom,
    [++q_18,--q_19,--q_20]).

input_clause(s3_type1_153,axiom,
    [++p_19,--p_20,--p_21]).

input_clause(s3_type1_154,axiom,
    [++p_19,--p_20,--q_21]).

input_clause(s3_type1_155,axiom,
    [++p_19,--q_20,--p_21]).

input_clause(s3_type1_156,axiom,
    [++p_19,--q_20,--q_21]).

input_clause(s3_type1_157,axiom,
    [++q_19,--p_20,--p_21]).

input_clause(s3_type1_158,axiom,
    [++q_19,--p_20,--q_21]).

input_clause(s3_type1_159,axiom,
    [++q_19,--q_20,--p_21]).

input_clause(s3_type1_160,axiom,
    [++q_19,--q_20,--q_21]).

input_clause(s3_type1_161,axiom,
    [++p_20,--p_21,--p_22]).

input_clause(s3_type1_162,axiom,
    [++p_20,--p_21,--q_22]).

input_clause(s3_type1_163,axiom,
    [++p_20,--q_21,--p_22]).

input_clause(s3_type1_164,axiom,
    [++p_20,--q_21,--q_22]).

input_clause(s3_type1_165,axiom,
    [++q_20,--p_21,--p_22]).

input_clause(s3_type1_166,axiom,
    [++q_20,--p_21,--q_22]).

input_clause(s3_type1_167,axiom,
    [++q_20,--q_21,--p_22]).

input_clause(s3_type1_168,axiom,
    [++q_20,--q_21,--q_22]).

input_clause(s3_type1_169,axiom,
    [++p_21,--p_22,--p_23]).

input_clause(s3_type1_170,axiom,
    [++p_21,--p_22,--q_23]).

input_clause(s3_type1_171,axiom,
    [++p_21,--q_22,--p_23]).

input_clause(s3_type1_172,axiom,
    [++p_21,--q_22,--q_23]).

input_clause(s3_type1_173,axiom,
    [++q_21,--p_22,--p_23]).

input_clause(s3_type1_174,axiom,
    [++q_21,--p_22,--q_23]).

input_clause(s3_type1_175,axiom,
    [++q_21,--q_22,--p_23]).

input_clause(s3_type1_176,axiom,
    [++q_21,--q_22,--q_23]).

input_clause(s3_type1_177,axiom,
    [++p_22,--p_23,--p_24]).

input_clause(s3_type1_178,axiom,
    [++p_22,--p_23,--q_24]).

input_clause(s3_type1_179,axiom,
    [++p_22,--q_23,--p_24]).

input_clause(s3_type1_180,axiom,
    [++p_22,--q_23,--q_24]).

input_clause(s3_type1_181,axiom,
    [++q_22,--p_23,--p_24]).

input_clause(s3_type1_182,axiom,
    [++q_22,--p_23,--q_24]).

input_clause(s3_type1_183,axiom,
    [++q_22,--q_23,--p_24]).

input_clause(s3_type1_184,axiom,
    [++q_22,--q_23,--q_24]).

input_clause(s3_type1_185,axiom,
    [++p_23,--p_24,--p_25]).

input_clause(s3_type1_186,axiom,
    [++p_23,--p_24,--q_25]).

input_clause(s3_type1_187,axiom,
    [++p_23,--q_24,--p_25]).

input_clause(s3_type1_188,axiom,
    [++p_23,--q_24,--q_25]).

input_clause(s3_type1_189,axiom,
    [++q_23,--p_24,--p_25]).

input_clause(s3_type1_190,axiom,
    [++q_23,--p_24,--q_25]).

input_clause(s3_type1_191,axiom,
    [++q_23,--q_24,--p_25]).

input_clause(s3_type1_192,axiom,
    [++q_23,--q_24,--q_25]).

input_clause(s3_type1_193,axiom,
    [++p_24,--p_25,--p_26]).

input_clause(s3_type1_194,axiom,
    [++p_24,--p_25,--q_26]).

input_clause(s3_type1_195,axiom,
    [++p_24,--q_25,--p_26]).

input_clause(s3_type1_196,axiom,
    [++p_24,--q_25,--q_26]).

input_clause(s3_type1_197,axiom,
    [++q_24,--p_25,--p_26]).

input_clause(s3_type1_198,axiom,
    [++q_24,--p_25,--q_26]).

input_clause(s3_type1_199,axiom,
    [++q_24,--q_25,--p_26]).

input_clause(s3_type1_200,axiom,
    [++q_24,--q_25,--q_26]).

input_clause(s3_type1_201,axiom,
    [++p_25,--p_26,--p_27]).

input_clause(s3_type1_202,axiom,
    [++p_25,--p_26,--q_27]).

input_clause(s3_type1_203,axiom,
    [++p_25,--q_26,--p_27]).

input_clause(s3_type1_204,axiom,
    [++p_25,--q_26,--q_27]).

input_clause(s3_type1_205,axiom,
    [++q_25,--p_26,--p_27]).

input_clause(s3_type1_206,axiom,
    [++q_25,--p_26,--q_27]).

input_clause(s3_type1_207,axiom,
    [++q_25,--q_26,--p_27]).

input_clause(s3_type1_208,axiom,
    [++q_25,--q_26,--q_27]).

input_clause(s3_type1_209,axiom,
    [++p_26,--p_27,--p_28]).

input_clause(s3_type1_210,axiom,
    [++p_26,--p_27,--q_28]).

input_clause(s3_type1_211,axiom,
    [++p_26,--q_27,--p_28]).

input_clause(s3_type1_212,axiom,
    [++p_26,--q_27,--q_28]).

input_clause(s3_type1_213,axiom,
    [++q_26,--p_27,--p_28]).

input_clause(s3_type1_214,axiom,
    [++q_26,--p_27,--q_28]).

input_clause(s3_type1_215,axiom,
    [++q_26,--q_27,--p_28]).

input_clause(s3_type1_216,axiom,
    [++q_26,--q_27,--q_28]).

input_clause(s3_type1_217,axiom,
    [++p_27,--p_28,--p_29]).

input_clause(s3_type1_218,axiom,
    [++p_27,--p_28,--q_29]).

input_clause(s3_type1_219,axiom,
    [++p_27,--q_28,--p_29]).

input_clause(s3_type1_220,axiom,
    [++p_27,--q_28,--q_29]).

input_clause(s3_type1_221,axiom,
    [++q_27,--p_28,--p_29]).

input_clause(s3_type1_222,axiom,
    [++q_27,--p_28,--q_29]).

input_clause(s3_type1_223,axiom,
    [++q_27,--q_28,--p_29]).

input_clause(s3_type1_224,axiom,
    [++q_27,--q_28,--q_29]).

input_clause(s3_type1_225,axiom,
    [++p_28,--p_29,--p_30]).

input_clause(s3_type1_226,axiom,
    [++p_28,--p_29,--q_30]).

input_clause(s3_type1_227,axiom,
    [++p_28,--q_29,--p_30]).

input_clause(s3_type1_228,axiom,
    [++p_28,--q_29,--q_30]).

input_clause(s3_type1_229,axiom,
    [++q_28,--p_29,--p_30]).

input_clause(s3_type1_230,axiom,
    [++q_28,--p_29,--q_30]).

input_clause(s3_type1_231,axiom,
    [++q_28,--q_29,--p_30]).

input_clause(s3_type1_232,axiom,
    [++q_28,--q_29,--q_30]).

input_clause(s3_type1_233,axiom,
    [++p_29,--p_30,--p_31]).

input_clause(s3_type1_234,axiom,
    [++p_29,--p_30,--q_31]).

input_clause(s3_type1_235,axiom,
    [++p_29,--q_30,--p_31]).

input_clause(s3_type1_236,axiom,
    [++p_29,--q_30,--q_31]).

input_clause(s3_type1_237,axiom,
    [++q_29,--p_30,--p_31]).

input_clause(s3_type1_238,axiom,
    [++q_29,--p_30,--q_31]).

input_clause(s3_type1_239,axiom,
    [++q_29,--q_30,--p_31]).

input_clause(s3_type1_240,axiom,
    [++q_29,--q_30,--q_31]).

input_clause(s3_type1_241,axiom,
    [++p_30,--p_31,--p_32]).

input_clause(s3_type1_242,axiom,
    [++p_30,--p_31,--q_32]).

input_clause(s3_type1_243,axiom,
    [++p_30,--q_31,--p_32]).

input_clause(s3_type1_244,axiom,
    [++p_30,--q_31,--q_32]).

input_clause(s3_type1_245,axiom,
    [++q_30,--p_31,--p_32]).

input_clause(s3_type1_246,axiom,
    [++q_30,--p_31,--q_32]).

input_clause(s3_type1_247,axiom,
    [++q_30,--q_31,--p_32]).

input_clause(s3_type1_248,axiom,
    [++q_30,--q_31,--q_32]).

input_clause(s3_type1_249,axiom,
    [++p_31,--p_32,--p_33]).

input_clause(s3_type1_250,axiom,
    [++p_31,--p_32,--q_33]).

input_clause(s3_type1_251,axiom,
    [++p_31,--q_32,--p_33]).

input_clause(s3_type1_252,axiom,
    [++p_31,--q_32,--q_33]).

input_clause(s3_type1_253,axiom,
    [++q_31,--p_32,--p_33]).

input_clause(s3_type1_254,axiom,
    [++q_31,--p_32,--q_33]).

input_clause(s3_type1_255,axiom,
    [++q_31,--q_32,--p_33]).

input_clause(s3_type1_256,axiom,
    [++q_31,--q_32,--q_33]).

input_clause(s3_type1_257,axiom,
    [++p_32,--p_33,--p_34]).

input_clause(s3_type1_258,axiom,
    [++p_32,--p_33,--q_34]).

input_clause(s3_type1_259,axiom,
    [++p_32,--q_33,--p_34]).

input_clause(s3_type1_260,axiom,
    [++p_32,--q_33,--q_34]).

input_clause(s3_type1_261,axiom,
    [++q_32,--p_33,--p_34]).

input_clause(s3_type1_262,axiom,
    [++q_32,--p_33,--q_34]).

input_clause(s3_type1_263,axiom,
    [++q_32,--q_33,--p_34]).

input_clause(s3_type1_264,axiom,
    [++q_32,--q_33,--q_34]).

input_clause(s3_type1_265,axiom,
    [++p_33,--p_34,--p_35]).

input_clause(s3_type1_266,axiom,
    [++p_33,--p_34,--q_35]).

input_clause(s3_type1_267,axiom,
    [++p_33,--q_34,--p_35]).

input_clause(s3_type1_268,axiom,
    [++p_33,--q_34,--q_35]).

input_clause(s3_type1_269,axiom,
    [++q_33,--p_34,--p_35]).

input_clause(s3_type1_270,axiom,
    [++q_33,--p_34,--q_35]).

input_clause(s3_type1_271,axiom,
    [++q_33,--q_34,--p_35]).

input_clause(s3_type1_272,axiom,
    [++q_33,--q_34,--q_35]).

input_clause(s3_type1_273,axiom,
    [++p_34,--p_35,--p_36]).

input_clause(s3_type1_274,axiom,
    [++p_34,--p_35,--q_36]).

input_clause(s3_type1_275,axiom,
    [++p_34,--q_35,--p_36]).

input_clause(s3_type1_276,axiom,
    [++p_34,--q_35,--q_36]).

input_clause(s3_type1_277,axiom,
    [++q_34,--p_35,--p_36]).

input_clause(s3_type1_278,axiom,
    [++q_34,--p_35,--q_36]).

input_clause(s3_type1_279,axiom,
    [++q_34,--q_35,--p_36]).

input_clause(s3_type1_280,axiom,
    [++q_34,--q_35,--q_36]).

input_clause(s3_type1_281,axiom,
    [++p_35,--p_36,--p_37]).

input_clause(s3_type1_282,axiom,
    [++p_35,--p_36,--q_37]).

input_clause(s3_type1_283,axiom,
    [++p_35,--q_36,--p_37]).

input_clause(s3_type1_284,axiom,
    [++p_35,--q_36,--q_37]).

input_clause(s3_type1_285,axiom,
    [++q_35,--p_36,--p_37]).

input_clause(s3_type1_286,axiom,
    [++q_35,--p_36,--q_37]).

input_clause(s3_type1_287,axiom,
    [++q_35,--q_36,--p_37]).

input_clause(s3_type1_288,axiom,
    [++q_35,--q_36,--q_37]).

input_clause(s3_type1_289,axiom,
    [++p_36,--p_37,--p_38]).

input_clause(s3_type1_290,axiom,
    [++p_36,--p_37,--q_38]).

input_clause(s3_type1_291,axiom,
    [++p_36,--q_37,--p_38]).

input_clause(s3_type1_292,axiom,
    [++p_36,--q_37,--q_38]).

input_clause(s3_type1_293,axiom,
    [++q_36,--p_37,--p_38]).

input_clause(s3_type1_294,axiom,
    [++q_36,--p_37,--q_38]).

input_clause(s3_type1_295,axiom,
    [++q_36,--q_37,--p_38]).

input_clause(s3_type1_296,axiom,
    [++q_36,--q_37,--q_38]).

input_clause(s3_type1_297,axiom,
    [++p_37,--p_38,--p_39]).

input_clause(s3_type1_298,axiom,
    [++p_37,--p_38,--q_39]).

input_clause(s3_type1_299,axiom,
    [++p_37,--q_38,--p_39]).

input_clause(s3_type1_300,axiom,
    [++p_37,--q_38,--q_39]).

input_clause(s3_type1_301,axiom,
    [++q_37,--p_38,--p_39]).

input_clause(s3_type1_302,axiom,
    [++q_37,--p_38,--q_39]).

input_clause(s3_type1_303,axiom,
    [++q_37,--q_38,--p_39]).

input_clause(s3_type1_304,axiom,
    [++q_37,--q_38,--q_39]).

input_clause(s3_type2_1,axiom,
    [++p_39,--p_19]).

input_clause(s3_type2_2,axiom,
    [++p_40,--p_20]).

input_clause(s3_type2_3,axiom,
    [++q_39,--q_19]).

input_clause(s3_type2_4,axiom,
    [++q_40,--q_20]).

input_clause(sym_s3_goal_1,axiom,
    [++sym_p_0,++sym_q_0]).

input_clause(sym_s3_type1_1,axiom,
    [--sym_p_0,++sym_p_1,++sym_p_2]).

input_clause(sym_s3_type1_2,axiom,
    [--sym_p_0,++sym_p_1,++sym_q_2]).

input_clause(sym_s3_type1_3,axiom,
    [--sym_p_0,++sym_q_1,++sym_p_2]).

input_clause(sym_s3_type1_4,axiom,
    [--sym_p_0,++sym_q_1,++sym_q_2]).

input_clause(sym_s3_type1_5,axiom,
    [--sym_q_0,++sym_p_1,++sym_p_2]).

input_clause(sym_s3_type1_6,axiom,
    [--sym_q_0,++sym_p_1,++sym_q_2]).

input_clause(sym_s3_type1_7,axiom,
    [--sym_q_0,++sym_q_1,++sym_p_2]).

input_clause(sym_s3_type1_8,axiom,
    [--sym_q_0,++sym_q_1,++sym_q_2]).

input_clause(sym_s3_type1_9,axiom,
    [--sym_p_1,++sym_p_2,++sym_p_3]).

input_clause(sym_s3_type1_10,axiom,
    [--sym_p_1,++sym_p_2,++sym_q_3]).

input_clause(sym_s3_type1_11,axiom,
    [--sym_p_1,++sym_q_2,++sym_p_3]).

input_clause(sym_s3_type1_12,axiom,
    [--sym_p_1,++sym_q_2,++sym_q_3]).

input_clause(sym_s3_type1_13,axiom,
    [--sym_q_1,++sym_p_2,++sym_p_3]).

input_clause(sym_s3_type1_14,axiom,
    [--sym_q_1,++sym_p_2,++sym_q_3]).

input_clause(sym_s3_type1_15,axiom,
    [--sym_q_1,++sym_q_2,++sym_p_3]).

input_clause(sym_s3_type1_16,axiom,
    [--sym_q_1,++sym_q_2,++sym_q_3]).

input_clause(sym_s3_type1_17,axiom,
    [--sym_p_2,++sym_p_3,++sym_p_4]).

input_clause(sym_s3_type1_18,axiom,
    [--sym_p_2,++sym_p_3,++sym_q_4]).

input_clause(sym_s3_type1_19,axiom,
    [--sym_p_2,++sym_q_3,++sym_p_4]).

input_clause(sym_s3_type1_20,axiom,
    [--sym_p_2,++sym_q_3,++sym_q_4]).

input_clause(sym_s3_type1_21,axiom,
    [--sym_q_2,++sym_p_3,++sym_p_4]).

input_clause(sym_s3_type1_22,axiom,
    [--sym_q_2,++sym_p_3,++sym_q_4]).

input_clause(sym_s3_type1_23,axiom,
    [--sym_q_2,++sym_q_3,++sym_p_4]).

input_clause(sym_s3_type1_24,axiom,
    [--sym_q_2,++sym_q_3,++sym_q_4]).

input_clause(sym_s3_type1_25,axiom,
    [--sym_p_3,++sym_p_4,++sym_p_5]).

input_clause(sym_s3_type1_26,axiom,
    [--sym_p_3,++sym_p_4,++sym_q_5]).

input_clause(sym_s3_type1_27,axiom,
    [--sym_p_3,++sym_q_4,++sym_p_5]).

input_clause(sym_s3_type1_28,axiom,
    [--sym_p_3,++sym_q_4,++sym_q_5]).

input_clause(sym_s3_type1_29,axiom,
    [--sym_q_3,++sym_p_4,++sym_p_5]).

input_clause(sym_s3_type1_30,axiom,
    [--sym_q_3,++sym_p_4,++sym_q_5]).

input_clause(sym_s3_type1_31,axiom,
    [--sym_q_3,++sym_q_4,++sym_p_5]).

input_clause(sym_s3_type1_32,axiom,
    [--sym_q_3,++sym_q_4,++sym_q_5]).

input_clause(sym_s3_type1_33,axiom,
    [--sym_p_4,++sym_p_5,++sym_p_6]).

input_clause(sym_s3_type1_34,axiom,
    [--sym_p_4,++sym_p_5,++sym_q_6]).

input_clause(sym_s3_type1_35,axiom,
    [--sym_p_4,++sym_q_5,++sym_p_6]).

input_clause(sym_s3_type1_36,axiom,
    [--sym_p_4,++sym_q_5,++sym_q_6]).

input_clause(sym_s3_type1_37,axiom,
    [--sym_q_4,++sym_p_5,++sym_p_6]).

input_clause(sym_s3_type1_38,axiom,
    [--sym_q_4,++sym_p_5,++sym_q_6]).

input_clause(sym_s3_type1_39,axiom,
    [--sym_q_4,++sym_q_5,++sym_p_6]).

input_clause(sym_s3_type1_40,axiom,
    [--sym_q_4,++sym_q_5,++sym_q_6]).

input_clause(sym_s3_type1_41,axiom,
    [--sym_p_5,++sym_p_6,++sym_p_7]).

input_clause(sym_s3_type1_42,axiom,
    [--sym_p_5,++sym_p_6,++sym_q_7]).

input_clause(sym_s3_type1_43,axiom,
    [--sym_p_5,++sym_q_6,++sym_p_7]).

input_clause(sym_s3_type1_44,axiom,
    [--sym_p_5,++sym_q_6,++sym_q_7]).

input_clause(sym_s3_type1_45,axiom,
    [--sym_q_5,++sym_p_6,++sym_p_7]).

input_clause(sym_s3_type1_46,axiom,
    [--sym_q_5,++sym_p_6,++sym_q_7]).

input_clause(sym_s3_type1_47,axiom,
    [--sym_q_5,++sym_q_6,++sym_p_7]).

input_clause(sym_s3_type1_48,axiom,
    [--sym_q_5,++sym_q_6,++sym_q_7]).

input_clause(sym_s3_type1_49,axiom,
    [--sym_p_6,++sym_p_7,++sym_p_8]).

input_clause(sym_s3_type1_50,axiom,
    [--sym_p_6,++sym_p_7,++sym_q_8]).

input_clause(sym_s3_type1_51,axiom,
    [--sym_p_6,++sym_q_7,++sym_p_8]).

input_clause(sym_s3_type1_52,axiom,
    [--sym_p_6,++sym_q_7,++sym_q_8]).

input_clause(sym_s3_type1_53,axiom,
    [--sym_q_6,++sym_p_7,++sym_p_8]).

input_clause(sym_s3_type1_54,axiom,
    [--sym_q_6,++sym_p_7,++sym_q_8]).

input_clause(sym_s3_type1_55,axiom,
    [--sym_q_6,++sym_q_7,++sym_p_8]).

input_clause(sym_s3_type1_56,axiom,
    [--sym_q_6,++sym_q_7,++sym_q_8]).

input_clause(sym_s3_type1_57,axiom,
    [--sym_p_7,++sym_p_8,++sym_p_9]).

input_clause(sym_s3_type1_58,axiom,
    [--sym_p_7,++sym_p_8,++sym_q_9]).

input_clause(sym_s3_type1_59,axiom,
    [--sym_p_7,++sym_q_8,++sym_p_9]).

input_clause(sym_s3_type1_60,axiom,
    [--sym_p_7,++sym_q_8,++sym_q_9]).

input_clause(sym_s3_type1_61,axiom,
    [--sym_q_7,++sym_p_8,++sym_p_9]).

input_clause(sym_s3_type1_62,axiom,
    [--sym_q_7,++sym_p_8,++sym_q_9]).

input_clause(sym_s3_type1_63,axiom,
    [--sym_q_7,++sym_q_8,++sym_p_9]).

input_clause(sym_s3_type1_64,axiom,
    [--sym_q_7,++sym_q_8,++sym_q_9]).

input_clause(sym_s3_type1_65,axiom,
    [--sym_p_8,++sym_p_9,++sym_p_10]).

input_clause(sym_s3_type1_66,axiom,
    [--sym_p_8,++sym_p_9,++sym_q_10]).

input_clause(sym_s3_type1_67,axiom,
    [--sym_p_8,++sym_q_9,++sym_p_10]).

input_clause(sym_s3_type1_68,axiom,
    [--sym_p_8,++sym_q_9,++sym_q_10]).

input_clause(sym_s3_type1_69,axiom,
    [--sym_q_8,++sym_p_9,++sym_p_10]).

input_clause(sym_s3_type1_70,axiom,
    [--sym_q_8,++sym_p_9,++sym_q_10]).

input_clause(sym_s3_type1_71,axiom,
    [--sym_q_8,++sym_q_9,++sym_p_10]).

input_clause(sym_s3_type1_72,axiom,
    [--sym_q_8,++sym_q_9,++sym_q_10]).

input_clause(sym_s3_type1_73,axiom,
    [--sym_p_9,++sym_p_10,++sym_p_11]).

input_clause(sym_s3_type1_74,axiom,
    [--sym_p_9,++sym_p_10,++sym_q_11]).

input_clause(sym_s3_type1_75,axiom,
    [--sym_p_9,++sym_q_10,++sym_p_11]).

input_clause(sym_s3_type1_76,axiom,
    [--sym_p_9,++sym_q_10,++sym_q_11]).

input_clause(sym_s3_type1_77,axiom,
    [--sym_q_9,++sym_p_10,++sym_p_11]).

input_clause(sym_s3_type1_78,axiom,
    [--sym_q_9,++sym_p_10,++sym_q_11]).

input_clause(sym_s3_type1_79,axiom,
    [--sym_q_9,++sym_q_10,++sym_p_11]).

input_clause(sym_s3_type1_80,axiom,
    [--sym_q_9,++sym_q_10,++sym_q_11]).

input_clause(sym_s3_type1_81,axiom,
    [--sym_p_10,++sym_p_11,++sym_p_12]).

input_clause(sym_s3_type1_82,axiom,
    [--sym_p_10,++sym_p_11,++sym_q_12]).

input_clause(sym_s3_type1_83,axiom,
    [--sym_p_10,++sym_q_11,++sym_p_12]).

input_clause(sym_s3_type1_84,axiom,
    [--sym_p_10,++sym_q_11,++sym_q_12]).

input_clause(sym_s3_type1_85,axiom,
    [--sym_q_10,++sym_p_11,++sym_p_12]).

input_clause(sym_s3_type1_86,axiom,
    [--sym_q_10,++sym_p_11,++sym_q_12]).

input_clause(sym_s3_type1_87,axiom,
    [--sym_q_10,++sym_q_11,++sym_p_12]).

input_clause(sym_s3_type1_88,axiom,
    [--sym_q_10,++sym_q_11,++sym_q_12]).

input_clause(sym_s3_type1_89,axiom,
    [--sym_p_11,++sym_p_12,++sym_p_13]).

input_clause(sym_s3_type1_90,axiom,
    [--sym_p_11,++sym_p_12,++sym_q_13]).

input_clause(sym_s3_type1_91,axiom,
    [--sym_p_11,++sym_q_12,++sym_p_13]).

input_clause(sym_s3_type1_92,axiom,
    [--sym_p_11,++sym_q_12,++sym_q_13]).

input_clause(sym_s3_type1_93,axiom,
    [--sym_q_11,++sym_p_12,++sym_p_13]).

input_clause(sym_s3_type1_94,axiom,
    [--sym_q_11,++sym_p_12,++sym_q_13]).

input_clause(sym_s3_type1_95,axiom,
    [--sym_q_11,++sym_q_12,++sym_p_13]).

input_clause(sym_s3_type1_96,axiom,
    [--sym_q_11,++sym_q_12,++sym_q_13]).

input_clause(sym_s3_type1_97,axiom,
    [--sym_p_12,++sym_p_13,++sym_p_14]).

input_clause(sym_s3_type1_98,axiom,
    [--sym_p_12,++sym_p_13,++sym_q_14]).

input_clause(sym_s3_type1_99,axiom,
    [--sym_p_12,++sym_q_13,++sym_p_14]).

input_clause(sym_s3_type1_100,axiom,
    [--sym_p_12,++sym_q_13,++sym_q_14]).

input_clause(sym_s3_type1_101,axiom,
    [--sym_q_12,++sym_p_13,++sym_p_14]).

input_clause(sym_s3_type1_102,axiom,
    [--sym_q_12,++sym_p_13,++sym_q_14]).

input_clause(sym_s3_type1_103,axiom,
    [--sym_q_12,++sym_q_13,++sym_p_14]).

input_clause(sym_s3_type1_104,axiom,
    [--sym_q_12,++sym_q_13,++sym_q_14]).

input_clause(sym_s3_type1_105,axiom,
    [--sym_p_13,++sym_p_14,++sym_p_15]).

input_clause(sym_s3_type1_106,axiom,
    [--sym_p_13,++sym_p_14,++sym_q_15]).

input_clause(sym_s3_type1_107,axiom,
    [--sym_p_13,++sym_q_14,++sym_p_15]).

input_clause(sym_s3_type1_108,axiom,
    [--sym_p_13,++sym_q_14,++sym_q_15]).

input_clause(sym_s3_type1_109,axiom,
    [--sym_q_13,++sym_p_14,++sym_p_15]).

input_clause(sym_s3_type1_110,axiom,
    [--sym_q_13,++sym_p_14,++sym_q_15]).

input_clause(sym_s3_type1_111,axiom,
    [--sym_q_13,++sym_q_14,++sym_p_15]).

input_clause(sym_s3_type1_112,axiom,
    [--sym_q_13,++sym_q_14,++sym_q_15]).

input_clause(sym_s3_type1_113,axiom,
    [--sym_p_14,++sym_p_15,++sym_p_16]).

input_clause(sym_s3_type1_114,axiom,
    [--sym_p_14,++sym_p_15,++sym_q_16]).

input_clause(sym_s3_type1_115,axiom,
    [--sym_p_14,++sym_q_15,++sym_p_16]).

input_clause(sym_s3_type1_116,axiom,
    [--sym_p_14,++sym_q_15,++sym_q_16]).

input_clause(sym_s3_type1_117,axiom,
    [--sym_q_14,++sym_p_15,++sym_p_16]).

input_clause(sym_s3_type1_118,axiom,
    [--sym_q_14,++sym_p_15,++sym_q_16]).

input_clause(sym_s3_type1_119,axiom,
    [--sym_q_14,++sym_q_15,++sym_p_16]).

input_clause(sym_s3_type1_120,axiom,
    [--sym_q_14,++sym_q_15,++sym_q_16]).

input_clause(sym_s3_type1_121,axiom,
    [--sym_p_15,++sym_p_16,++sym_p_17]).

input_clause(sym_s3_type1_122,axiom,
    [--sym_p_15,++sym_p_16,++sym_q_17]).

input_clause(sym_s3_type1_123,axiom,
    [--sym_p_15,++sym_q_16,++sym_p_17]).

input_clause(sym_s3_type1_124,axiom,
    [--sym_p_15,++sym_q_16,++sym_q_17]).

input_clause(sym_s3_type1_125,axiom,
    [--sym_q_15,++sym_p_16,++sym_p_17]).

input_clause(sym_s3_type1_126,axiom,
    [--sym_q_15,++sym_p_16,++sym_q_17]).

input_clause(sym_s3_type1_127,axiom,
    [--sym_q_15,++sym_q_16,++sym_p_17]).

input_clause(sym_s3_type1_128,axiom,
    [--sym_q_15,++sym_q_16,++sym_q_17]).

input_clause(sym_s3_type1_129,axiom,
    [--sym_p_16,++sym_p_17,++sym_p_18]).

input_clause(sym_s3_type1_130,axiom,
    [--sym_p_16,++sym_p_17,++sym_q_18]).

input_clause(sym_s3_type1_131,axiom,
    [--sym_p_16,++sym_q_17,++sym_p_18]).

input_clause(sym_s3_type1_132,axiom,
    [--sym_p_16,++sym_q_17,++sym_q_18]).

input_clause(sym_s3_type1_133,axiom,
    [--sym_q_16,++sym_p_17,++sym_p_18]).

input_clause(sym_s3_type1_134,axiom,
    [--sym_q_16,++sym_p_17,++sym_q_18]).

input_clause(sym_s3_type1_135,axiom,
    [--sym_q_16,++sym_q_17,++sym_p_18]).

input_clause(sym_s3_type1_136,axiom,
    [--sym_q_16,++sym_q_17,++sym_q_18]).

input_clause(sym_s3_type1_137,axiom,
    [--sym_p_17,++sym_p_18,++sym_p_19]).

input_clause(sym_s3_type1_138,axiom,
    [--sym_p_17,++sym_p_18,++sym_q_19]).

input_clause(sym_s3_type1_139,axiom,
    [--sym_p_17,++sym_q_18,++sym_p_19]).

input_clause(sym_s3_type1_140,axiom,
    [--sym_p_17,++sym_q_18,++sym_q_19]).

input_clause(sym_s3_type1_141,axiom,
    [--sym_q_17,++sym_p_18,++sym_p_19]).

input_clause(sym_s3_type1_142,axiom,
    [--sym_q_17,++sym_p_18,++sym_q_19]).

input_clause(sym_s3_type1_143,axiom,
    [--sym_q_17,++sym_q_18,++sym_p_19]).

input_clause(sym_s3_type1_144,axiom,
    [--sym_q_17,++sym_q_18,++sym_q_19]).

input_clause(sym_s3_type1_145,axiom,
    [--sym_p_18,++sym_p_19,++sym_p_20]).

input_clause(sym_s3_type1_146,axiom,
    [--sym_p_18,++sym_p_19,++sym_q_20]).

input_clause(sym_s3_type1_147,axiom,
    [--sym_p_18,++sym_q_19,++sym_p_20]).

input_clause(sym_s3_type1_148,axiom,
    [--sym_p_18,++sym_q_19,++sym_q_20]).

input_clause(sym_s3_type1_149,axiom,
    [--sym_q_18,++sym_p_19,++sym_p_20]).

input_clause(sym_s3_type1_150,axiom,
    [--sym_q_18,++sym_p_19,++sym_q_20]).

input_clause(sym_s3_type1_151,axiom,
    [--sym_q_18,++sym_q_19,++sym_p_20]).

input_clause(sym_s3_type1_152,axiom,
    [--sym_q_18,++sym_q_19,++sym_q_20]).

input_clause(sym_s3_type1_153,axiom,
    [--sym_p_19,++sym_p_20,++sym_p_21]).

input_clause(sym_s3_type1_154,axiom,
    [--sym_p_19,++sym_p_20,++sym_q_21]).

input_clause(sym_s3_type1_155,axiom,
    [--sym_p_19,++sym_q_20,++sym_p_21]).

input_clause(sym_s3_type1_156,axiom,
    [--sym_p_19,++sym_q_20,++sym_q_21]).

input_clause(sym_s3_type1_157,axiom,
    [--sym_q_19,++sym_p_20,++sym_p_21]).

input_clause(sym_s3_type1_158,axiom,
    [--sym_q_19,++sym_p_20,++sym_q_21]).

input_clause(sym_s3_type1_159,axiom,
    [--sym_q_19,++sym_q_20,++sym_p_21]).

input_clause(sym_s3_type1_160,axiom,
    [--sym_q_19,++sym_q_20,++sym_q_21]).

input_clause(sym_s3_type1_161,axiom,
    [--sym_p_20,++sym_p_21,++sym_p_22]).

input_clause(sym_s3_type1_162,axiom,
    [--sym_p_20,++sym_p_21,++sym_q_22]).

input_clause(sym_s3_type1_163,axiom,
    [--sym_p_20,++sym_q_21,++sym_p_22]).

input_clause(sym_s3_type1_164,axiom,
    [--sym_p_20,++sym_q_21,++sym_q_22]).

input_clause(sym_s3_type1_165,axiom,
    [--sym_q_20,++sym_p_21,++sym_p_22]).

input_clause(sym_s3_type1_166,axiom,
    [--sym_q_20,++sym_p_21,++sym_q_22]).

input_clause(sym_s3_type1_167,axiom,
    [--sym_q_20,++sym_q_21,++sym_p_22]).

input_clause(sym_s3_type1_168,axiom,
    [--sym_q_20,++sym_q_21,++sym_q_22]).

input_clause(sym_s3_type1_169,axiom,
    [--sym_p_21,++sym_p_22,++sym_p_23]).

input_clause(sym_s3_type1_170,axiom,
    [--sym_p_21,++sym_p_22,++sym_q_23]).

input_clause(sym_s3_type1_171,axiom,
    [--sym_p_21,++sym_q_22,++sym_p_23]).

input_clause(sym_s3_type1_172,axiom,
    [--sym_p_21,++sym_q_22,++sym_q_23]).

input_clause(sym_s3_type1_173,axiom,
    [--sym_q_21,++sym_p_22,++sym_p_23]).

input_clause(sym_s3_type1_174,axiom,
    [--sym_q_21,++sym_p_22,++sym_q_23]).

input_clause(sym_s3_type1_175,axiom,
    [--sym_q_21,++sym_q_22,++sym_p_23]).

input_clause(sym_s3_type1_176,axiom,
    [--sym_q_21,++sym_q_22,++sym_q_23]).

input_clause(sym_s3_type1_177,axiom,
    [--sym_p_22,++sym_p_23,++sym_p_24]).

input_clause(sym_s3_type1_178,axiom,
    [--sym_p_22,++sym_p_23,++sym_q_24]).

input_clause(sym_s3_type1_179,axiom,
    [--sym_p_22,++sym_q_23,++sym_p_24]).

input_clause(sym_s3_type1_180,axiom,
    [--sym_p_22,++sym_q_23,++sym_q_24]).

input_clause(sym_s3_type1_181,axiom,
    [--sym_q_22,++sym_p_23,++sym_p_24]).

input_clause(sym_s3_type1_182,axiom,
    [--sym_q_22,++sym_p_23,++sym_q_24]).

input_clause(sym_s3_type1_183,axiom,
    [--sym_q_22,++sym_q_23,++sym_p_24]).

input_clause(sym_s3_type1_184,axiom,
    [--sym_q_22,++sym_q_23,++sym_q_24]).

input_clause(sym_s3_type1_185,axiom,
    [--sym_p_23,++sym_p_24,++sym_p_25]).

input_clause(sym_s3_type1_186,axiom,
    [--sym_p_23,++sym_p_24,++sym_q_25]).

input_clause(sym_s3_type1_187,axiom,
    [--sym_p_23,++sym_q_24,++sym_p_25]).

input_clause(sym_s3_type1_188,axiom,
    [--sym_p_23,++sym_q_24,++sym_q_25]).

input_clause(sym_s3_type1_189,axiom,
    [--sym_q_23,++sym_p_24,++sym_p_25]).

input_clause(sym_s3_type1_190,axiom,
    [--sym_q_23,++sym_p_24,++sym_q_25]).

input_clause(sym_s3_type1_191,axiom,
    [--sym_q_23,++sym_q_24,++sym_p_25]).

input_clause(sym_s3_type1_192,axiom,
    [--sym_q_23,++sym_q_24,++sym_q_25]).

input_clause(sym_s3_type1_193,axiom,
    [--sym_p_24,++sym_p_25,++sym_p_26]).

input_clause(sym_s3_type1_194,axiom,
    [--sym_p_24,++sym_p_25,++sym_q_26]).

input_clause(sym_s3_type1_195,axiom,
    [--sym_p_24,++sym_q_25,++sym_p_26]).

input_clause(sym_s3_type1_196,axiom,
    [--sym_p_24,++sym_q_25,++sym_q_26]).

input_clause(sym_s3_type1_197,axiom,
    [--sym_q_24,++sym_p_25,++sym_p_26]).

input_clause(sym_s3_type1_198,axiom,
    [--sym_q_24,++sym_p_25,++sym_q_26]).

input_clause(sym_s3_type1_199,axiom,
    [--sym_q_24,++sym_q_25,++sym_p_26]).

input_clause(sym_s3_type1_200,axiom,
    [--sym_q_24,++sym_q_25,++sym_q_26]).

input_clause(sym_s3_type1_201,axiom,
    [--sym_p_25,++sym_p_26,++sym_p_27]).

input_clause(sym_s3_type1_202,axiom,
    [--sym_p_25,++sym_p_26,++sym_q_27]).

input_clause(sym_s3_type1_203,axiom,
    [--sym_p_25,++sym_q_26,++sym_p_27]).

input_clause(sym_s3_type1_204,axiom,
    [--sym_p_25,++sym_q_26,++sym_q_27]).

input_clause(sym_s3_type1_205,axiom,
    [--sym_q_25,++sym_p_26,++sym_p_27]).

input_clause(sym_s3_type1_206,axiom,
    [--sym_q_25,++sym_p_26,++sym_q_27]).

input_clause(sym_s3_type1_207,axiom,
    [--sym_q_25,++sym_q_26,++sym_p_27]).

input_clause(sym_s3_type1_208,axiom,
    [--sym_q_25,++sym_q_26,++sym_q_27]).

input_clause(sym_s3_type1_209,axiom,
    [--sym_p_26,++sym_p_27,++sym_p_28]).

input_clause(sym_s3_type1_210,axiom,
    [--sym_p_26,++sym_p_27,++sym_q_28]).

input_clause(sym_s3_type1_211,axiom,
    [--sym_p_26,++sym_q_27,++sym_p_28]).

input_clause(sym_s3_type1_212,axiom,
    [--sym_p_26,++sym_q_27,++sym_q_28]).

input_clause(sym_s3_type1_213,axiom,
    [--sym_q_26,++sym_p_27,++sym_p_28]).

input_clause(sym_s3_type1_214,axiom,
    [--sym_q_26,++sym_p_27,++sym_q_28]).

input_clause(sym_s3_type1_215,axiom,
    [--sym_q_26,++sym_q_27,++sym_p_28]).

input_clause(sym_s3_type1_216,axiom,
    [--sym_q_26,++sym_q_27,++sym_q_28]).

input_clause(sym_s3_type1_217,axiom,
    [--sym_p_27,++sym_p_28,++sym_p_29]).

input_clause(sym_s3_type1_218,axiom,
    [--sym_p_27,++sym_p_28,++sym_q_29]).

input_clause(sym_s3_type1_219,axiom,
    [--sym_p_27,++sym_q_28,++sym_p_29]).

input_clause(sym_s3_type1_220,axiom,
    [--sym_p_27,++sym_q_28,++sym_q_29]).

input_clause(sym_s3_type1_221,axiom,
    [--sym_q_27,++sym_p_28,++sym_p_29]).

input_clause(sym_s3_type1_222,axiom,
    [--sym_q_27,++sym_p_28,++sym_q_29]).

input_clause(sym_s3_type1_223,axiom,
    [--sym_q_27,++sym_q_28,++sym_p_29]).

input_clause(sym_s3_type1_224,axiom,
    [--sym_q_27,++sym_q_28,++sym_q_29]).

input_clause(sym_s3_type1_225,axiom,
    [--sym_p_28,++sym_p_29,++sym_p_30]).

input_clause(sym_s3_type1_226,axiom,
    [--sym_p_28,++sym_p_29,++sym_q_30]).

input_clause(sym_s3_type1_227,axiom,
    [--sym_p_28,++sym_q_29,++sym_p_30]).

input_clause(sym_s3_type1_228,axiom,
    [--sym_p_28,++sym_q_29,++sym_q_30]).

input_clause(sym_s3_type1_229,axiom,
    [--sym_q_28,++sym_p_29,++sym_p_30]).

input_clause(sym_s3_type1_230,axiom,
    [--sym_q_28,++sym_p_29,++sym_q_30]).

input_clause(sym_s3_type1_231,axiom,
    [--sym_q_28,++sym_q_29,++sym_p_30]).

input_clause(sym_s3_type1_232,axiom,
    [--sym_q_28,++sym_q_29,++sym_q_30]).

input_clause(sym_s3_type1_233,axiom,
    [--sym_p_29,++sym_p_30,++sym_p_31]).

input_clause(sym_s3_type1_234,axiom,
    [--sym_p_29,++sym_p_30,++sym_q_31]).

input_clause(sym_s3_type1_235,axiom,
    [--sym_p_29,++sym_q_30,++sym_p_31]).

input_clause(sym_s3_type1_236,axiom,
    [--sym_p_29,++sym_q_30,++sym_q_31]).

input_clause(sym_s3_type1_237,axiom,
    [--sym_q_29,++sym_p_30,++sym_p_31]).

input_clause(sym_s3_type1_238,axiom,
    [--sym_q_29,++sym_p_30,++sym_q_31]).

input_clause(sym_s3_type1_239,axiom,
    [--sym_q_29,++sym_q_30,++sym_p_31]).

input_clause(sym_s3_type1_240,axiom,
    [--sym_q_29,++sym_q_30,++sym_q_31]).

input_clause(sym_s3_type1_241,axiom,
    [--sym_p_30,++sym_p_31,++sym_p_32]).

input_clause(sym_s3_type1_242,axiom,
    [--sym_p_30,++sym_p_31,++sym_q_32]).

input_clause(sym_s3_type1_243,axiom,
    [--sym_p_30,++sym_q_31,++sym_p_32]).

input_clause(sym_s3_type1_244,axiom,
    [--sym_p_30,++sym_q_31,++sym_q_32]).

input_clause(sym_s3_type1_245,axiom,
    [--sym_q_30,++sym_p_31,++sym_p_32]).

input_clause(sym_s3_type1_246,axiom,
    [--sym_q_30,++sym_p_31,++sym_q_32]).

input_clause(sym_s3_type1_247,axiom,
    [--sym_q_30,++sym_q_31,++sym_p_32]).

input_clause(sym_s3_type1_248,axiom,
    [--sym_q_30,++sym_q_31,++sym_q_32]).

input_clause(sym_s3_type1_249,axiom,
    [--sym_p_31,++sym_p_32,++sym_p_33]).

input_clause(sym_s3_type1_250,axiom,
    [--sym_p_31,++sym_p_32,++sym_q_33]).

input_clause(sym_s3_type1_251,axiom,
    [--sym_p_31,++sym_q_32,++sym_p_33]).

input_clause(sym_s3_type1_252,axiom,
    [--sym_p_31,++sym_q_32,++sym_q_33]).

input_clause(sym_s3_type1_253,axiom,
    [--sym_q_31,++sym_p_32,++sym_p_33]).

input_clause(sym_s3_type1_254,axiom,
    [--sym_q_31,++sym_p_32,++sym_q_33]).

input_clause(sym_s3_type1_255,axiom,
    [--sym_q_31,++sym_q_32,++sym_p_33]).

input_clause(sym_s3_type1_256,axiom,
    [--sym_q_31,++sym_q_32,++sym_q_33]).

input_clause(sym_s3_type1_257,axiom,
    [--sym_p_32,++sym_p_33,++sym_p_34]).

input_clause(sym_s3_type1_258,axiom,
    [--sym_p_32,++sym_p_33,++sym_q_34]).

input_clause(sym_s3_type1_259,axiom,
    [--sym_p_32,++sym_q_33,++sym_p_34]).

input_clause(sym_s3_type1_260,axiom,
    [--sym_p_32,++sym_q_33,++sym_q_34]).

input_clause(sym_s3_type1_261,axiom,
    [--sym_q_32,++sym_p_33,++sym_p_34]).

input_clause(sym_s3_type1_262,axiom,
    [--sym_q_32,++sym_p_33,++sym_q_34]).

input_clause(sym_s3_type1_263,axiom,
    [--sym_q_32,++sym_q_33,++sym_p_34]).

input_clause(sym_s3_type1_264,axiom,
    [--sym_q_32,++sym_q_33,++sym_q_34]).

input_clause(sym_s3_type1_265,axiom,
    [--sym_p_33,++sym_p_34,++sym_p_35]).

input_clause(sym_s3_type1_266,axiom,
    [--sym_p_33,++sym_p_34,++sym_q_35]).

input_clause(sym_s3_type1_267,axiom,
    [--sym_p_33,++sym_q_34,++sym_p_35]).

input_clause(sym_s3_type1_268,axiom,
    [--sym_p_33,++sym_q_34,++sym_q_35]).

input_clause(sym_s3_type1_269,axiom,
    [--sym_q_33,++sym_p_34,++sym_p_35]).

input_clause(sym_s3_type1_270,axiom,
    [--sym_q_33,++sym_p_34,++sym_q_35]).

input_clause(sym_s3_type1_271,axiom,
    [--sym_q_33,++sym_q_34,++sym_p_35]).

input_clause(sym_s3_type1_272,axiom,
    [--sym_q_33,++sym_q_34,++sym_q_35]).

input_clause(sym_s3_type1_273,axiom,
    [--sym_p_34,++sym_p_35,++sym_p_36]).

input_clause(sym_s3_type1_274,axiom,
    [--sym_p_34,++sym_p_35,++sym_q_36]).

input_clause(sym_s3_type1_275,axiom,
    [--sym_p_34,++sym_q_35,++sym_p_36]).

input_clause(sym_s3_type1_276,axiom,
    [--sym_p_34,++sym_q_35,++sym_q_36]).

input_clause(sym_s3_type1_277,axiom,
    [--sym_q_34,++sym_p_35,++sym_p_36]).

input_clause(sym_s3_type1_278,axiom,
    [--sym_q_34,++sym_p_35,++sym_q_36]).

input_clause(sym_s3_type1_279,axiom,
    [--sym_q_34,++sym_q_35,++sym_p_36]).

input_clause(sym_s3_type1_280,axiom,
    [--sym_q_34,++sym_q_35,++sym_q_36]).

input_clause(sym_s3_type1_281,axiom,
    [--sym_p_35,++sym_p_36,++sym_p_37]).

input_clause(sym_s3_type1_282,axiom,
    [--sym_p_35,++sym_p_36,++sym_q_37]).

input_clause(sym_s3_type1_283,axiom,
    [--sym_p_35,++sym_q_36,++sym_p_37]).

input_clause(sym_s3_type1_284,axiom,
    [--sym_p_35,++sym_q_36,++sym_q_37]).

input_clause(sym_s3_type1_285,axiom,
    [--sym_q_35,++sym_p_36,++sym_p_37]).

input_clause(sym_s3_type1_286,axiom,
    [--sym_q_35,++sym_p_36,++sym_q_37]).

input_clause(sym_s3_type1_287,axiom,
    [--sym_q_35,++sym_q_36,++sym_p_37]).

input_clause(sym_s3_type1_288,axiom,
    [--sym_q_35,++sym_q_36,++sym_q_37]).

input_clause(sym_s3_type1_289,axiom,
    [--sym_p_36,++sym_p_37,++sym_p_38]).

input_clause(sym_s3_type1_290,axiom,
    [--sym_p_36,++sym_p_37,++sym_q_38]).

input_clause(sym_s3_type1_291,axiom,
    [--sym_p_36,++sym_q_37,++sym_p_38]).

input_clause(sym_s3_type1_292,axiom,
    [--sym_p_36,++sym_q_37,++sym_q_38]).

input_clause(sym_s3_type1_293,axiom,
    [--sym_q_36,++sym_p_37,++sym_p_38]).

input_clause(sym_s3_type1_294,axiom,
    [--sym_q_36,++sym_p_37,++sym_q_38]).

input_clause(sym_s3_type1_295,axiom,
    [--sym_q_36,++sym_q_37,++sym_p_38]).

input_clause(sym_s3_type1_296,axiom,
    [--sym_q_36,++sym_q_37,++sym_q_38]).

input_clause(sym_s3_type1_297,axiom,
    [--sym_p_37,++sym_p_38,++sym_p_39]).

input_clause(sym_s3_type1_298,axiom,
    [--sym_p_37,++sym_p_38,++sym_q_39]).

input_clause(sym_s3_type1_299,axiom,
    [--sym_p_37,++sym_q_38,++sym_p_39]).

input_clause(sym_s3_type1_300,axiom,
    [--sym_p_37,++sym_q_38,++sym_q_39]).

input_clause(sym_s3_type1_301,axiom,
    [--sym_q_37,++sym_p_38,++sym_p_39]).

input_clause(sym_s3_type1_302,axiom,
    [--sym_q_37,++sym_p_38,++sym_q_39]).

input_clause(sym_s3_type1_303,axiom,
    [--sym_q_37,++sym_q_38,++sym_p_39]).

input_clause(sym_s3_type1_304,axiom,
    [--sym_q_37,++sym_q_38,++sym_q_39]).

input_clause(sym_s3_type2_1,axiom,
    [--sym_p_39,++sym_p_19]).

input_clause(sym_s3_type2_2,axiom,
    [--sym_p_40,++sym_p_20]).

input_clause(sym_s3_type2_3,axiom,
    [--sym_q_39,++sym_q_19]).

input_clause(sym_s3_type2_4,axiom,
    [--sym_q_40,++sym_q_20]).
%--------------------------------------------------------------------------
