%--------------------------------------------------------------------------
% File     : SYN096=DAPmt3-1.005 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem m(t(3,5))
% Version  : Theorem formulation : Size 5.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   73 (   0 non-Horn)(   4 unit)
%            Number of literals          :  206 (   0 equality)
%            Number of predicate symbols :   22 (   0 propositional)
%            Number of function symbols  :    1 (   1 constant)
%            Number of variables         :   69 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(m_s3_goal_1,theorem,
    [--p_0(X),
     --q_0(X)]).

input_clause(m_s3_type1_1,axiom,
    [++p_0(X),
     --p_1(X),
     --p_2(X)]).

input_clause(m_s3_type1_2,axiom,
    [++p_0(X),
     --p_1(X),
     --q_2(X)]).

input_clause(m_s3_type1_3,axiom,
    [++p_0(X),
     --q_1(X),
     --p_2(X)]).

input_clause(m_s3_type1_4,axiom,
    [++p_0(X),
     --q_1(X),
     --q_2(X)]).

input_clause(m_s3_type1_5,axiom,
    [++q_0(X),
     --p_1(X),
     --p_2(X)]).

input_clause(m_s3_type1_6,axiom,
    [++q_0(X),
     --p_1(X),
     --q_2(X)]).

input_clause(m_s3_type1_7,axiom,
    [++q_0(X),
     --q_1(X),
     --p_2(X)]).

input_clause(m_s3_type1_8,axiom,
    [++q_0(X),
     --q_1(X),
     --q_2(X)]).

input_clause(m_s3_type1_9,axiom,
    [++p_1(X),
     --p_2(X),
     --p_3(X)]).

input_clause(m_s3_type1_10,axiom,
    [++p_1(X),
     --p_2(X),
     --q_3(X)]).

input_clause(m_s3_type1_11,axiom,
    [++p_1(X),
     --q_2(X),
     --p_3(X)]).

input_clause(m_s3_type1_12,axiom,
    [++p_1(X),
     --q_2(X),
     --q_3(X)]).

input_clause(m_s3_type1_13,axiom,
    [++q_1(X),
     --p_2(X),
     --p_3(X)]).

input_clause(m_s3_type1_14,axiom,
    [++q_1(X),
     --p_2(X),
     --q_3(X)]).

input_clause(m_s3_type1_15,axiom,
    [++q_1(X),
     --q_2(X),
     --p_3(X)]).

input_clause(m_s3_type1_16,axiom,
    [++q_1(X),
     --q_2(X),
     --q_3(X)]).

input_clause(m_s3_type1_17,axiom,
    [++p_2(X),
     --p_3(X),
     --p_4(X)]).

input_clause(m_s3_type1_18,axiom,
    [++p_2(X),
     --p_3(X),
     --q_4(X)]).

input_clause(m_s3_type1_19,axiom,
    [++p_2(X),
     --q_3(X),
     --p_4(X)]).

input_clause(m_s3_type1_20,axiom,
    [++p_2(X),
     --q_3(X),
     --q_4(X)]).

input_clause(m_s3_type1_21,axiom,
    [++q_2(X),
     --p_3(X),
     --p_4(X)]).

input_clause(m_s3_type1_22,axiom,
    [++q_2(X),
     --p_3(X),
     --q_4(X)]).

input_clause(m_s3_type1_23,axiom,
    [++q_2(X),
     --q_3(X),
     --p_4(X)]).

input_clause(m_s3_type1_24,axiom,
    [++q_2(X),
     --q_3(X),
     --q_4(X)]).

input_clause(m_s3_type1_25,axiom,
    [++p_3(X),
     --p_4(X),
     --p_5(X)]).

input_clause(m_s3_type1_26,axiom,
    [++p_3(X),
     --p_4(X),
     --q_5(X)]).

input_clause(m_s3_type1_27,axiom,
    [++p_3(X),
     --q_4(X),
     --p_5(X)]).

input_clause(m_s3_type1_28,axiom,
    [++p_3(X),
     --q_4(X),
     --q_5(X)]).

input_clause(m_s3_type1_29,axiom,
    [++q_3(X),
     --p_4(X),
     --p_5(X)]).

input_clause(m_s3_type1_30,axiom,
    [++q_3(X),
     --p_4(X),
     --q_5(X)]).

input_clause(m_s3_type1_31,axiom,
    [++q_3(X),
     --q_4(X),
     --p_5(X)]).

input_clause(m_s3_type1_32,axiom,
    [++q_3(X),
     --q_4(X),
     --q_5(X)]).

input_clause(m_s3_type1_33,axiom,
    [++p_4(X),
     --p_5(X),
     --p_6(X)]).

input_clause(m_s3_type1_34,axiom,
    [++p_4(X),
     --p_5(X),
     --q_6(X)]).

input_clause(m_s3_type1_35,axiom,
    [++p_4(X),
     --q_5(X),
     --p_6(X)]).

input_clause(m_s3_type1_36,axiom,
    [++p_4(X),
     --q_5(X),
     --q_6(X)]).

input_clause(m_s3_type1_37,axiom,
    [++q_4(X),
     --p_5(X),
     --p_6(X)]).

input_clause(m_s3_type1_38,axiom,
    [++q_4(X),
     --p_5(X),
     --q_6(X)]).

input_clause(m_s3_type1_39,axiom,
    [++q_4(X),
     --q_5(X),
     --p_6(X)]).

input_clause(m_s3_type1_40,axiom,
    [++q_4(X),
     --q_5(X),
     --q_6(X)]).

input_clause(m_s3_type1_41,axiom,
    [++p_5(X),
     --p_6(X),
     --p_7(X)]).

input_clause(m_s3_type1_42,axiom,
    [++p_5(X),
     --p_6(X),
     --q_7(X)]).

input_clause(m_s3_type1_43,axiom,
    [++p_5(X),
     --q_6(X),
     --p_7(X)]).

input_clause(m_s3_type1_44,axiom,
    [++p_5(X),
     --q_6(X),
     --q_7(X)]).

input_clause(m_s3_type1_45,axiom,
    [++q_5(X),
     --p_6(X),
     --p_7(X)]).

input_clause(m_s3_type1_46,axiom,
    [++q_5(X),
     --p_6(X),
     --q_7(X)]).

input_clause(m_s3_type1_47,axiom,
    [++q_5(X),
     --q_6(X),
     --p_7(X)]).

input_clause(m_s3_type1_48,axiom,
    [++q_5(X),
     --q_6(X),
     --q_7(X)]).

input_clause(m_s3_type1_49,axiom,
    [++p_6(X),
     --p_7(X),
     --p_8(X)]).

input_clause(m_s3_type1_50,axiom,
    [++p_6(X),
     --p_7(X),
     --q_8(X)]).

input_clause(m_s3_type1_51,axiom,
    [++p_6(X),
     --q_7(X),
     --p_8(X)]).

input_clause(m_s3_type1_52,axiom,
    [++p_6(X),
     --q_7(X),
     --q_8(X)]).

input_clause(m_s3_type1_53,axiom,
    [++q_6(X),
     --p_7(X),
     --p_8(X)]).

input_clause(m_s3_type1_54,axiom,
    [++q_6(X),
     --p_7(X),
     --q_8(X)]).

input_clause(m_s3_type1_55,axiom,
    [++q_6(X),
     --q_7(X),
     --p_8(X)]).

input_clause(m_s3_type1_56,axiom,
    [++q_6(X),
     --q_7(X),
     --q_8(X)]).

input_clause(m_s3_type1_57,axiom,
    [++p_7(X),
     --p_8(X),
     --p_9(X)]).

input_clause(m_s3_type1_58,axiom,
    [++p_7(X),
     --p_8(X),
     --q_9(X)]).

input_clause(m_s3_type1_59,axiom,
    [++p_7(X),
     --q_8(X),
     --p_9(X)]).

input_clause(m_s3_type1_60,axiom,
    [++p_7(X),
     --q_8(X),
     --q_9(X)]).

input_clause(m_s3_type1_61,axiom,
    [++q_7(X),
     --p_8(X),
     --p_9(X)]).

input_clause(m_s3_type1_62,axiom,
    [++q_7(X),
     --p_8(X),
     --q_9(X)]).

input_clause(m_s3_type1_63,axiom,
    [++q_7(X),
     --q_8(X),
     --p_9(X)]).

input_clause(m_s3_type1_64,axiom,
    [++q_7(X),
     --q_8(X),
     --q_9(X)]).

input_clause(m_s3_type2_1,axiom,
    [++p_9(X),
     --p_4(X)]).

input_clause(m_s3_type2_2,axiom,
    [++p_10(X),
     --p_5(X)]).

input_clause(m_s3_type2_3,axiom,
    [++q_9(X),
     --q_4(X)]).

input_clause(m_s3_type2_4,axiom,
    [++q_10(X),
     --q_5(X)]).

input_clause(m_t3_1,axiom,
    [++p_8(a)]).

input_clause(m_t3_2,axiom,
    [++p_9(a)]).

input_clause(m_t3_3,axiom,
    [++q_8(a)]).

input_clause(m_t3_4,axiom,
    [++q_9(a)]).
%--------------------------------------------------------------------------
