%--------------------------------------------------------------------------
% File     : GRP003=SubGr2Subs-2 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Group Theory (Subgroups)
% Axioms   : Substitution axioms for subgroup axioms
% Version  : [Wos, 1965] axioms.
% English  : 

% Refs     : Wos L.A. (1965), Unpublished notes, Argonne National 
%            Laboratory.
% Source   : [SPRFN]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    1 (   0 non-Horn)(   0 units)
%            Number of literals          :    3 (   1 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    2 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    1

% Comments : To be used in conjunction with group theory axioms.
%            The closure_of_product_and_inverse axiom is derived from the 
%            two basic subgroup axioms - closure of product and 
%            closure_of_inverse - by resolution.
%--------------------------------------------------------------------------
input_clause(subgroup_member_substitution,axiom,
    [--equal(A,B),
     --subgroup_member(A),
     ++subgroup_member(B)]).
%--------------------------------------------------------------------------
