%--------------------------------------------------------------------------
% File     : BOO006=MultBnd-4 : TPTP v1.1.2. Bugfixed v1.1.0.
% Domain   : Boolean Algebra
% Problem  : Multiplication is bounded (X * 0 = 0)
% Version  : [Veroff, 1994] (equality) axioms.
% English  : 

% Refs     : Veroff R. (1994), Problem Set, AAR Newsletter 24, 8.
% Source   : [Veroff, 1994]
% Names    : TB [Veroff, 1994]

% Status   : 
% Syntax   : Number of clauses           :   17 (   0 non-Horn)(  10 unit)
%            Number of literals          :   25 (  25 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    6 (   3 constant)
%            Number of variables         :   34 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO004-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_right_identity,theorem,
    [--equal(multiply(a,additive_identity),additive_identity)]).
%--------------------------------------------------------------------------
