%--------------------------------------------------------------------------
% File     : SET097=ClElEx-6 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Set Theory
% Problem  : A class contains 0, 1, or at least 2 members
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : SS13 [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  162 (   8 non-Horn)(  33 unit)
%            Number of literals          :  335 ( 162 equality)
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   39 (   9 constant)
%            Number of variables         :  379 (  26 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_number_of_elements_in_class_1,theorem,
    [--member(not_subclass_element(intersection(complement(singleton(
not_subclass_element(x,null_class))),x),null_class),intersection(
complement(singleton(not_subclass_element(x,null_class))),x))]).

input_clause(prove_number_of_elements_in_class_2,theorem,
    [--equal(singleton(not_subclass_element(x,null_class)),x)]).

input_clause(prove_number_of_elements_in_class_3,theorem,
    [--equal(x,null_class)]).
%--------------------------------------------------------------------------
