%--------------------------------------------------------------------------
% File     : SYN041=FPell03-1 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 3, 16
% Version  : 
% English  : 3: The hardest theorm proved by a breadth-first logic
%               theorist.
%            16:A surprising theorem of propositional logic.

% Refs     : Siklossy L., Rich A. and Marinov V. (1973), Breadth First 
%            Search: Some Surprising Results, Artificial Intelligence 
%            4(X), 1-27.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 3 [Pelletier, 1986]
%          : Pelletier 16 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    4 (   0 non-Horn)(   4 unit)
%            Number of literals          :    4 (   0 equality)
%            Number of predicate symbols :    2 (   2 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    1
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++p]).

input_clause(clause_2,theorem,
    [--q]).

input_clause(clause_3,theorem,
    [++q]).

input_clause(clause_4,theorem,
    [--p]).
%--------------------------------------------------------------------------
