%--------------------------------------------------------------------------
% File     : SYN050=FPell20-1 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 20
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 20 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    5 (   0 non-Horn)(   3 unit)
%            Number of literals          :    9 (   0 equality)
%            Number of predicate symbols :    4 (   0 propositional)
%            Number of function symbols  :    3 (   2 constant)
%            Number of variables         :    6 (   4 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--big_p(Y),
     --big_q(Z),
     ++big_r(f(Y,Z))]).

input_clause(clause_2,theorem,
    [--big_p(Y),
     --big_q(Z),
     ++big_s(X)]).

input_clause(clause_3,theorem,
    [++big_p(a)]).

input_clause(clause_4,theorem,
    [++big_q(b)]).

input_clause(clause_5,theorem,
    [--big_r(W)]).
%--------------------------------------------------------------------------
