%--------------------------------------------------------------------------
% File     : SYN064=FPell35-1 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 35
% Version  : 
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 35 [Pelletier, 1986]
%          : p35.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :    2 (   0 non-Horn)(   2 unit)
%            Number of literals          :    2 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    2 (   0 constant)
%            Number of variables         :    4 (   2 singleton)
%            Maximal clause size         :    1
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++big_p(X,Y)]).

input_clause(clause_2,theorem,
    [--big_p(f(X,Y),g(X,Y))]).
%--------------------------------------------------------------------------
