%--------------------------------------------------------------------------
% File     : SYN085=DAPs1-1.010 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem s(1,10)
% Version  : Theorem formulation : Size 10.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   12 (   0 non-Horn)(  11 unit)
%            Number of literals          :   22 (   0 equality)
%            Number of predicate symbols :   11 (  11 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :   11
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(s1_goal_1,theorem,
    [--p_0]).

input_clause(s1_1,axiom,
    [++p_0,--p_1,--p_2,--p_3,--p_4,--p_5,--p_6,--p_7,--p_8,--p_9,--p_10]).

input_clause(s1_2,axiom,
    [++p_1]).

input_clause(s1_3,axiom,
    [++p_2]).

input_clause(s1_4,axiom,
    [++p_3]).

input_clause(s1_5,axiom,
    [++p_4]).

input_clause(s1_6,axiom,
    [++p_5]).

input_clause(s1_7,axiom,
    [++p_6]).

input_clause(s1_8,axiom,
    [++p_7]).

input_clause(s1_9,axiom,
    [++p_8]).

input_clause(s1_10,axiom,
    [++p_9]).

input_clause(s1_11,axiom,
    [++p_10]).
%--------------------------------------------------------------------------
