%--------------------------------------------------------------------------
% File     : SYN093=DAPut2-1.005 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem u(t(2,5))
% Version  : Theorem formulation : Size 5.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  202 ( 100 non-Horn)(   1 unit)
%            Number of literals          :  573 (   0 equality)
%            Number of predicate symbols :  131 ( 131 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    4
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(u_s2_goal_1,theorem,
    [++u_1,--p_1_5]).

input_clause(u_1_s2_goal_1,axiom,
    [--u_1]).

input_clause(u_s2_type1_1,axiom,
    [++u_2,++p_1_2,--p_2_2,--p_1_1]).

input_clause(u_2_s2_type1_1,axiom,
    [++p_1_2,--u_2]).

input_clause(u_s2_type1_2,axiom,
    [++u_3,++p_1_2,--p_2_2,--q_1_1]).

input_clause(u_3_s2_type1_2,axiom,
    [++p_1_2,--u_3]).

input_clause(u_s2_type1_3,axiom,
    [++u_4,++p_1_2,--q_2_2,--p_1_1]).

input_clause(u_4_s2_type1_3,axiom,
    [++p_1_2,--u_4]).

input_clause(u_s2_type1_4,axiom,
    [++u_5,++p_1_2,--q_2_2,--q_1_1]).

input_clause(u_5_s2_type1_4,axiom,
    [++p_1_2,--u_5]).

input_clause(u_s2_type1_5,axiom,
    [++u_6,++q_1_2,--p_2_2,--p_1_1]).

input_clause(u_6_s2_type1_5,axiom,
    [++q_1_2,--u_6]).

input_clause(u_s2_type1_6,axiom,
    [++u_7,++q_1_2,--p_2_2,--q_1_1]).

input_clause(u_7_s2_type1_6,axiom,
    [++q_1_2,--u_7]).

input_clause(u_s2_type1_7,axiom,
    [++u_8,++q_1_2,--q_2_2,--p_1_1]).

input_clause(u_8_s2_type1_7,axiom,
    [++q_1_2,--u_8]).

input_clause(u_s2_type1_8,axiom,
    [++u_9,++q_1_2,--q_2_2,--q_1_1]).

input_clause(u_9_s2_type1_8,axiom,
    [++q_1_2,--u_9]).

input_clause(u_s2_type1_9,axiom,
    [++u_10,++p_1_3,--p_2_3,--p_1_2]).

input_clause(u_10_s2_type1_9,axiom,
    [++p_1_3,--u_10]).

input_clause(u_s2_type1_10,axiom,
    [++u_11,++p_1_3,--p_2_3,--q_1_2]).

input_clause(u_11_s2_type1_10,axiom,
    [++p_1_3,--u_11]).

input_clause(u_s2_type1_11,axiom,
    [++u_12,++p_1_3,--q_2_3,--p_1_2]).

input_clause(u_12_s2_type1_11,axiom,
    [++p_1_3,--u_12]).

input_clause(u_s2_type1_12,axiom,
    [++u_13,++p_1_3,--q_2_3,--q_1_2]).

input_clause(u_13_s2_type1_12,axiom,
    [++p_1_3,--u_13]).

input_clause(u_s2_type1_13,axiom,
    [++u_14,++q_1_3,--p_2_3,--p_1_2]).

input_clause(u_14_s2_type1_13,axiom,
    [++q_1_3,--u_14]).

input_clause(u_s2_type1_14,axiom,
    [++u_15,++q_1_3,--p_2_3,--q_1_2]).

input_clause(u_15_s2_type1_14,axiom,
    [++q_1_3,--u_15]).

input_clause(u_s2_type1_15,axiom,
    [++u_16,++q_1_3,--q_2_3,--p_1_2]).

input_clause(u_16_s2_type1_15,axiom,
    [++q_1_3,--u_16]).

input_clause(u_s2_type1_16,axiom,
    [++u_17,++q_1_3,--q_2_3,--q_1_2]).

input_clause(u_17_s2_type1_16,axiom,
    [++q_1_3,--u_17]).

input_clause(u_s2_type1_17,axiom,
    [++u_18,++p_1_4,--p_2_4,--p_1_3]).

input_clause(u_18_s2_type1_17,axiom,
    [++p_1_4,--u_18]).

input_clause(u_s2_type1_18,axiom,
    [++u_19,++p_1_4,--p_2_4,--q_1_3]).

input_clause(u_19_s2_type1_18,axiom,
    [++p_1_4,--u_19]).

input_clause(u_s2_type1_19,axiom,
    [++u_20,++p_1_4,--q_2_4,--p_1_3]).

input_clause(u_20_s2_type1_19,axiom,
    [++p_1_4,--u_20]).

input_clause(u_s2_type1_20,axiom,
    [++u_21,++p_1_4,--q_2_4,--q_1_3]).

input_clause(u_21_s2_type1_20,axiom,
    [++p_1_4,--u_21]).

input_clause(u_s2_type1_21,axiom,
    [++u_22,++q_1_4,--p_2_4,--p_1_3]).

input_clause(u_22_s2_type1_21,axiom,
    [++q_1_4,--u_22]).

input_clause(u_s2_type1_22,axiom,
    [++u_23,++q_1_4,--p_2_4,--q_1_3]).

input_clause(u_23_s2_type1_22,axiom,
    [++q_1_4,--u_23]).

input_clause(u_s2_type1_23,axiom,
    [++u_24,++q_1_4,--q_2_4,--p_1_3]).

input_clause(u_24_s2_type1_23,axiom,
    [++q_1_4,--u_24]).

input_clause(u_s2_type1_24,axiom,
    [++u_25,++q_1_4,--q_2_4,--q_1_3]).

input_clause(u_25_s2_type1_24,axiom,
    [++q_1_4,--u_25]).

input_clause(u_s2_type1_25,axiom,
    [++u_26,++p_1_5,--p_2_5,--p_1_4]).

input_clause(u_26_s2_type1_25,axiom,
    [++p_1_5,--u_26]).

input_clause(u_s2_type1_26,axiom,
    [++u_27,++p_1_5,--p_2_5,--q_1_4]).

input_clause(u_27_s2_type1_26,axiom,
    [++p_1_5,--u_27]).

input_clause(u_s2_type1_27,axiom,
    [++u_28,++p_1_5,--q_2_5,--p_1_4]).

input_clause(u_28_s2_type1_27,axiom,
    [++p_1_5,--u_28]).

input_clause(u_s2_type1_28,axiom,
    [++u_29,++p_1_5,--q_2_5,--q_1_4]).

input_clause(u_29_s2_type1_28,axiom,
    [++p_1_5,--u_29]).

input_clause(u_s2_type1_29,axiom,
    [++u_30,++q_1_5,--p_2_5,--p_1_4]).

input_clause(u_30_s2_type1_29,axiom,
    [++q_1_5,--u_30]).

input_clause(u_s2_type1_30,axiom,
    [++u_31,++q_1_5,--p_2_5,--q_1_4]).

input_clause(u_31_s2_type1_30,axiom,
    [++q_1_5,--u_31]).

input_clause(u_s2_type1_31,axiom,
    [++u_32,++q_1_5,--q_2_5,--p_1_4]).

input_clause(u_32_s2_type1_31,axiom,
    [++q_1_5,--u_32]).

input_clause(u_s2_type1_32,axiom,
    [++u_33,++q_1_5,--q_2_5,--q_1_4]).

input_clause(u_33_s2_type1_32,axiom,
    [++q_1_5,--u_33]).

input_clause(u_s2_type1_33,axiom,
    [++u_34,++p_2_3,--p_3_3,--p_2_2]).

input_clause(u_34_s2_type1_33,axiom,
    [++p_2_3,--u_34]).

input_clause(u_s2_type1_34,axiom,
    [++u_35,++p_2_3,--p_3_3,--q_2_2]).

input_clause(u_35_s2_type1_34,axiom,
    [++p_2_3,--u_35]).

input_clause(u_s2_type1_35,axiom,
    [++u_36,++p_2_3,--q_3_3,--p_2_2]).

input_clause(u_36_s2_type1_35,axiom,
    [++p_2_3,--u_36]).

input_clause(u_s2_type1_36,axiom,
    [++u_37,++p_2_3,--q_3_3,--q_2_2]).

input_clause(u_37_s2_type1_36,axiom,
    [++p_2_3,--u_37]).

input_clause(u_s2_type1_37,axiom,
    [++u_38,++q_2_3,--p_3_3,--p_2_2]).

input_clause(u_38_s2_type1_37,axiom,
    [++q_2_3,--u_38]).

input_clause(u_s2_type1_38,axiom,
    [++u_39,++q_2_3,--p_3_3,--q_2_2]).

input_clause(u_39_s2_type1_38,axiom,
    [++q_2_3,--u_39]).

input_clause(u_s2_type1_39,axiom,
    [++u_40,++q_2_3,--q_3_3,--p_2_2]).

input_clause(u_40_s2_type1_39,axiom,
    [++q_2_3,--u_40]).

input_clause(u_s2_type1_40,axiom,
    [++u_41,++q_2_3,--q_3_3,--q_2_2]).

input_clause(u_41_s2_type1_40,axiom,
    [++q_2_3,--u_41]).

input_clause(u_s2_type1_41,axiom,
    [++u_42,++p_2_4,--p_3_4,--p_2_3]).

input_clause(u_42_s2_type1_41,axiom,
    [++p_2_4,--u_42]).

input_clause(u_s2_type1_42,axiom,
    [++u_43,++p_2_4,--p_3_4,--q_2_3]).

input_clause(u_43_s2_type1_42,axiom,
    [++p_2_4,--u_43]).

input_clause(u_s2_type1_43,axiom,
    [++u_44,++p_2_4,--q_3_4,--p_2_3]).

input_clause(u_44_s2_type1_43,axiom,
    [++p_2_4,--u_44]).

input_clause(u_s2_type1_44,axiom,
    [++u_45,++p_2_4,--q_3_4,--q_2_3]).

input_clause(u_45_s2_type1_44,axiom,
    [++p_2_4,--u_45]).

input_clause(u_s2_type1_45,axiom,
    [++u_46,++q_2_4,--p_3_4,--p_2_3]).

input_clause(u_46_s2_type1_45,axiom,
    [++q_2_4,--u_46]).

input_clause(u_s2_type1_46,axiom,
    [++u_47,++q_2_4,--p_3_4,--q_2_3]).

input_clause(u_47_s2_type1_46,axiom,
    [++q_2_4,--u_47]).

input_clause(u_s2_type1_47,axiom,
    [++u_48,++q_2_4,--q_3_4,--p_2_3]).

input_clause(u_48_s2_type1_47,axiom,
    [++q_2_4,--u_48]).

input_clause(u_s2_type1_48,axiom,
    [++u_49,++q_2_4,--q_3_4,--q_2_3]).

input_clause(u_49_s2_type1_48,axiom,
    [++q_2_4,--u_49]).

input_clause(u_s2_type1_49,axiom,
    [++u_50,++p_2_5,--p_3_5,--p_2_4]).

input_clause(u_50_s2_type1_49,axiom,
    [++p_2_5,--u_50]).

input_clause(u_s2_type1_50,axiom,
    [++u_51,++p_2_5,--p_3_5,--q_2_4]).

input_clause(u_51_s2_type1_50,axiom,
    [++p_2_5,--u_51]).

input_clause(u_s2_type1_51,axiom,
    [++u_52,++p_2_5,--q_3_5,--p_2_4]).

input_clause(u_52_s2_type1_51,axiom,
    [++p_2_5,--u_52]).

input_clause(u_s2_type1_52,axiom,
    [++u_53,++p_2_5,--q_3_5,--q_2_4]).

input_clause(u_53_s2_type1_52,axiom,
    [++p_2_5,--u_53]).

input_clause(u_s2_type1_53,axiom,
    [++u_54,++q_2_5,--p_3_5,--p_2_4]).

input_clause(u_54_s2_type1_53,axiom,
    [++q_2_5,--u_54]).

input_clause(u_s2_type1_54,axiom,
    [++u_55,++q_2_5,--p_3_5,--q_2_4]).

input_clause(u_55_s2_type1_54,axiom,
    [++q_2_5,--u_55]).

input_clause(u_s2_type1_55,axiom,
    [++u_56,++q_2_5,--q_3_5,--p_2_4]).

input_clause(u_56_s2_type1_55,axiom,
    [++q_2_5,--u_56]).

input_clause(u_s2_type1_56,axiom,
    [++u_57,++q_2_5,--q_3_5,--q_2_4]).

input_clause(u_57_s2_type1_56,axiom,
    [++q_2_5,--u_57]).

input_clause(u_s2_type1_57,axiom,
    [++u_58,++p_3_4,--p_4_4,--p_3_3]).

input_clause(u_58_s2_type1_57,axiom,
    [++p_3_4,--u_58]).

input_clause(u_s2_type1_58,axiom,
    [++u_59,++p_3_4,--p_4_4,--q_3_3]).

input_clause(u_59_s2_type1_58,axiom,
    [++p_3_4,--u_59]).

input_clause(u_s2_type1_59,axiom,
    [++u_60,++p_3_4,--q_4_4,--p_3_3]).

input_clause(u_60_s2_type1_59,axiom,
    [++p_3_4,--u_60]).

input_clause(u_s2_type1_60,axiom,
    [++u_61,++p_3_4,--q_4_4,--q_3_3]).

input_clause(u_61_s2_type1_60,axiom,
    [++p_3_4,--u_61]).

input_clause(u_s2_type1_61,axiom,
    [++u_62,++q_3_4,--p_4_4,--p_3_3]).

input_clause(u_62_s2_type1_61,axiom,
    [++q_3_4,--u_62]).

input_clause(u_s2_type1_62,axiom,
    [++u_63,++q_3_4,--p_4_4,--q_3_3]).

input_clause(u_63_s2_type1_62,axiom,
    [++q_3_4,--u_63]).

input_clause(u_s2_type1_63,axiom,
    [++u_64,++q_3_4,--q_4_4,--p_3_3]).

input_clause(u_64_s2_type1_63,axiom,
    [++q_3_4,--u_64]).

input_clause(u_s2_type1_64,axiom,
    [++u_65,++q_3_4,--q_4_4,--q_3_3]).

input_clause(u_65_s2_type1_64,axiom,
    [++q_3_4,--u_65]).

input_clause(u_s2_type1_65,axiom,
    [++u_66,++p_3_5,--p_4_5,--p_3_4]).

input_clause(u_66_s2_type1_65,axiom,
    [++p_3_5,--u_66]).

input_clause(u_s2_type1_66,axiom,
    [++u_67,++p_3_5,--p_4_5,--q_3_4]).

input_clause(u_67_s2_type1_66,axiom,
    [++p_3_5,--u_67]).

input_clause(u_s2_type1_67,axiom,
    [++u_68,++p_3_5,--q_4_5,--p_3_4]).

input_clause(u_68_s2_type1_67,axiom,
    [++p_3_5,--u_68]).

input_clause(u_s2_type1_68,axiom,
    [++u_69,++p_3_5,--q_4_5,--q_3_4]).

input_clause(u_69_s2_type1_68,axiom,
    [++p_3_5,--u_69]).

input_clause(u_s2_type1_69,axiom,
    [++u_70,++q_3_5,--p_4_5,--p_3_4]).

input_clause(u_70_s2_type1_69,axiom,
    [++q_3_5,--u_70]).

input_clause(u_s2_type1_70,axiom,
    [++u_71,++q_3_5,--p_4_5,--q_3_4]).

input_clause(u_71_s2_type1_70,axiom,
    [++q_3_5,--u_71]).

input_clause(u_s2_type1_71,axiom,
    [++u_72,++q_3_5,--q_4_5,--p_3_4]).

input_clause(u_72_s2_type1_71,axiom,
    [++q_3_5,--u_72]).

input_clause(u_s2_type1_72,axiom,
    [++u_73,++q_3_5,--q_4_5,--q_3_4]).

input_clause(u_73_s2_type1_72,axiom,
    [++q_3_5,--u_73]).

input_clause(u_s2_type1_73,axiom,
    [++u_74,++p_4_5,--p_5_5,--p_4_4]).

input_clause(u_74_s2_type1_73,axiom,
    [++p_4_5,--u_74]).

input_clause(u_s2_type1_74,axiom,
    [++u_75,++p_4_5,--p_5_5,--q_4_4]).

input_clause(u_75_s2_type1_74,axiom,
    [++p_4_5,--u_75]).

input_clause(u_s2_type1_75,axiom,
    [++u_76,++p_4_5,--q_5_5,--p_4_4]).

input_clause(u_76_s2_type1_75,axiom,
    [++p_4_5,--u_76]).

input_clause(u_s2_type1_76,axiom,
    [++u_77,++p_4_5,--q_5_5,--q_4_4]).

input_clause(u_77_s2_type1_76,axiom,
    [++p_4_5,--u_77]).

input_clause(u_s2_type1_77,axiom,
    [++u_78,++q_4_5,--p_5_5,--p_4_4]).

input_clause(u_78_s2_type1_77,axiom,
    [++q_4_5,--u_78]).

input_clause(u_s2_type1_78,axiom,
    [++u_79,++q_4_5,--p_5_5,--q_4_4]).

input_clause(u_79_s2_type1_78,axiom,
    [++q_4_5,--u_79]).

input_clause(u_s2_type1_79,axiom,
    [++u_80,++q_4_5,--q_5_5,--p_4_4]).

input_clause(u_80_s2_type1_79,axiom,
    [++q_4_5,--u_80]).

input_clause(u_s2_type1_80,axiom,
    [++u_81,++q_4_5,--q_5_5,--q_4_4]).

input_clause(u_81_s2_type1_80,axiom,
    [++q_4_5,--u_81]).

input_clause(u_s2_type21_1,axiom,
    [++u_82,++p_1_1,--p_1_3]).

input_clause(u_82_s2_type21_1,axiom,
    [++p_1_1,--u_82]).

input_clause(u_s2_type21_2,axiom,
    [++u_83,++p_2_2,--p_2_4]).

input_clause(u_83_s2_type21_2,axiom,
    [++p_2_2,--u_83]).

input_clause(u_s2_type21_3,axiom,
    [++u_84,++q_1_1,--q_1_3]).

input_clause(u_84_s2_type21_3,axiom,
    [++q_1_1,--u_84]).

input_clause(u_s2_type21_4,axiom,
    [++u_85,++q_2_2,--q_2_4]).

input_clause(u_85_s2_type21_4,axiom,
    [++q_2_2,--u_85]).

input_clause(u_s2_type22_1,axiom,
    [++u_86,++p_3_3,--p_1_3]).

input_clause(u_86_s2_type22_1,axiom,
    [++p_3_3,--u_86]).

input_clause(u_s2_type22_2,axiom,
    [++u_87,++p_4_4,--p_2_4]).

input_clause(u_87_s2_type22_2,axiom,
    [++p_4_4,--u_87]).

input_clause(u_s2_type22_3,axiom,
    [++u_88,++p_5_5,--p_3_5]).

input_clause(u_88_s2_type22_3,axiom,
    [++p_5_5,--u_88]).

input_clause(u_s2_type22_4,axiom,
    [++u_89,++q_3_3,--q_1_3]).

input_clause(u_89_s2_type22_4,axiom,
    [++q_3_3,--u_89]).

input_clause(u_s2_type22_5,axiom,
    [++u_90,++q_4_4,--q_2_4]).

input_clause(u_90_s2_type22_5,axiom,
    [++q_4_4,--u_90]).

input_clause(u_s2_type22_6,axiom,
    [++u_91,++q_5_5,--q_3_5]).

input_clause(u_91_s2_type22_6,axiom,
    [++q_5_5,--u_91]).

input_clause(u_t2_1,axiom,
    [++u_92,++p_1_1]).

input_clause(u_92_t2_1,axiom,
    [++p_1_1,--u_92]).

input_clause(u_t2_2,axiom,
    [++u_93,++q_1_1]).

input_clause(u_93_t2_2,axiom,
    [++q_1_1,--u_93]).

input_clause(u_t2_3,axiom,
    [++u_94,++p_2_2]).

input_clause(u_94_t2_3,axiom,
    [++p_2_2,--u_94]).

input_clause(u_t2_4,axiom,
    [++u_95,++q_2_2]).

input_clause(u_95_t2_4,axiom,
    [++q_2_2,--u_95]).

input_clause(u_t2_5,axiom,
    [++u_96,++p_3_3]).

input_clause(u_96_t2_5,axiom,
    [++p_3_3,--u_96]).

input_clause(u_t2_6,axiom,
    [++u_97,++q_3_3]).

input_clause(u_97_t2_6,axiom,
    [++q_3_3,--u_97]).

input_clause(u_t2_7,axiom,
    [++u_98,++p_4_4]).

input_clause(u_98_t2_7,axiom,
    [++p_4_4,--u_98]).

input_clause(u_t2_8,axiom,
    [++u_99,++q_4_4]).

input_clause(u_99_t2_8,axiom,
    [++q_4_4,--u_99]).

input_clause(u_t2_9,axiom,
    [++u_100,++p_5_5]).

input_clause(u_100_t2_9,axiom,
    [++p_5_5,--u_100]).

input_clause(u_t2_10,axiom,
    [++u_101,++q_5_5]).

input_clause(u_101_t2_10,axiom,
    [++q_5_5,--u_101]).
%--------------------------------------------------------------------------
