%--------------------------------------------------------------------------
% File     : SYN098=DAPsymut3-1.010 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem sym(u(t(3,10)))
% Version  : Theorem formulation : Size 10.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  612 ( 297 non-Horn)(   2 unit)
%            Number of literals          : 1808 (   0 equality)
%            Number of predicate symbols :  390 ( 390 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    4
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(u_s3_goal_1,theorem,
    [++u_1,--p_0,--q_0]).

input_clause(u_1_s3_goal_1,axiom,
    [--u_1]).

input_clause(u_s3_type1_1,axiom,
    [++u_2,++p_0,--p_1,--p_2]).

input_clause(u_2_s3_type1_1,axiom,
    [++p_0,--u_2]).

input_clause(u_s3_type1_2,axiom,
    [++u_3,++p_0,--p_1,--q_2]).

input_clause(u_3_s3_type1_2,axiom,
    [++p_0,--u_3]).

input_clause(u_s3_type1_3,axiom,
    [++u_4,++p_0,--q_1,--p_2]).

input_clause(u_4_s3_type1_3,axiom,
    [++p_0,--u_4]).

input_clause(u_s3_type1_4,axiom,
    [++u_5,++p_0,--q_1,--q_2]).

input_clause(u_5_s3_type1_4,axiom,
    [++p_0,--u_5]).

input_clause(u_s3_type1_5,axiom,
    [++u_6,++q_0,--p_1,--p_2]).

input_clause(u_6_s3_type1_5,axiom,
    [++q_0,--u_6]).

input_clause(u_s3_type1_6,axiom,
    [++u_7,++q_0,--p_1,--q_2]).

input_clause(u_7_s3_type1_6,axiom,
    [++q_0,--u_7]).

input_clause(u_s3_type1_7,axiom,
    [++u_8,++q_0,--q_1,--p_2]).

input_clause(u_8_s3_type1_7,axiom,
    [++q_0,--u_8]).

input_clause(u_s3_type1_8,axiom,
    [++u_9,++q_0,--q_1,--q_2]).

input_clause(u_9_s3_type1_8,axiom,
    [++q_0,--u_9]).

input_clause(u_s3_type1_9,axiom,
    [++u_10,++p_1,--p_2,--p_3]).

input_clause(u_10_s3_type1_9,axiom,
    [++p_1,--u_10]).

input_clause(u_s3_type1_10,axiom,
    [++u_11,++p_1,--p_2,--q_3]).

input_clause(u_11_s3_type1_10,axiom,
    [++p_1,--u_11]).

input_clause(u_s3_type1_11,axiom,
    [++u_12,++p_1,--q_2,--p_3]).

input_clause(u_12_s3_type1_11,axiom,
    [++p_1,--u_12]).

input_clause(u_s3_type1_12,axiom,
    [++u_13,++p_1,--q_2,--q_3]).

input_clause(u_13_s3_type1_12,axiom,
    [++p_1,--u_13]).

input_clause(u_s3_type1_13,axiom,
    [++u_14,++q_1,--p_2,--p_3]).

input_clause(u_14_s3_type1_13,axiom,
    [++q_1,--u_14]).

input_clause(u_s3_type1_14,axiom,
    [++u_15,++q_1,--p_2,--q_3]).

input_clause(u_15_s3_type1_14,axiom,
    [++q_1,--u_15]).

input_clause(u_s3_type1_15,axiom,
    [++u_16,++q_1,--q_2,--p_3]).

input_clause(u_16_s3_type1_15,axiom,
    [++q_1,--u_16]).

input_clause(u_s3_type1_16,axiom,
    [++u_17,++q_1,--q_2,--q_3]).

input_clause(u_17_s3_type1_16,axiom,
    [++q_1,--u_17]).

input_clause(u_s3_type1_17,axiom,
    [++u_18,++p_2,--p_3,--p_4]).

input_clause(u_18_s3_type1_17,axiom,
    [++p_2,--u_18]).

input_clause(u_s3_type1_18,axiom,
    [++u_19,++p_2,--p_3,--q_4]).

input_clause(u_19_s3_type1_18,axiom,
    [++p_2,--u_19]).

input_clause(u_s3_type1_19,axiom,
    [++u_20,++p_2,--q_3,--p_4]).

input_clause(u_20_s3_type1_19,axiom,
    [++p_2,--u_20]).

input_clause(u_s3_type1_20,axiom,
    [++u_21,++p_2,--q_3,--q_4]).

input_clause(u_21_s3_type1_20,axiom,
    [++p_2,--u_21]).

input_clause(u_s3_type1_21,axiom,
    [++u_22,++q_2,--p_3,--p_4]).

input_clause(u_22_s3_type1_21,axiom,
    [++q_2,--u_22]).

input_clause(u_s3_type1_22,axiom,
    [++u_23,++q_2,--p_3,--q_4]).

input_clause(u_23_s3_type1_22,axiom,
    [++q_2,--u_23]).

input_clause(u_s3_type1_23,axiom,
    [++u_24,++q_2,--q_3,--p_4]).

input_clause(u_24_s3_type1_23,axiom,
    [++q_2,--u_24]).

input_clause(u_s3_type1_24,axiom,
    [++u_25,++q_2,--q_3,--q_4]).

input_clause(u_25_s3_type1_24,axiom,
    [++q_2,--u_25]).

input_clause(u_s3_type1_25,axiom,
    [++u_26,++p_3,--p_4,--p_5]).

input_clause(u_26_s3_type1_25,axiom,
    [++p_3,--u_26]).

input_clause(u_s3_type1_26,axiom,
    [++u_27,++p_3,--p_4,--q_5]).

input_clause(u_27_s3_type1_26,axiom,
    [++p_3,--u_27]).

input_clause(u_s3_type1_27,axiom,
    [++u_28,++p_3,--q_4,--p_5]).

input_clause(u_28_s3_type1_27,axiom,
    [++p_3,--u_28]).

input_clause(u_s3_type1_28,axiom,
    [++u_29,++p_3,--q_4,--q_5]).

input_clause(u_29_s3_type1_28,axiom,
    [++p_3,--u_29]).

input_clause(u_s3_type1_29,axiom,
    [++u_30,++q_3,--p_4,--p_5]).

input_clause(u_30_s3_type1_29,axiom,
    [++q_3,--u_30]).

input_clause(u_s3_type1_30,axiom,
    [++u_31,++q_3,--p_4,--q_5]).

input_clause(u_31_s3_type1_30,axiom,
    [++q_3,--u_31]).

input_clause(u_s3_type1_31,axiom,
    [++u_32,++q_3,--q_4,--p_5]).

input_clause(u_32_s3_type1_31,axiom,
    [++q_3,--u_32]).

input_clause(u_s3_type1_32,axiom,
    [++u_33,++q_3,--q_4,--q_5]).

input_clause(u_33_s3_type1_32,axiom,
    [++q_3,--u_33]).

input_clause(u_s3_type1_33,axiom,
    [++u_34,++p_4,--p_5,--p_6]).

input_clause(u_34_s3_type1_33,axiom,
    [++p_4,--u_34]).

input_clause(u_s3_type1_34,axiom,
    [++u_35,++p_4,--p_5,--q_6]).

input_clause(u_35_s3_type1_34,axiom,
    [++p_4,--u_35]).

input_clause(u_s3_type1_35,axiom,
    [++u_36,++p_4,--q_5,--p_6]).

input_clause(u_36_s3_type1_35,axiom,
    [++p_4,--u_36]).

input_clause(u_s3_type1_36,axiom,
    [++u_37,++p_4,--q_5,--q_6]).

input_clause(u_37_s3_type1_36,axiom,
    [++p_4,--u_37]).

input_clause(u_s3_type1_37,axiom,
    [++u_38,++q_4,--p_5,--p_6]).

input_clause(u_38_s3_type1_37,axiom,
    [++q_4,--u_38]).

input_clause(u_s3_type1_38,axiom,
    [++u_39,++q_4,--p_5,--q_6]).

input_clause(u_39_s3_type1_38,axiom,
    [++q_4,--u_39]).

input_clause(u_s3_type1_39,axiom,
    [++u_40,++q_4,--q_5,--p_6]).

input_clause(u_40_s3_type1_39,axiom,
    [++q_4,--u_40]).

input_clause(u_s3_type1_40,axiom,
    [++u_41,++q_4,--q_5,--q_6]).

input_clause(u_41_s3_type1_40,axiom,
    [++q_4,--u_41]).

input_clause(u_s3_type1_41,axiom,
    [++u_42,++p_5,--p_6,--p_7]).

input_clause(u_42_s3_type1_41,axiom,
    [++p_5,--u_42]).

input_clause(u_s3_type1_42,axiom,
    [++u_43,++p_5,--p_6,--q_7]).

input_clause(u_43_s3_type1_42,axiom,
    [++p_5,--u_43]).

input_clause(u_s3_type1_43,axiom,
    [++u_44,++p_5,--q_6,--p_7]).

input_clause(u_44_s3_type1_43,axiom,
    [++p_5,--u_44]).

input_clause(u_s3_type1_44,axiom,
    [++u_45,++p_5,--q_6,--q_7]).

input_clause(u_45_s3_type1_44,axiom,
    [++p_5,--u_45]).

input_clause(u_s3_type1_45,axiom,
    [++u_46,++q_5,--p_6,--p_7]).

input_clause(u_46_s3_type1_45,axiom,
    [++q_5,--u_46]).

input_clause(u_s3_type1_46,axiom,
    [++u_47,++q_5,--p_6,--q_7]).

input_clause(u_47_s3_type1_46,axiom,
    [++q_5,--u_47]).

input_clause(u_s3_type1_47,axiom,
    [++u_48,++q_5,--q_6,--p_7]).

input_clause(u_48_s3_type1_47,axiom,
    [++q_5,--u_48]).

input_clause(u_s3_type1_48,axiom,
    [++u_49,++q_5,--q_6,--q_7]).

input_clause(u_49_s3_type1_48,axiom,
    [++q_5,--u_49]).

input_clause(u_s3_type1_49,axiom,
    [++u_50,++p_6,--p_7,--p_8]).

input_clause(u_50_s3_type1_49,axiom,
    [++p_6,--u_50]).

input_clause(u_s3_type1_50,axiom,
    [++u_51,++p_6,--p_7,--q_8]).

input_clause(u_51_s3_type1_50,axiom,
    [++p_6,--u_51]).

input_clause(u_s3_type1_51,axiom,
    [++u_52,++p_6,--q_7,--p_8]).

input_clause(u_52_s3_type1_51,axiom,
    [++p_6,--u_52]).

input_clause(u_s3_type1_52,axiom,
    [++u_53,++p_6,--q_7,--q_8]).

input_clause(u_53_s3_type1_52,axiom,
    [++p_6,--u_53]).

input_clause(u_s3_type1_53,axiom,
    [++u_54,++q_6,--p_7,--p_8]).

input_clause(u_54_s3_type1_53,axiom,
    [++q_6,--u_54]).

input_clause(u_s3_type1_54,axiom,
    [++u_55,++q_6,--p_7,--q_8]).

input_clause(u_55_s3_type1_54,axiom,
    [++q_6,--u_55]).

input_clause(u_s3_type1_55,axiom,
    [++u_56,++q_6,--q_7,--p_8]).

input_clause(u_56_s3_type1_55,axiom,
    [++q_6,--u_56]).

input_clause(u_s3_type1_56,axiom,
    [++u_57,++q_6,--q_7,--q_8]).

input_clause(u_57_s3_type1_56,axiom,
    [++q_6,--u_57]).

input_clause(u_s3_type1_57,axiom,
    [++u_58,++p_7,--p_8,--p_9]).

input_clause(u_58_s3_type1_57,axiom,
    [++p_7,--u_58]).

input_clause(u_s3_type1_58,axiom,
    [++u_59,++p_7,--p_8,--q_9]).

input_clause(u_59_s3_type1_58,axiom,
    [++p_7,--u_59]).

input_clause(u_s3_type1_59,axiom,
    [++u_60,++p_7,--q_8,--p_9]).

input_clause(u_60_s3_type1_59,axiom,
    [++p_7,--u_60]).

input_clause(u_s3_type1_60,axiom,
    [++u_61,++p_7,--q_8,--q_9]).

input_clause(u_61_s3_type1_60,axiom,
    [++p_7,--u_61]).

input_clause(u_s3_type1_61,axiom,
    [++u_62,++q_7,--p_8,--p_9]).

input_clause(u_62_s3_type1_61,axiom,
    [++q_7,--u_62]).

input_clause(u_s3_type1_62,axiom,
    [++u_63,++q_7,--p_8,--q_9]).

input_clause(u_63_s3_type1_62,axiom,
    [++q_7,--u_63]).

input_clause(u_s3_type1_63,axiom,
    [++u_64,++q_7,--q_8,--p_9]).

input_clause(u_64_s3_type1_63,axiom,
    [++q_7,--u_64]).

input_clause(u_s3_type1_64,axiom,
    [++u_65,++q_7,--q_8,--q_9]).

input_clause(u_65_s3_type1_64,axiom,
    [++q_7,--u_65]).

input_clause(u_s3_type1_65,axiom,
    [++u_66,++p_8,--p_9,--p_10]).

input_clause(u_66_s3_type1_65,axiom,
    [++p_8,--u_66]).

input_clause(u_s3_type1_66,axiom,
    [++u_67,++p_8,--p_9,--q_10]).

input_clause(u_67_s3_type1_66,axiom,
    [++p_8,--u_67]).

input_clause(u_s3_type1_67,axiom,
    [++u_68,++p_8,--q_9,--p_10]).

input_clause(u_68_s3_type1_67,axiom,
    [++p_8,--u_68]).

input_clause(u_s3_type1_68,axiom,
    [++u_69,++p_8,--q_9,--q_10]).

input_clause(u_69_s3_type1_68,axiom,
    [++p_8,--u_69]).

input_clause(u_s3_type1_69,axiom,
    [++u_70,++q_8,--p_9,--p_10]).

input_clause(u_70_s3_type1_69,axiom,
    [++q_8,--u_70]).

input_clause(u_s3_type1_70,axiom,
    [++u_71,++q_8,--p_9,--q_10]).

input_clause(u_71_s3_type1_70,axiom,
    [++q_8,--u_71]).

input_clause(u_s3_type1_71,axiom,
    [++u_72,++q_8,--q_9,--p_10]).

input_clause(u_72_s3_type1_71,axiom,
    [++q_8,--u_72]).

input_clause(u_s3_type1_72,axiom,
    [++u_73,++q_8,--q_9,--q_10]).

input_clause(u_73_s3_type1_72,axiom,
    [++q_8,--u_73]).

input_clause(u_s3_type1_73,axiom,
    [++u_74,++p_9,--p_10,--p_11]).

input_clause(u_74_s3_type1_73,axiom,
    [++p_9,--u_74]).

input_clause(u_s3_type1_74,axiom,
    [++u_75,++p_9,--p_10,--q_11]).

input_clause(u_75_s3_type1_74,axiom,
    [++p_9,--u_75]).

input_clause(u_s3_type1_75,axiom,
    [++u_76,++p_9,--q_10,--p_11]).

input_clause(u_76_s3_type1_75,axiom,
    [++p_9,--u_76]).

input_clause(u_s3_type1_76,axiom,
    [++u_77,++p_9,--q_10,--q_11]).

input_clause(u_77_s3_type1_76,axiom,
    [++p_9,--u_77]).

input_clause(u_s3_type1_77,axiom,
    [++u_78,++q_9,--p_10,--p_11]).

input_clause(u_78_s3_type1_77,axiom,
    [++q_9,--u_78]).

input_clause(u_s3_type1_78,axiom,
    [++u_79,++q_9,--p_10,--q_11]).

input_clause(u_79_s3_type1_78,axiom,
    [++q_9,--u_79]).

input_clause(u_s3_type1_79,axiom,
    [++u_80,++q_9,--q_10,--p_11]).

input_clause(u_80_s3_type1_79,axiom,
    [++q_9,--u_80]).

input_clause(u_s3_type1_80,axiom,
    [++u_81,++q_9,--q_10,--q_11]).

input_clause(u_81_s3_type1_80,axiom,
    [++q_9,--u_81]).

input_clause(u_s3_type1_81,axiom,
    [++u_82,++p_10,--p_11,--p_12]).

input_clause(u_82_s3_type1_81,axiom,
    [++p_10,--u_82]).

input_clause(u_s3_type1_82,axiom,
    [++u_83,++p_10,--p_11,--q_12]).

input_clause(u_83_s3_type1_82,axiom,
    [++p_10,--u_83]).

input_clause(u_s3_type1_83,axiom,
    [++u_84,++p_10,--q_11,--p_12]).

input_clause(u_84_s3_type1_83,axiom,
    [++p_10,--u_84]).

input_clause(u_s3_type1_84,axiom,
    [++u_85,++p_10,--q_11,--q_12]).

input_clause(u_85_s3_type1_84,axiom,
    [++p_10,--u_85]).

input_clause(u_s3_type1_85,axiom,
    [++u_86,++q_10,--p_11,--p_12]).

input_clause(u_86_s3_type1_85,axiom,
    [++q_10,--u_86]).

input_clause(u_s3_type1_86,axiom,
    [++u_87,++q_10,--p_11,--q_12]).

input_clause(u_87_s3_type1_86,axiom,
    [++q_10,--u_87]).

input_clause(u_s3_type1_87,axiom,
    [++u_88,++q_10,--q_11,--p_12]).

input_clause(u_88_s3_type1_87,axiom,
    [++q_10,--u_88]).

input_clause(u_s3_type1_88,axiom,
    [++u_89,++q_10,--q_11,--q_12]).

input_clause(u_89_s3_type1_88,axiom,
    [++q_10,--u_89]).

input_clause(u_s3_type1_89,axiom,
    [++u_90,++p_11,--p_12,--p_13]).

input_clause(u_90_s3_type1_89,axiom,
    [++p_11,--u_90]).

input_clause(u_s3_type1_90,axiom,
    [++u_91,++p_11,--p_12,--q_13]).

input_clause(u_91_s3_type1_90,axiom,
    [++p_11,--u_91]).

input_clause(u_s3_type1_91,axiom,
    [++u_92,++p_11,--q_12,--p_13]).

input_clause(u_92_s3_type1_91,axiom,
    [++p_11,--u_92]).

input_clause(u_s3_type1_92,axiom,
    [++u_93,++p_11,--q_12,--q_13]).

input_clause(u_93_s3_type1_92,axiom,
    [++p_11,--u_93]).

input_clause(u_s3_type1_93,axiom,
    [++u_94,++q_11,--p_12,--p_13]).

input_clause(u_94_s3_type1_93,axiom,
    [++q_11,--u_94]).

input_clause(u_s3_type1_94,axiom,
    [++u_95,++q_11,--p_12,--q_13]).

input_clause(u_95_s3_type1_94,axiom,
    [++q_11,--u_95]).

input_clause(u_s3_type1_95,axiom,
    [++u_96,++q_11,--q_12,--p_13]).

input_clause(u_96_s3_type1_95,axiom,
    [++q_11,--u_96]).

input_clause(u_s3_type1_96,axiom,
    [++u_97,++q_11,--q_12,--q_13]).

input_clause(u_97_s3_type1_96,axiom,
    [++q_11,--u_97]).

input_clause(u_s3_type1_97,axiom,
    [++u_98,++p_12,--p_13,--p_14]).

input_clause(u_98_s3_type1_97,axiom,
    [++p_12,--u_98]).

input_clause(u_s3_type1_98,axiom,
    [++u_99,++p_12,--p_13,--q_14]).

input_clause(u_99_s3_type1_98,axiom,
    [++p_12,--u_99]).

input_clause(u_s3_type1_99,axiom,
    [++u_100,++p_12,--q_13,--p_14]).

input_clause(u_100_s3_type1_99,axiom,
    [++p_12,--u_100]).

input_clause(u_s3_type1_100,axiom,
    [++u_101,++p_12,--q_13,--q_14]).

input_clause(u_101_s3_type1_100,axiom,
    [++p_12,--u_101]).

input_clause(u_s3_type1_101,axiom,
    [++u_102,++q_12,--p_13,--p_14]).

input_clause(u_102_s3_type1_101,axiom,
    [++q_12,--u_102]).

input_clause(u_s3_type1_102,axiom,
    [++u_103,++q_12,--p_13,--q_14]).

input_clause(u_103_s3_type1_102,axiom,
    [++q_12,--u_103]).

input_clause(u_s3_type1_103,axiom,
    [++u_104,++q_12,--q_13,--p_14]).

input_clause(u_104_s3_type1_103,axiom,
    [++q_12,--u_104]).

input_clause(u_s3_type1_104,axiom,
    [++u_105,++q_12,--q_13,--q_14]).

input_clause(u_105_s3_type1_104,axiom,
    [++q_12,--u_105]).

input_clause(u_s3_type1_105,axiom,
    [++u_106,++p_13,--p_14,--p_15]).

input_clause(u_106_s3_type1_105,axiom,
    [++p_13,--u_106]).

input_clause(u_s3_type1_106,axiom,
    [++u_107,++p_13,--p_14,--q_15]).

input_clause(u_107_s3_type1_106,axiom,
    [++p_13,--u_107]).

input_clause(u_s3_type1_107,axiom,
    [++u_108,++p_13,--q_14,--p_15]).

input_clause(u_108_s3_type1_107,axiom,
    [++p_13,--u_108]).

input_clause(u_s3_type1_108,axiom,
    [++u_109,++p_13,--q_14,--q_15]).

input_clause(u_109_s3_type1_108,axiom,
    [++p_13,--u_109]).

input_clause(u_s3_type1_109,axiom,
    [++u_110,++q_13,--p_14,--p_15]).

input_clause(u_110_s3_type1_109,axiom,
    [++q_13,--u_110]).

input_clause(u_s3_type1_110,axiom,
    [++u_111,++q_13,--p_14,--q_15]).

input_clause(u_111_s3_type1_110,axiom,
    [++q_13,--u_111]).

input_clause(u_s3_type1_111,axiom,
    [++u_112,++q_13,--q_14,--p_15]).

input_clause(u_112_s3_type1_111,axiom,
    [++q_13,--u_112]).

input_clause(u_s3_type1_112,axiom,
    [++u_113,++q_13,--q_14,--q_15]).

input_clause(u_113_s3_type1_112,axiom,
    [++q_13,--u_113]).

input_clause(u_s3_type1_113,axiom,
    [++u_114,++p_14,--p_15,--p_16]).

input_clause(u_114_s3_type1_113,axiom,
    [++p_14,--u_114]).

input_clause(u_s3_type1_114,axiom,
    [++u_115,++p_14,--p_15,--q_16]).

input_clause(u_115_s3_type1_114,axiom,
    [++p_14,--u_115]).

input_clause(u_s3_type1_115,axiom,
    [++u_116,++p_14,--q_15,--p_16]).

input_clause(u_116_s3_type1_115,axiom,
    [++p_14,--u_116]).

input_clause(u_s3_type1_116,axiom,
    [++u_117,++p_14,--q_15,--q_16]).

input_clause(u_117_s3_type1_116,axiom,
    [++p_14,--u_117]).

input_clause(u_s3_type1_117,axiom,
    [++u_118,++q_14,--p_15,--p_16]).

input_clause(u_118_s3_type1_117,axiom,
    [++q_14,--u_118]).

input_clause(u_s3_type1_118,axiom,
    [++u_119,++q_14,--p_15,--q_16]).

input_clause(u_119_s3_type1_118,axiom,
    [++q_14,--u_119]).

input_clause(u_s3_type1_119,axiom,
    [++u_120,++q_14,--q_15,--p_16]).

input_clause(u_120_s3_type1_119,axiom,
    [++q_14,--u_120]).

input_clause(u_s3_type1_120,axiom,
    [++u_121,++q_14,--q_15,--q_16]).

input_clause(u_121_s3_type1_120,axiom,
    [++q_14,--u_121]).

input_clause(u_s3_type1_121,axiom,
    [++u_122,++p_15,--p_16,--p_17]).

input_clause(u_122_s3_type1_121,axiom,
    [++p_15,--u_122]).

input_clause(u_s3_type1_122,axiom,
    [++u_123,++p_15,--p_16,--q_17]).

input_clause(u_123_s3_type1_122,axiom,
    [++p_15,--u_123]).

input_clause(u_s3_type1_123,axiom,
    [++u_124,++p_15,--q_16,--p_17]).

input_clause(u_124_s3_type1_123,axiom,
    [++p_15,--u_124]).

input_clause(u_s3_type1_124,axiom,
    [++u_125,++p_15,--q_16,--q_17]).

input_clause(u_125_s3_type1_124,axiom,
    [++p_15,--u_125]).

input_clause(u_s3_type1_125,axiom,
    [++u_126,++q_15,--p_16,--p_17]).

input_clause(u_126_s3_type1_125,axiom,
    [++q_15,--u_126]).

input_clause(u_s3_type1_126,axiom,
    [++u_127,++q_15,--p_16,--q_17]).

input_clause(u_127_s3_type1_126,axiom,
    [++q_15,--u_127]).

input_clause(u_s3_type1_127,axiom,
    [++u_128,++q_15,--q_16,--p_17]).

input_clause(u_128_s3_type1_127,axiom,
    [++q_15,--u_128]).

input_clause(u_s3_type1_128,axiom,
    [++u_129,++q_15,--q_16,--q_17]).

input_clause(u_129_s3_type1_128,axiom,
    [++q_15,--u_129]).

input_clause(u_s3_type1_129,axiom,
    [++u_130,++p_16,--p_17,--p_18]).

input_clause(u_130_s3_type1_129,axiom,
    [++p_16,--u_130]).

input_clause(u_s3_type1_130,axiom,
    [++u_131,++p_16,--p_17,--q_18]).

input_clause(u_131_s3_type1_130,axiom,
    [++p_16,--u_131]).

input_clause(u_s3_type1_131,axiom,
    [++u_132,++p_16,--q_17,--p_18]).

input_clause(u_132_s3_type1_131,axiom,
    [++p_16,--u_132]).

input_clause(u_s3_type1_132,axiom,
    [++u_133,++p_16,--q_17,--q_18]).

input_clause(u_133_s3_type1_132,axiom,
    [++p_16,--u_133]).

input_clause(u_s3_type1_133,axiom,
    [++u_134,++q_16,--p_17,--p_18]).

input_clause(u_134_s3_type1_133,axiom,
    [++q_16,--u_134]).

input_clause(u_s3_type1_134,axiom,
    [++u_135,++q_16,--p_17,--q_18]).

input_clause(u_135_s3_type1_134,axiom,
    [++q_16,--u_135]).

input_clause(u_s3_type1_135,axiom,
    [++u_136,++q_16,--q_17,--p_18]).

input_clause(u_136_s3_type1_135,axiom,
    [++q_16,--u_136]).

input_clause(u_s3_type1_136,axiom,
    [++u_137,++q_16,--q_17,--q_18]).

input_clause(u_137_s3_type1_136,axiom,
    [++q_16,--u_137]).

input_clause(u_s3_type1_137,axiom,
    [++u_138,++p_17,--p_18,--p_19]).

input_clause(u_138_s3_type1_137,axiom,
    [++p_17,--u_138]).

input_clause(u_s3_type1_138,axiom,
    [++u_139,++p_17,--p_18,--q_19]).

input_clause(u_139_s3_type1_138,axiom,
    [++p_17,--u_139]).

input_clause(u_s3_type1_139,axiom,
    [++u_140,++p_17,--q_18,--p_19]).

input_clause(u_140_s3_type1_139,axiom,
    [++p_17,--u_140]).

input_clause(u_s3_type1_140,axiom,
    [++u_141,++p_17,--q_18,--q_19]).

input_clause(u_141_s3_type1_140,axiom,
    [++p_17,--u_141]).

input_clause(u_s3_type1_141,axiom,
    [++u_142,++q_17,--p_18,--p_19]).

input_clause(u_142_s3_type1_141,axiom,
    [++q_17,--u_142]).

input_clause(u_s3_type1_142,axiom,
    [++u_143,++q_17,--p_18,--q_19]).

input_clause(u_143_s3_type1_142,axiom,
    [++q_17,--u_143]).

input_clause(u_s3_type1_143,axiom,
    [++u_144,++q_17,--q_18,--p_19]).

input_clause(u_144_s3_type1_143,axiom,
    [++q_17,--u_144]).

input_clause(u_s3_type1_144,axiom,
    [++u_145,++q_17,--q_18,--q_19]).

input_clause(u_145_s3_type1_144,axiom,
    [++q_17,--u_145]).

input_clause(u_s3_type2_1,axiom,
    [++u_146,++p_19,--p_9]).

input_clause(u_146_s3_type2_1,axiom,
    [++p_19,--u_146]).

input_clause(u_s3_type2_2,axiom,
    [++u_147,++p_20,--p_10]).

input_clause(u_147_s3_type2_2,axiom,
    [++p_20,--u_147]).

input_clause(u_s3_type2_3,axiom,
    [++u_148,++q_19,--q_9]).

input_clause(u_148_s3_type2_3,axiom,
    [++q_19,--u_148]).

input_clause(u_s3_type2_4,axiom,
    [++u_149,++q_20,--q_10]).

input_clause(u_149_s3_type2_4,axiom,
    [++q_20,--u_149]).

input_clause(u_t3_1,axiom,
    [++u_150,++p_18]).

input_clause(u_150_t3_1,axiom,
    [++p_18,--u_150]).

input_clause(u_t3_2,axiom,
    [++u_151,++p_19]).

input_clause(u_151_t3_2,axiom,
    [++p_19,--u_151]).

input_clause(u_t3_3,axiom,
    [++u_152,++q_18]).

input_clause(u_152_t3_3,axiom,
    [++q_18,--u_152]).

input_clause(u_t3_4,axiom,
    [++u_153,++q_19]).

input_clause(u_153_t3_4,axiom,
    [++q_19,--u_153]).

input_clause(sym_u_s3_goal_1,axiom,
    [--sym_u_1,++sym_p_0,++sym_q_0]).

input_clause(sym_u_1_s3_goal_1,axiom,
    [++sym_u_1]).

input_clause(sym_u_s3_type1_1,axiom,
    [--sym_u_2,--sym_p_0,++sym_p_1,++sym_p_2]).

input_clause(sym_u_2_s3_type1_1,axiom,
    [--sym_p_0,++sym_u_2]).

input_clause(sym_u_s3_type1_2,axiom,
    [--sym_u_3,--sym_p_0,++sym_p_1,++sym_q_2]).

input_clause(sym_u_3_s3_type1_2,axiom,
    [--sym_p_0,++sym_u_3]).

input_clause(sym_u_s3_type1_3,axiom,
    [--sym_u_4,--sym_p_0,++sym_q_1,++sym_p_2]).

input_clause(sym_u_4_s3_type1_3,axiom,
    [--sym_p_0,++sym_u_4]).

input_clause(sym_u_s3_type1_4,axiom,
    [--sym_u_5,--sym_p_0,++sym_q_1,++sym_q_2]).

input_clause(sym_u_5_s3_type1_4,axiom,
    [--sym_p_0,++sym_u_5]).

input_clause(sym_u_s3_type1_5,axiom,
    [--sym_u_6,--sym_q_0,++sym_p_1,++sym_p_2]).

input_clause(sym_u_6_s3_type1_5,axiom,
    [--sym_q_0,++sym_u_6]).

input_clause(sym_u_s3_type1_6,axiom,
    [--sym_u_7,--sym_q_0,++sym_p_1,++sym_q_2]).

input_clause(sym_u_7_s3_type1_6,axiom,
    [--sym_q_0,++sym_u_7]).

input_clause(sym_u_s3_type1_7,axiom,
    [--sym_u_8,--sym_q_0,++sym_q_1,++sym_p_2]).

input_clause(sym_u_8_s3_type1_7,axiom,
    [--sym_q_0,++sym_u_8]).

input_clause(sym_u_s3_type1_8,axiom,
    [--sym_u_9,--sym_q_0,++sym_q_1,++sym_q_2]).

input_clause(sym_u_9_s3_type1_8,axiom,
    [--sym_q_0,++sym_u_9]).

input_clause(sym_u_s3_type1_9,axiom,
    [--sym_u_10,--sym_p_1,++sym_p_2,++sym_p_3]).

input_clause(sym_u_10_s3_type1_9,axiom,
    [--sym_p_1,++sym_u_10]).

input_clause(sym_u_s3_type1_10,axiom,
    [--sym_u_11,--sym_p_1,++sym_p_2,++sym_q_3]).

input_clause(sym_u_11_s3_type1_10,axiom,
    [--sym_p_1,++sym_u_11]).

input_clause(sym_u_s3_type1_11,axiom,
    [--sym_u_12,--sym_p_1,++sym_q_2,++sym_p_3]).

input_clause(sym_u_12_s3_type1_11,axiom,
    [--sym_p_1,++sym_u_12]).

input_clause(sym_u_s3_type1_12,axiom,
    [--sym_u_13,--sym_p_1,++sym_q_2,++sym_q_3]).

input_clause(sym_u_13_s3_type1_12,axiom,
    [--sym_p_1,++sym_u_13]).

input_clause(sym_u_s3_type1_13,axiom,
    [--sym_u_14,--sym_q_1,++sym_p_2,++sym_p_3]).

input_clause(sym_u_14_s3_type1_13,axiom,
    [--sym_q_1,++sym_u_14]).

input_clause(sym_u_s3_type1_14,axiom,
    [--sym_u_15,--sym_q_1,++sym_p_2,++sym_q_3]).

input_clause(sym_u_15_s3_type1_14,axiom,
    [--sym_q_1,++sym_u_15]).

input_clause(sym_u_s3_type1_15,axiom,
    [--sym_u_16,--sym_q_1,++sym_q_2,++sym_p_3]).

input_clause(sym_u_16_s3_type1_15,axiom,
    [--sym_q_1,++sym_u_16]).

input_clause(sym_u_s3_type1_16,axiom,
    [--sym_u_17,--sym_q_1,++sym_q_2,++sym_q_3]).

input_clause(sym_u_17_s3_type1_16,axiom,
    [--sym_q_1,++sym_u_17]).

input_clause(sym_u_s3_type1_17,axiom,
    [--sym_u_18,--sym_p_2,++sym_p_3,++sym_p_4]).

input_clause(sym_u_18_s3_type1_17,axiom,
    [--sym_p_2,++sym_u_18]).

input_clause(sym_u_s3_type1_18,axiom,
    [--sym_u_19,--sym_p_2,++sym_p_3,++sym_q_4]).

input_clause(sym_u_19_s3_type1_18,axiom,
    [--sym_p_2,++sym_u_19]).

input_clause(sym_u_s3_type1_19,axiom,
    [--sym_u_20,--sym_p_2,++sym_q_3,++sym_p_4]).

input_clause(sym_u_20_s3_type1_19,axiom,
    [--sym_p_2,++sym_u_20]).

input_clause(sym_u_s3_type1_20,axiom,
    [--sym_u_21,--sym_p_2,++sym_q_3,++sym_q_4]).

input_clause(sym_u_21_s3_type1_20,axiom,
    [--sym_p_2,++sym_u_21]).

input_clause(sym_u_s3_type1_21,axiom,
    [--sym_u_22,--sym_q_2,++sym_p_3,++sym_p_4]).

input_clause(sym_u_22_s3_type1_21,axiom,
    [--sym_q_2,++sym_u_22]).

input_clause(sym_u_s3_type1_22,axiom,
    [--sym_u_23,--sym_q_2,++sym_p_3,++sym_q_4]).

input_clause(sym_u_23_s3_type1_22,axiom,
    [--sym_q_2,++sym_u_23]).

input_clause(sym_u_s3_type1_23,axiom,
    [--sym_u_24,--sym_q_2,++sym_q_3,++sym_p_4]).

input_clause(sym_u_24_s3_type1_23,axiom,
    [--sym_q_2,++sym_u_24]).

input_clause(sym_u_s3_type1_24,axiom,
    [--sym_u_25,--sym_q_2,++sym_q_3,++sym_q_4]).

input_clause(sym_u_25_s3_type1_24,axiom,
    [--sym_q_2,++sym_u_25]).

input_clause(sym_u_s3_type1_25,axiom,
    [--sym_u_26,--sym_p_3,++sym_p_4,++sym_p_5]).

input_clause(sym_u_26_s3_type1_25,axiom,
    [--sym_p_3,++sym_u_26]).

input_clause(sym_u_s3_type1_26,axiom,
    [--sym_u_27,--sym_p_3,++sym_p_4,++sym_q_5]).

input_clause(sym_u_27_s3_type1_26,axiom,
    [--sym_p_3,++sym_u_27]).

input_clause(sym_u_s3_type1_27,axiom,
    [--sym_u_28,--sym_p_3,++sym_q_4,++sym_p_5]).

input_clause(sym_u_28_s3_type1_27,axiom,
    [--sym_p_3,++sym_u_28]).

input_clause(sym_u_s3_type1_28,axiom,
    [--sym_u_29,--sym_p_3,++sym_q_4,++sym_q_5]).

input_clause(sym_u_29_s3_type1_28,axiom,
    [--sym_p_3,++sym_u_29]).

input_clause(sym_u_s3_type1_29,axiom,
    [--sym_u_30,--sym_q_3,++sym_p_4,++sym_p_5]).

input_clause(sym_u_30_s3_type1_29,axiom,
    [--sym_q_3,++sym_u_30]).

input_clause(sym_u_s3_type1_30,axiom,
    [--sym_u_31,--sym_q_3,++sym_p_4,++sym_q_5]).

input_clause(sym_u_31_s3_type1_30,axiom,
    [--sym_q_3,++sym_u_31]).

input_clause(sym_u_s3_type1_31,axiom,
    [--sym_u_32,--sym_q_3,++sym_q_4,++sym_p_5]).

input_clause(sym_u_32_s3_type1_31,axiom,
    [--sym_q_3,++sym_u_32]).

input_clause(sym_u_s3_type1_32,axiom,
    [--sym_u_33,--sym_q_3,++sym_q_4,++sym_q_5]).

input_clause(sym_u_33_s3_type1_32,axiom,
    [--sym_q_3,++sym_u_33]).

input_clause(sym_u_s3_type1_33,axiom,
    [--sym_u_34,--sym_p_4,++sym_p_5,++sym_p_6]).

input_clause(sym_u_34_s3_type1_33,axiom,
    [--sym_p_4,++sym_u_34]).

input_clause(sym_u_s3_type1_34,axiom,
    [--sym_u_35,--sym_p_4,++sym_p_5,++sym_q_6]).

input_clause(sym_u_35_s3_type1_34,axiom,
    [--sym_p_4,++sym_u_35]).

input_clause(sym_u_s3_type1_35,axiom,
    [--sym_u_36,--sym_p_4,++sym_q_5,++sym_p_6]).

input_clause(sym_u_36_s3_type1_35,axiom,
    [--sym_p_4,++sym_u_36]).

input_clause(sym_u_s3_type1_36,axiom,
    [--sym_u_37,--sym_p_4,++sym_q_5,++sym_q_6]).

input_clause(sym_u_37_s3_type1_36,axiom,
    [--sym_p_4,++sym_u_37]).

input_clause(sym_u_s3_type1_37,axiom,
    [--sym_u_38,--sym_q_4,++sym_p_5,++sym_p_6]).

input_clause(sym_u_38_s3_type1_37,axiom,
    [--sym_q_4,++sym_u_38]).

input_clause(sym_u_s3_type1_38,axiom,
    [--sym_u_39,--sym_q_4,++sym_p_5,++sym_q_6]).

input_clause(sym_u_39_s3_type1_38,axiom,
    [--sym_q_4,++sym_u_39]).

input_clause(sym_u_s3_type1_39,axiom,
    [--sym_u_40,--sym_q_4,++sym_q_5,++sym_p_6]).

input_clause(sym_u_40_s3_type1_39,axiom,
    [--sym_q_4,++sym_u_40]).

input_clause(sym_u_s3_type1_40,axiom,
    [--sym_u_41,--sym_q_4,++sym_q_5,++sym_q_6]).

input_clause(sym_u_41_s3_type1_40,axiom,
    [--sym_q_4,++sym_u_41]).

input_clause(sym_u_s3_type1_41,axiom,
    [--sym_u_42,--sym_p_5,++sym_p_6,++sym_p_7]).

input_clause(sym_u_42_s3_type1_41,axiom,
    [--sym_p_5,++sym_u_42]).

input_clause(sym_u_s3_type1_42,axiom,
    [--sym_u_43,--sym_p_5,++sym_p_6,++sym_q_7]).

input_clause(sym_u_43_s3_type1_42,axiom,
    [--sym_p_5,++sym_u_43]).

input_clause(sym_u_s3_type1_43,axiom,
    [--sym_u_44,--sym_p_5,++sym_q_6,++sym_p_7]).

input_clause(sym_u_44_s3_type1_43,axiom,
    [--sym_p_5,++sym_u_44]).

input_clause(sym_u_s3_type1_44,axiom,
    [--sym_u_45,--sym_p_5,++sym_q_6,++sym_q_7]).

input_clause(sym_u_45_s3_type1_44,axiom,
    [--sym_p_5,++sym_u_45]).

input_clause(sym_u_s3_type1_45,axiom,
    [--sym_u_46,--sym_q_5,++sym_p_6,++sym_p_7]).

input_clause(sym_u_46_s3_type1_45,axiom,
    [--sym_q_5,++sym_u_46]).

input_clause(sym_u_s3_type1_46,axiom,
    [--sym_u_47,--sym_q_5,++sym_p_6,++sym_q_7]).

input_clause(sym_u_47_s3_type1_46,axiom,
    [--sym_q_5,++sym_u_47]).

input_clause(sym_u_s3_type1_47,axiom,
    [--sym_u_48,--sym_q_5,++sym_q_6,++sym_p_7]).

input_clause(sym_u_48_s3_type1_47,axiom,
    [--sym_q_5,++sym_u_48]).

input_clause(sym_u_s3_type1_48,axiom,
    [--sym_u_49,--sym_q_5,++sym_q_6,++sym_q_7]).

input_clause(sym_u_49_s3_type1_48,axiom,
    [--sym_q_5,++sym_u_49]).

input_clause(sym_u_s3_type1_49,axiom,
    [--sym_u_50,--sym_p_6,++sym_p_7,++sym_p_8]).

input_clause(sym_u_50_s3_type1_49,axiom,
    [--sym_p_6,++sym_u_50]).

input_clause(sym_u_s3_type1_50,axiom,
    [--sym_u_51,--sym_p_6,++sym_p_7,++sym_q_8]).

input_clause(sym_u_51_s3_type1_50,axiom,
    [--sym_p_6,++sym_u_51]).

input_clause(sym_u_s3_type1_51,axiom,
    [--sym_u_52,--sym_p_6,++sym_q_7,++sym_p_8]).

input_clause(sym_u_52_s3_type1_51,axiom,
    [--sym_p_6,++sym_u_52]).

input_clause(sym_u_s3_type1_52,axiom,
    [--sym_u_53,--sym_p_6,++sym_q_7,++sym_q_8]).

input_clause(sym_u_53_s3_type1_52,axiom,
    [--sym_p_6,++sym_u_53]).

input_clause(sym_u_s3_type1_53,axiom,
    [--sym_u_54,--sym_q_6,++sym_p_7,++sym_p_8]).

input_clause(sym_u_54_s3_type1_53,axiom,
    [--sym_q_6,++sym_u_54]).

input_clause(sym_u_s3_type1_54,axiom,
    [--sym_u_55,--sym_q_6,++sym_p_7,++sym_q_8]).

input_clause(sym_u_55_s3_type1_54,axiom,
    [--sym_q_6,++sym_u_55]).

input_clause(sym_u_s3_type1_55,axiom,
    [--sym_u_56,--sym_q_6,++sym_q_7,++sym_p_8]).

input_clause(sym_u_56_s3_type1_55,axiom,
    [--sym_q_6,++sym_u_56]).

input_clause(sym_u_s3_type1_56,axiom,
    [--sym_u_57,--sym_q_6,++sym_q_7,++sym_q_8]).

input_clause(sym_u_57_s3_type1_56,axiom,
    [--sym_q_6,++sym_u_57]).

input_clause(sym_u_s3_type1_57,axiom,
    [--sym_u_58,--sym_p_7,++sym_p_8,++sym_p_9]).

input_clause(sym_u_58_s3_type1_57,axiom,
    [--sym_p_7,++sym_u_58]).

input_clause(sym_u_s3_type1_58,axiom,
    [--sym_u_59,--sym_p_7,++sym_p_8,++sym_q_9]).

input_clause(sym_u_59_s3_type1_58,axiom,
    [--sym_p_7,++sym_u_59]).

input_clause(sym_u_s3_type1_59,axiom,
    [--sym_u_60,--sym_p_7,++sym_q_8,++sym_p_9]).

input_clause(sym_u_60_s3_type1_59,axiom,
    [--sym_p_7,++sym_u_60]).

input_clause(sym_u_s3_type1_60,axiom,
    [--sym_u_61,--sym_p_7,++sym_q_8,++sym_q_9]).

input_clause(sym_u_61_s3_type1_60,axiom,
    [--sym_p_7,++sym_u_61]).

input_clause(sym_u_s3_type1_61,axiom,
    [--sym_u_62,--sym_q_7,++sym_p_8,++sym_p_9]).

input_clause(sym_u_62_s3_type1_61,axiom,
    [--sym_q_7,++sym_u_62]).

input_clause(sym_u_s3_type1_62,axiom,
    [--sym_u_63,--sym_q_7,++sym_p_8,++sym_q_9]).

input_clause(sym_u_63_s3_type1_62,axiom,
    [--sym_q_7,++sym_u_63]).

input_clause(sym_u_s3_type1_63,axiom,
    [--sym_u_64,--sym_q_7,++sym_q_8,++sym_p_9]).

input_clause(sym_u_64_s3_type1_63,axiom,
    [--sym_q_7,++sym_u_64]).

input_clause(sym_u_s3_type1_64,axiom,
    [--sym_u_65,--sym_q_7,++sym_q_8,++sym_q_9]).

input_clause(sym_u_65_s3_type1_64,axiom,
    [--sym_q_7,++sym_u_65]).

input_clause(sym_u_s3_type1_65,axiom,
    [--sym_u_66,--sym_p_8,++sym_p_9,++sym_p_10]).

input_clause(sym_u_66_s3_type1_65,axiom,
    [--sym_p_8,++sym_u_66]).

input_clause(sym_u_s3_type1_66,axiom,
    [--sym_u_67,--sym_p_8,++sym_p_9,++sym_q_10]).

input_clause(sym_u_67_s3_type1_66,axiom,
    [--sym_p_8,++sym_u_67]).

input_clause(sym_u_s3_type1_67,axiom,
    [--sym_u_68,--sym_p_8,++sym_q_9,++sym_p_10]).

input_clause(sym_u_68_s3_type1_67,axiom,
    [--sym_p_8,++sym_u_68]).

input_clause(sym_u_s3_type1_68,axiom,
    [--sym_u_69,--sym_p_8,++sym_q_9,++sym_q_10]).

input_clause(sym_u_69_s3_type1_68,axiom,
    [--sym_p_8,++sym_u_69]).

input_clause(sym_u_s3_type1_69,axiom,
    [--sym_u_70,--sym_q_8,++sym_p_9,++sym_p_10]).

input_clause(sym_u_70_s3_type1_69,axiom,
    [--sym_q_8,++sym_u_70]).

input_clause(sym_u_s3_type1_70,axiom,
    [--sym_u_71,--sym_q_8,++sym_p_9,++sym_q_10]).

input_clause(sym_u_71_s3_type1_70,axiom,
    [--sym_q_8,++sym_u_71]).

input_clause(sym_u_s3_type1_71,axiom,
    [--sym_u_72,--sym_q_8,++sym_q_9,++sym_p_10]).

input_clause(sym_u_72_s3_type1_71,axiom,
    [--sym_q_8,++sym_u_72]).

input_clause(sym_u_s3_type1_72,axiom,
    [--sym_u_73,--sym_q_8,++sym_q_9,++sym_q_10]).

input_clause(sym_u_73_s3_type1_72,axiom,
    [--sym_q_8,++sym_u_73]).

input_clause(sym_u_s3_type1_73,axiom,
    [--sym_u_74,--sym_p_9,++sym_p_10,++sym_p_11]).

input_clause(sym_u_74_s3_type1_73,axiom,
    [--sym_p_9,++sym_u_74]).

input_clause(sym_u_s3_type1_74,axiom,
    [--sym_u_75,--sym_p_9,++sym_p_10,++sym_q_11]).

input_clause(sym_u_75_s3_type1_74,axiom,
    [--sym_p_9,++sym_u_75]).

input_clause(sym_u_s3_type1_75,axiom,
    [--sym_u_76,--sym_p_9,++sym_q_10,++sym_p_11]).

input_clause(sym_u_76_s3_type1_75,axiom,
    [--sym_p_9,++sym_u_76]).

input_clause(sym_u_s3_type1_76,axiom,
    [--sym_u_77,--sym_p_9,++sym_q_10,++sym_q_11]).

input_clause(sym_u_77_s3_type1_76,axiom,
    [--sym_p_9,++sym_u_77]).

input_clause(sym_u_s3_type1_77,axiom,
    [--sym_u_78,--sym_q_9,++sym_p_10,++sym_p_11]).

input_clause(sym_u_78_s3_type1_77,axiom,
    [--sym_q_9,++sym_u_78]).

input_clause(sym_u_s3_type1_78,axiom,
    [--sym_u_79,--sym_q_9,++sym_p_10,++sym_q_11]).

input_clause(sym_u_79_s3_type1_78,axiom,
    [--sym_q_9,++sym_u_79]).

input_clause(sym_u_s3_type1_79,axiom,
    [--sym_u_80,--sym_q_9,++sym_q_10,++sym_p_11]).

input_clause(sym_u_80_s3_type1_79,axiom,
    [--sym_q_9,++sym_u_80]).

input_clause(sym_u_s3_type1_80,axiom,
    [--sym_u_81,--sym_q_9,++sym_q_10,++sym_q_11]).

input_clause(sym_u_81_s3_type1_80,axiom,
    [--sym_q_9,++sym_u_81]).

input_clause(sym_u_s3_type1_81,axiom,
    [--sym_u_82,--sym_p_10,++sym_p_11,++sym_p_12]).

input_clause(sym_u_82_s3_type1_81,axiom,
    [--sym_p_10,++sym_u_82]).

input_clause(sym_u_s3_type1_82,axiom,
    [--sym_u_83,--sym_p_10,++sym_p_11,++sym_q_12]).

input_clause(sym_u_83_s3_type1_82,axiom,
    [--sym_p_10,++sym_u_83]).

input_clause(sym_u_s3_type1_83,axiom,
    [--sym_u_84,--sym_p_10,++sym_q_11,++sym_p_12]).

input_clause(sym_u_84_s3_type1_83,axiom,
    [--sym_p_10,++sym_u_84]).

input_clause(sym_u_s3_type1_84,axiom,
    [--sym_u_85,--sym_p_10,++sym_q_11,++sym_q_12]).

input_clause(sym_u_85_s3_type1_84,axiom,
    [--sym_p_10,++sym_u_85]).

input_clause(sym_u_s3_type1_85,axiom,
    [--sym_u_86,--sym_q_10,++sym_p_11,++sym_p_12]).

input_clause(sym_u_86_s3_type1_85,axiom,
    [--sym_q_10,++sym_u_86]).

input_clause(sym_u_s3_type1_86,axiom,
    [--sym_u_87,--sym_q_10,++sym_p_11,++sym_q_12]).

input_clause(sym_u_87_s3_type1_86,axiom,
    [--sym_q_10,++sym_u_87]).

input_clause(sym_u_s3_type1_87,axiom,
    [--sym_u_88,--sym_q_10,++sym_q_11,++sym_p_12]).

input_clause(sym_u_88_s3_type1_87,axiom,
    [--sym_q_10,++sym_u_88]).

input_clause(sym_u_s3_type1_88,axiom,
    [--sym_u_89,--sym_q_10,++sym_q_11,++sym_q_12]).

input_clause(sym_u_89_s3_type1_88,axiom,
    [--sym_q_10,++sym_u_89]).

input_clause(sym_u_s3_type1_89,axiom,
    [--sym_u_90,--sym_p_11,++sym_p_12,++sym_p_13]).

input_clause(sym_u_90_s3_type1_89,axiom,
    [--sym_p_11,++sym_u_90]).

input_clause(sym_u_s3_type1_90,axiom,
    [--sym_u_91,--sym_p_11,++sym_p_12,++sym_q_13]).

input_clause(sym_u_91_s3_type1_90,axiom,
    [--sym_p_11,++sym_u_91]).

input_clause(sym_u_s3_type1_91,axiom,
    [--sym_u_92,--sym_p_11,++sym_q_12,++sym_p_13]).

input_clause(sym_u_92_s3_type1_91,axiom,
    [--sym_p_11,++sym_u_92]).

input_clause(sym_u_s3_type1_92,axiom,
    [--sym_u_93,--sym_p_11,++sym_q_12,++sym_q_13]).

input_clause(sym_u_93_s3_type1_92,axiom,
    [--sym_p_11,++sym_u_93]).

input_clause(sym_u_s3_type1_93,axiom,
    [--sym_u_94,--sym_q_11,++sym_p_12,++sym_p_13]).

input_clause(sym_u_94_s3_type1_93,axiom,
    [--sym_q_11,++sym_u_94]).

input_clause(sym_u_s3_type1_94,axiom,
    [--sym_u_95,--sym_q_11,++sym_p_12,++sym_q_13]).

input_clause(sym_u_95_s3_type1_94,axiom,
    [--sym_q_11,++sym_u_95]).

input_clause(sym_u_s3_type1_95,axiom,
    [--sym_u_96,--sym_q_11,++sym_q_12,++sym_p_13]).

input_clause(sym_u_96_s3_type1_95,axiom,
    [--sym_q_11,++sym_u_96]).

input_clause(sym_u_s3_type1_96,axiom,
    [--sym_u_97,--sym_q_11,++sym_q_12,++sym_q_13]).

input_clause(sym_u_97_s3_type1_96,axiom,
    [--sym_q_11,++sym_u_97]).

input_clause(sym_u_s3_type1_97,axiom,
    [--sym_u_98,--sym_p_12,++sym_p_13,++sym_p_14]).

input_clause(sym_u_98_s3_type1_97,axiom,
    [--sym_p_12,++sym_u_98]).

input_clause(sym_u_s3_type1_98,axiom,
    [--sym_u_99,--sym_p_12,++sym_p_13,++sym_q_14]).

input_clause(sym_u_99_s3_type1_98,axiom,
    [--sym_p_12,++sym_u_99]).

input_clause(sym_u_s3_type1_99,axiom,
    [--sym_u_100,--sym_p_12,++sym_q_13,++sym_p_14]).

input_clause(sym_u_100_s3_type1_99,axiom,
    [--sym_p_12,++sym_u_100]).

input_clause(sym_u_s3_type1_100,axiom,
    [--sym_u_101,--sym_p_12,++sym_q_13,++sym_q_14]).

input_clause(sym_u_101_s3_type1_100,axiom,
    [--sym_p_12,++sym_u_101]).

input_clause(sym_u_s3_type1_101,axiom,
    [--sym_u_102,--sym_q_12,++sym_p_13,++sym_p_14]).

input_clause(sym_u_102_s3_type1_101,axiom,
    [--sym_q_12,++sym_u_102]).

input_clause(sym_u_s3_type1_102,axiom,
    [--sym_u_103,--sym_q_12,++sym_p_13,++sym_q_14]).

input_clause(sym_u_103_s3_type1_102,axiom,
    [--sym_q_12,++sym_u_103]).

input_clause(sym_u_s3_type1_103,axiom,
    [--sym_u_104,--sym_q_12,++sym_q_13,++sym_p_14]).

input_clause(sym_u_104_s3_type1_103,axiom,
    [--sym_q_12,++sym_u_104]).

input_clause(sym_u_s3_type1_104,axiom,
    [--sym_u_105,--sym_q_12,++sym_q_13,++sym_q_14]).

input_clause(sym_u_105_s3_type1_104,axiom,
    [--sym_q_12,++sym_u_105]).

input_clause(sym_u_s3_type1_105,axiom,
    [--sym_u_106,--sym_p_13,++sym_p_14,++sym_p_15]).

input_clause(sym_u_106_s3_type1_105,axiom,
    [--sym_p_13,++sym_u_106]).

input_clause(sym_u_s3_type1_106,axiom,
    [--sym_u_107,--sym_p_13,++sym_p_14,++sym_q_15]).

input_clause(sym_u_107_s3_type1_106,axiom,
    [--sym_p_13,++sym_u_107]).

input_clause(sym_u_s3_type1_107,axiom,
    [--sym_u_108,--sym_p_13,++sym_q_14,++sym_p_15]).

input_clause(sym_u_108_s3_type1_107,axiom,
    [--sym_p_13,++sym_u_108]).

input_clause(sym_u_s3_type1_108,axiom,
    [--sym_u_109,--sym_p_13,++sym_q_14,++sym_q_15]).

input_clause(sym_u_109_s3_type1_108,axiom,
    [--sym_p_13,++sym_u_109]).

input_clause(sym_u_s3_type1_109,axiom,
    [--sym_u_110,--sym_q_13,++sym_p_14,++sym_p_15]).

input_clause(sym_u_110_s3_type1_109,axiom,
    [--sym_q_13,++sym_u_110]).

input_clause(sym_u_s3_type1_110,axiom,
    [--sym_u_111,--sym_q_13,++sym_p_14,++sym_q_15]).

input_clause(sym_u_111_s3_type1_110,axiom,
    [--sym_q_13,++sym_u_111]).

input_clause(sym_u_s3_type1_111,axiom,
    [--sym_u_112,--sym_q_13,++sym_q_14,++sym_p_15]).

input_clause(sym_u_112_s3_type1_111,axiom,
    [--sym_q_13,++sym_u_112]).

input_clause(sym_u_s3_type1_112,axiom,
    [--sym_u_113,--sym_q_13,++sym_q_14,++sym_q_15]).

input_clause(sym_u_113_s3_type1_112,axiom,
    [--sym_q_13,++sym_u_113]).

input_clause(sym_u_s3_type1_113,axiom,
    [--sym_u_114,--sym_p_14,++sym_p_15,++sym_p_16]).

input_clause(sym_u_114_s3_type1_113,axiom,
    [--sym_p_14,++sym_u_114]).

input_clause(sym_u_s3_type1_114,axiom,
    [--sym_u_115,--sym_p_14,++sym_p_15,++sym_q_16]).

input_clause(sym_u_115_s3_type1_114,axiom,
    [--sym_p_14,++sym_u_115]).

input_clause(sym_u_s3_type1_115,axiom,
    [--sym_u_116,--sym_p_14,++sym_q_15,++sym_p_16]).

input_clause(sym_u_116_s3_type1_115,axiom,
    [--sym_p_14,++sym_u_116]).

input_clause(sym_u_s3_type1_116,axiom,
    [--sym_u_117,--sym_p_14,++sym_q_15,++sym_q_16]).

input_clause(sym_u_117_s3_type1_116,axiom,
    [--sym_p_14,++sym_u_117]).

input_clause(sym_u_s3_type1_117,axiom,
    [--sym_u_118,--sym_q_14,++sym_p_15,++sym_p_16]).

input_clause(sym_u_118_s3_type1_117,axiom,
    [--sym_q_14,++sym_u_118]).

input_clause(sym_u_s3_type1_118,axiom,
    [--sym_u_119,--sym_q_14,++sym_p_15,++sym_q_16]).

input_clause(sym_u_119_s3_type1_118,axiom,
    [--sym_q_14,++sym_u_119]).

input_clause(sym_u_s3_type1_119,axiom,
    [--sym_u_120,--sym_q_14,++sym_q_15,++sym_p_16]).

input_clause(sym_u_120_s3_type1_119,axiom,
    [--sym_q_14,++sym_u_120]).

input_clause(sym_u_s3_type1_120,axiom,
    [--sym_u_121,--sym_q_14,++sym_q_15,++sym_q_16]).

input_clause(sym_u_121_s3_type1_120,axiom,
    [--sym_q_14,++sym_u_121]).

input_clause(sym_u_s3_type1_121,axiom,
    [--sym_u_122,--sym_p_15,++sym_p_16,++sym_p_17]).

input_clause(sym_u_122_s3_type1_121,axiom,
    [--sym_p_15,++sym_u_122]).

input_clause(sym_u_s3_type1_122,axiom,
    [--sym_u_123,--sym_p_15,++sym_p_16,++sym_q_17]).

input_clause(sym_u_123_s3_type1_122,axiom,
    [--sym_p_15,++sym_u_123]).

input_clause(sym_u_s3_type1_123,axiom,
    [--sym_u_124,--sym_p_15,++sym_q_16,++sym_p_17]).

input_clause(sym_u_124_s3_type1_123,axiom,
    [--sym_p_15,++sym_u_124]).

input_clause(sym_u_s3_type1_124,axiom,
    [--sym_u_125,--sym_p_15,++sym_q_16,++sym_q_17]).

input_clause(sym_u_125_s3_type1_124,axiom,
    [--sym_p_15,++sym_u_125]).

input_clause(sym_u_s3_type1_125,axiom,
    [--sym_u_126,--sym_q_15,++sym_p_16,++sym_p_17]).

input_clause(sym_u_126_s3_type1_125,axiom,
    [--sym_q_15,++sym_u_126]).

input_clause(sym_u_s3_type1_126,axiom,
    [--sym_u_127,--sym_q_15,++sym_p_16,++sym_q_17]).

input_clause(sym_u_127_s3_type1_126,axiom,
    [--sym_q_15,++sym_u_127]).

input_clause(sym_u_s3_type1_127,axiom,
    [--sym_u_128,--sym_q_15,++sym_q_16,++sym_p_17]).

input_clause(sym_u_128_s3_type1_127,axiom,
    [--sym_q_15,++sym_u_128]).

input_clause(sym_u_s3_type1_128,axiom,
    [--sym_u_129,--sym_q_15,++sym_q_16,++sym_q_17]).

input_clause(sym_u_129_s3_type1_128,axiom,
    [--sym_q_15,++sym_u_129]).

input_clause(sym_u_s3_type1_129,axiom,
    [--sym_u_130,--sym_p_16,++sym_p_17,++sym_p_18]).

input_clause(sym_u_130_s3_type1_129,axiom,
    [--sym_p_16,++sym_u_130]).

input_clause(sym_u_s3_type1_130,axiom,
    [--sym_u_131,--sym_p_16,++sym_p_17,++sym_q_18]).

input_clause(sym_u_131_s3_type1_130,axiom,
    [--sym_p_16,++sym_u_131]).

input_clause(sym_u_s3_type1_131,axiom,
    [--sym_u_132,--sym_p_16,++sym_q_17,++sym_p_18]).

input_clause(sym_u_132_s3_type1_131,axiom,
    [--sym_p_16,++sym_u_132]).

input_clause(sym_u_s3_type1_132,axiom,
    [--sym_u_133,--sym_p_16,++sym_q_17,++sym_q_18]).

input_clause(sym_u_133_s3_type1_132,axiom,
    [--sym_p_16,++sym_u_133]).

input_clause(sym_u_s3_type1_133,axiom,
    [--sym_u_134,--sym_q_16,++sym_p_17,++sym_p_18]).

input_clause(sym_u_134_s3_type1_133,axiom,
    [--sym_q_16,++sym_u_134]).

input_clause(sym_u_s3_type1_134,axiom,
    [--sym_u_135,--sym_q_16,++sym_p_17,++sym_q_18]).

input_clause(sym_u_135_s3_type1_134,axiom,
    [--sym_q_16,++sym_u_135]).

input_clause(sym_u_s3_type1_135,axiom,
    [--sym_u_136,--sym_q_16,++sym_q_17,++sym_p_18]).

input_clause(sym_u_136_s3_type1_135,axiom,
    [--sym_q_16,++sym_u_136]).

input_clause(sym_u_s3_type1_136,axiom,
    [--sym_u_137,--sym_q_16,++sym_q_17,++sym_q_18]).

input_clause(sym_u_137_s3_type1_136,axiom,
    [--sym_q_16,++sym_u_137]).

input_clause(sym_u_s3_type1_137,axiom,
    [--sym_u_138,--sym_p_17,++sym_p_18,++sym_p_19]).

input_clause(sym_u_138_s3_type1_137,axiom,
    [--sym_p_17,++sym_u_138]).

input_clause(sym_u_s3_type1_138,axiom,
    [--sym_u_139,--sym_p_17,++sym_p_18,++sym_q_19]).

input_clause(sym_u_139_s3_type1_138,axiom,
    [--sym_p_17,++sym_u_139]).

input_clause(sym_u_s3_type1_139,axiom,
    [--sym_u_140,--sym_p_17,++sym_q_18,++sym_p_19]).

input_clause(sym_u_140_s3_type1_139,axiom,
    [--sym_p_17,++sym_u_140]).

input_clause(sym_u_s3_type1_140,axiom,
    [--sym_u_141,--sym_p_17,++sym_q_18,++sym_q_19]).

input_clause(sym_u_141_s3_type1_140,axiom,
    [--sym_p_17,++sym_u_141]).

input_clause(sym_u_s3_type1_141,axiom,
    [--sym_u_142,--sym_q_17,++sym_p_18,++sym_p_19]).

input_clause(sym_u_142_s3_type1_141,axiom,
    [--sym_q_17,++sym_u_142]).

input_clause(sym_u_s3_type1_142,axiom,
    [--sym_u_143,--sym_q_17,++sym_p_18,++sym_q_19]).

input_clause(sym_u_143_s3_type1_142,axiom,
    [--sym_q_17,++sym_u_143]).

input_clause(sym_u_s3_type1_143,axiom,
    [--sym_u_144,--sym_q_17,++sym_q_18,++sym_p_19]).

input_clause(sym_u_144_s3_type1_143,axiom,
    [--sym_q_17,++sym_u_144]).

input_clause(sym_u_s3_type1_144,axiom,
    [--sym_u_145,--sym_q_17,++sym_q_18,++sym_q_19]).

input_clause(sym_u_145_s3_type1_144,axiom,
    [--sym_q_17,++sym_u_145]).

input_clause(sym_u_s3_type2_1,axiom,
    [--sym_u_146,--sym_p_19,++sym_p_9]).

input_clause(sym_u_146_s3_type2_1,axiom,
    [--sym_p_19,++sym_u_146]).

input_clause(sym_u_s3_type2_2,axiom,
    [--sym_u_147,--sym_p_20,++sym_p_10]).

input_clause(sym_u_147_s3_type2_2,axiom,
    [--sym_p_20,++sym_u_147]).

input_clause(sym_u_s3_type2_3,axiom,
    [--sym_u_148,--sym_q_19,++sym_q_9]).

input_clause(sym_u_148_s3_type2_3,axiom,
    [--sym_q_19,++sym_u_148]).

input_clause(sym_u_s3_type2_4,axiom,
    [--sym_u_149,--sym_q_20,++sym_q_10]).

input_clause(sym_u_149_s3_type2_4,axiom,
    [--sym_q_20,++sym_u_149]).

input_clause(sym_u_t3_1,axiom,
    [--sym_u_150,--sym_p_18]).

input_clause(sym_u_150_t3_1,axiom,
    [--sym_p_18,++sym_u_150]).

input_clause(sym_u_t3_2,axiom,
    [--sym_u_151,--sym_p_19]).

input_clause(sym_u_151_t3_2,axiom,
    [--sym_p_19,++sym_u_151]).

input_clause(sym_u_t3_3,axiom,
    [--sym_u_152,--sym_q_18]).

input_clause(sym_u_152_t3_3,axiom,
    [--sym_q_18,++sym_u_152]).

input_clause(sym_u_t3_4,axiom,
    [--sym_u_153,--sym_q_19]).

input_clause(sym_u_153_t3_4,axiom,
    [--sym_q_19,++sym_u_153]).
%--------------------------------------------------------------------------
