%--------------------------------------------------------------------------
% File     : TOP015=IntrBndy-1 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Topology
% Problem  : The interior and the boundary of a set are disjoint
% Version  : [Wick & McCune, 1989] axioms : Incomplete.
% English  : 

% Refs     : Wick C.A., McCune W.W. (1989), Automated Reasoning about 
%            Elementary Point-Set Topology, Journal of Automated Reasoning 
%            5(2), 239-255.
% Source   : [Wick & McCune, 1989]
% Names    : Problem 10 [Wick & McCune, 1989]

% Status   : 
% Syntax   : Number of clauses           :  112 (  23 non-Horn)(   3 unit)
%            Number of literals          :  339 (   0 equality)
%            Number of predicate symbols :   22 (   0 propositional)
%            Number of function symbols  :   38 (   4 constant)
%            Number of variables         :  357 (  56 singleton)
%            Maximal clause size         :    8
%            Maximal term depth          :    3

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_10_148,theorem,
    [++topological_space(cx,ct)]).

input_clause(problem_10_149,theorem,
    [++subset_sets(a,cx)]).

input_clause(problem_10_150,theorem,
    [--equal_sets(intersection_of_sets(interior(a,cx,ct),
boundary(a,cx,ct)),empty_set)]).
%--------------------------------------------------------------------------
